audacity (1:2.4.1-1) unstable; urgency=medium

  * New upstream release 

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 14 Jun 2020 00:05:12 +0300

audacity (1:2.3.3-1) unstable; urgency=medium

  * New upstream release

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 06 Dec 2019 22:16:00 +0300

audacity (1:2.3.1-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/audacity/audacity.git
  * Branch: master
  * Commit: 1c21e9358b229b0a56542101963d1fbee3c2d2d0
  * Date: 1550996885
  * git changelog:
  *  1c21e9358 - Update Changelog and ReadMe
  *  222dfa9db - Building for 2.3.1 release now.
  *  cf9f7268a - Disable Vietnamese translation in win installer.
  *  aae544bef - Determinate order of names under Tools> Apply Macro...
  *  e609a9dce - Fix bug 2069

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 16 Mar 2019 11:49:27 +0300

audacity (1:2.3.0+git9606-4ba373f2d-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/audacity/audacity.git
  * Branch: master
  * Commit: 4ba373f2d97822fb92f62ce459806e216ba8c92b
  * Date: 1550085420
  * git changelog:
  *  4ba373f2d - Failed open of block file gives correct error message
  *  1d40f33eb - Rename 64 bit ffmpeg libs.
  *  c912b1374 - Bug 2046 - LAME not found error on 64-bit Mac build
    shows wrong library (32-bit one)
  *  d4c8e9e7b - Bug2056 residual:  Linux only time ruler drags and
    focus...
  *  4e57a369b - Bug Fix 1979 and fix CreateHardLink arg conversion
    errors
  *  9d18263be - Bug2059: Save empty,record,save-as shouldn't delete old
    _data folder
  *  012d707a8 - Bug 2060: Windows: no access to microphone causes crash
  *  807a763c9 - Increase space in OSX bundles for dylib filenames

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 15 Feb 2019 22:13:33 +0300

audacity (1:2.3.0+git9598-93f4e3bd6-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/audacity/audacity.git
  * Branch: master
  * Commit: 93f4e3bd6617b0eab152c4a4ac0594f215d0ccaf
  * Date: 1549049419
  * git changelog:
  *  93f4e3bd6 - Bug2056: TrackPanel should keep focus after quick
    play...
  *  d3316173b - Fix unwrapped wxMessageDialog, small mistake in aee4005
  *  38849cc90 - Null check in AudacityApp:OnExceptionInMainLoop
  *  0941eaa0d - Bug2058: shouldn't lose data in original project when
    saving-as...
  *  b3dafcedd - Fix: bug 2054
  *  226851ab9 - Fix empty string a no-op for all Nyquist plug-ins

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 01 Feb 2019 23:47:44 +0300

audacity (1:2.3.0+git9592-5a7b6a732-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/audacity/audacity.git
  * Branch: master
  * Commit: 5a7b6a7323a12591f79176588581e7dd84a49038
  * Date: 1545939855
  * git changelog:
  *  5a7b6a732 - Fix multiple selection Nyquist file widget
  *  54d33d6d1 - Update Portuguese Translation, by Bruno Ramalhete.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 05 Jan 2019 13:01:26 +0300

audacity (1:2.3.0+git9590-7dbbeba64-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/audacity/audacity.git
  * Branch: master
  * Commit: 7dbbeba644a7f71199d302595ba7dae99b5abda5
  * Date: 1545344491
  * git changelog:
  *  7dbbeba64 - Update Brazilian Portuguese Translation, by Cleber
    Tavano.
  *  5e929f9cd - Update Italian Translation, by Carmelo Battaglia.
  *  11be8307b - Update sv.po
  *  b2a45a17d - Fix display of stereo first time reopening
    compressed/losseless save
  *  340bd20fc - Fix data loss saving a stereo track lossless or
    compressed...

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 21 Dec 2018 19:28:05 +0300

audacity (1:2.3.0+git9585-03b82618b-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/audacity/audacity.git
  * Branch: master
  * Commit: 03b82618b265355441e73df7e555f89a4d2882a9
  * Date: 1543944733
  * git changelog:
  *  03b82618b - Fix typo error in SetProjectCommand
  *  046f1873a - Typos in Russian Translation, by Nikitich.
  *  0eb778631 - Bug 2045 - Clicky playback with Play-at-Speed and
    Scrubbing/Seeking
  *  bd2547828 - Bug 2044 - Mac: no context menu when right clicking in
    label after copying label text to another app
  *  253aca7ee - Bug 2035 - Save Project fails to display error message
    on Save with overfull disk
  *  b3a3b05e4 - Bug 2034 - Mac: first use of Record on 64-bit Audacity
    causes EGAs, Exports, Imports and Saves to be grayed out
  *  5e1ec8dbe - Bug 2028 - Mac: Audacity crashes when right clicking in
    label after copying label text to another app
  *  5a87d5ea6 - Bug 2040 - Linux: Assert on recording or generating
    when main Window minimised
  *  90ea35400 - Update Dutch Translation, by Thomas De Rocker.
  *  75a109b85 - Update Chinese Translation, by snowwolf.
  *  bd6fca169 - Update Polish translation from Transifex
  *  553abde87 - Fix recent update to Russian Translation, by Nikitich.
  *  280ce4a36 - Update Russian Translation, by Nikitich.
  *  8a4da8cef - Update Japanese Translation, by Phroneris.
  *  7acc36272 - Update Hindi Translation, by Bashishtha Singh.
  *  e198f0045 - Update Spanish Translation, by Antonio Paniagua
  *  39e2ed64e - Update Basque Translation, by Xabier Aramendi.
  *  dd2d92c37 - Update Danish Translation, by scootergrisen.
  *  c1b38f869 - Update nb.po
  *  800ddae34 - Fix bug 2041
  *  f5443c885 - Update mac build instructions.
  *  21de4ab6f - Update Czech Translation, by Pavel Fric.
  *  465148cb3 - Bug 2039 - Macros: Reload parameter not remembered.
  *  5a0980d17 - Update Portuguese Translation, by Bruno Ramalhete.
  *  d26b17eea - bug 2011 - dlg.Raise() only required for GTK
  *  40065d84e - Update fr.po
  *  64a7742d2 - Update German Translation, by Joachim Huffer.
  *  400ac8f61 - Update Ukranian Translation, by Yuri Chornovan.
  *  86fb0368e - Update .pot and .po files from Audacity.
  *  0f18ce7d7 - Update Hindi Translation, by Bashishtha Singh
  *  49c7ac119 - Update Korean Translation, by 김두열

 -- Alexander Pozdnyakov <almipo@mail.ru>  Mon, 10 Dec 2018 14:09:35 +0300

audacity (1:2.3.0+git9554-7c0d05fc1-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/audacity/audacity.git
  * Branch: master
  * Commit: 7c0d05fc18df73789f8af0c89d75ff6fe5fadec5
  * Date: 1542743551
  * git changelog:
  *  7c0d05fc1 - Fix for bug 2011 - Label Editor
  *  85af1b981 - Fix for bug 2030 - Manage dialog
  *  e65e1d39d - Fix for bug 2013
  *  005299155 - 64 bit wxWidgets and Audacity builds for Mac...
  *  296f84615 - Work around the other link problem, but I don't know
    what consequences...
  *  7c78a9177 - Fix one of the two 64 bit link errors
  *  897f8bf0e - New configs now really 64 bit; they compile, almost
    link...
  *  bd31c0de6 - Must change compiler options to build sbsms for 64 bits
  *  541f5ea99 - Must add command-line compiler option to build libmad
    for 64 bits
  *  781da7aba - Differences in some generated config headers for x86_64
    lib-src build
  *  2f8bdcd28 - Add mac/config/x86_64 duplicating the i386 subtree
  *  a84bcfaf5 - New configurations and schemes for XCode...
  *  407b7fab4 - build_wxwidgets now loops over two architectures;
    change install path...
  *  fe19c848b - Abstract out the architecture in build_wxwidgets script
  *  93bf8d175 - Remove mac/scripts/build_wxwidgets2
  *  a7583da34 - Include Experimental.h before a use of
    EXPERIMENTAL_DA...
  *  f4b209e4f - Eliminate warning building mod-null and mod-script-pipe
  *  c33ae6624 - 0 Mac compile warnings; ignore deprecations; treat
    warnings as errors
  *  5578a0490 - MacOS build treats warnings as errors
  *  d40d56a0f - MacOS build: don't warn about deprecated functions...
  *  8f4da13a7 - lib-src changes to fix compiler warnings in Mac
    build...
  *  cd4fa7bdb - lib-src/libid3tag: remove warnings...
  *  73452e96e - lib-src/libsndfile: fix warnings about bit-shifting
    negative constant
  *  449bd3847 - lib-src/libsndfile: fix warning about format argument
    type mismatch
  *  90b2e823e - lib-src/libscorealign: fix warning about vacuous self-
    assignment
  *  a3afdf80d - lib-src/libnyquist: fix warning about always-false
    comparison...
  *  a05812f7e - lib-src/libmad: fix warning...
  *  03af971f8 - lib-src/portmidi/porttime: fix warning about macro
    redefinition...
  *  548f22189 - lib-src/twolame/libtwolame: eliminate warnings...
  *  2fec472ba - lib-src/libnyquist: eliminate register local variables
  *  14bd1cad2 - lib-src/libnyquist/nyquist/xlisp: fix duplicate "const"
  *  a4f9de784 - lib-src/portsmf: extra parens around intentional
    if/while assignments
  *  263fbff02 - lib-src/portsmf: string literals as const char *, not
    char *
  *  7c25e555a - Fix warning about redefinition of a macro
  *  6d679a65e - Fix 4 warnings related to Objective C++
  *  6e14dab4f - Fix a clang compiler warning
  *  53fcd07b7 - A few changes that will be needed for 64 bit Mac
    compilability
  *  41d0ac1b6 - reinterpret_cast not C-style cast.  (The cast value is
    always 0).
  *  7d0b4c582 - Make VSTControlOSX.mm compilable with _LP64
  *  7c1216edc - Redo resource RAII without the dubious casts
  *  cc34abea6 - bug 2018 - Equalization does not retain settings
  *  520659f0d - Update VRulers after macro vzoom command
  *  42e0cd7f2 - Add 'vzoom' and 'kind' to GetInfo Tracks
  *  6c71e02d2 - Add 'Advanced Vertical Zooming' to 'View' menu
  *  277473f0d - Add min and max VZoom to SetTrackInfoCommand
  *  a18680647 - Allow Unicode filenames via mod-script-pipe commands
  *  d9b5129e6 - Fix assert when mixing to new track
  *  aceb34d78 - Add aud-do-support.lsp to Windows build
  *  4ce666e09 - Add aud-do-support.lsp to mac build
  *  26e19bfd5 - Add aud-do-support.lsp for Linux build

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 24 Nov 2018 12:21:04 +0300

audacity (1:2.3.0+git9504-2d650fa0e-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/audacity/audacity.git
  * Branch: master
  * Commit: 2d650fa0e8d88e2133c21134a797bd0ea74b9ef6
  * Date: 1541693299
  * git changelog:
  *  2d650fa0e - Rename LabelTrack::IsSelected so it doesn't shadow
    Track::IsSelected
  *  03b0d3f89 - Bug 2025: Windows: Wasapi: seek commands can cause
    crash
  *  03e67b9bc - Bug2026: drawing channel separator on Windows...
  *  50cf2e9a1 - Give TrackArtist a back-pointer to TrackPanel
  *  9bb235c27 - Preparations for scattering TrackArt functions to
    better places
  *  4ebfbd9c5 - Split class TrackArtist from namespace TrackArt...
  *  fe3514646 - remove more TrackArtist arguments
  *  99106e3ed - Carry more information in TrackPanelDrawingContext;
    fewer arguments
  *  c866ed4bf - Reimplement the logic for drawing label track selection
    background
  *  f8e0ffb31 - Make sure TrackArtist updates prefs on construction...
  *  01329876c - Remove unnecessary #include
  *  c4994ae9c - kTrackInfoWidth was misleadingly named...
  *  4c76e598d - Fix command line options
  *  bc60de2ff - Disable Scrub Ruler by default
  *  472240494 - We can get only Unofficial/Vietnamese.islu for Inno
    Setup 5.6.1
  *  e2ad0bbc2 - We need libasound-dev to build on ubuntu 16.04
  *  0524dc588 - A comment about Maybe resembling std::optional...
  *  38005054f - Make TrackInfo a namespace, not a class...
  *  b5d4a828d - More doxygen
  *  648d7ddb7 - Move declarations in CellularPanel, keep abstract
    functions together
  *  370d3e633 - spelling in comments
  *  7030c9fc4 - More doxygen
  *  f9627864c - Steps in TrackPanel drawing correspond better with hit
    subdivision...
  *  55774fbb2 - When drawing, treat track plus separator BELOW as the
    natural grouping...
  *  3589aacd7 - Rewrite iteration over tracks in DrawEverythingElse
  *  10bc061b0 - Pass rectangles to drawing routines excluding left &
    right margins...
  *  a2e392433 - Paint left and right margins of the whole TrackPanel
    first
  *  d0d88118c - Rectangle passed VRuler draw function agrees with hit
    test rectangle...
  *  e70b24033 - The ruler and sash draw functions treat their own
    backgrounds
  *  951e7d27d - The vruler and sash draw functions treat their own left
    boundaries
  *  0f17b309b - Fuse the two sash-drawing functions, pass a rectangle
    not a track...
  *  88c70f3c3 - Remove win/compile.txt which was accidentally re-
    introduced.
  *  fb15558a0 - Update XCode project for renamed header file
  *  dccf5fcbf - Don't include "Quick Fix" in menus for 2.3.1.
  *  7f8bfa0ac - Make microfades into a preference.
  *  b07097df3 - Reorganize some track drawing code, no change of
    appearance intended
  *  8d02134d6 - Simplify the track rectangle calculations in
    TrackArtist
  *  49dd6002d - Simplify HighlightFocusedTrack
  *  3e1d4a962 - Fix drawing of lower right corners of vertical rulers
  *  e31669f55 - comment out unused function
  *  c1b729822 - Remove unused arguments of some drawing functions
  *  36933b5c5 - Show GStreamer in Doxygen too.
  *  095c6d87e - More complete doxygen coverage
  *  466e9c179 - Create ComponentInterface
  *  c63dcbd3c - Oops, forgot the vertical rulers in the subdivision of
    TrackPanel !
  *  b7e1cc09a - TrackPanel, AdornedRulerPanel each define subdivision
    in one place...
  *  39fc20c5e - TrackPanelCellIterator is no longer needed
  *  005abb06d - Replace uses of TrackPanel::Cells() with
    CellularPanel::VisitCells()
  *  01551913f - nonvirtual reimplementation of CellularPanel::FindRect
    using nodes
  *  cfa7afcb2 - nonvirtual reimplementation of CellularPanel::FindCell
    using nodes
  *  128ba93ae - Implement TrackPanel::Root()
  *  08f88ebf2 - Implement AdornedRulerPanel::Root()
  *  588c050bb - Define visitation procedure skeleton for subdivision of
    CellularPanel
  *  4fe97acbc - Define CellularPanel::Root
  *  30d55f476 - Define abstract classes TrackPanelNode and
    TrackPanelGroup
  *  7549b9f99 - Correct mSeekShort to mSeekLong in a few places
  *  5b01f5791 - Update comments about TrackPanel and TrackArtist...
  *  6e75ff27c - Bug 2022 Mixer Board does not automatically update
  *  912b24f21 - Revert "Small widening of the click-to-deselect area
    below the tracks..."
  *  3658032a8 - Update ru.po
  *  e9d1dfb2d - more const arguments in TrackArtist
  *  c101cf3b3 - Small widening of the click-to-deselect area below the
    tracks...
  *  4f964c359 - bug 2017 'offset' was used uninitialised
  *  26abe0255 - Precautions also in TrackIterRange::StaringWith() as in
    EndingAfter()
  *  74a360f68 - Bug2020: Fix sync-lock groupings
  *  793949aa2 - more comments about TrackIterRange operators
  *  cc2c3dc2f - Bug 2016 - Multiple problems with Change Pitch
  *  3be57fce4 - Bug2015: crash repeatedly append-recording with sync-
    lock on
  *  911840074 - Use tab character, not \t in translatable string in .ny
    file...
  *  79cf475c8 - Make update_po_files.sh run on macOS...
  *  9c9bc70e9 - Fix sorting of effects below the separator...
  *  46a3f91d5 - Add some useful path definitions for Nyquist
  *  c79d65cde - Bug 2019 - Scriptables: Set Envelope allows envelope
    points at zero which can cause NaNs
  *  6a4663e19 - Use wxGetUTCTimeMillis in preference to
    wxGetLocalTimeMillis
  *  0fbea5f9e - Fix failure of Nyquist to translate some multiline
    strings...
  *  5dc4185ce - Leave arguments anonymous, remove unused variables in
    menu code...
  *  87592cc89 - Remove unused (and unintended) overload of Items
  *  76166135d - Fix many MSVC compiler warnings.
  *  6fe0c6dd4 - Slim AudacityProject some...
  *  50f857947 - Move AudacityProject::DoTrackMute and DoTrackSolo...
  *  51c354171 - Move AudacityProject::RemoveTrack
  *  83f504e30 - Move AudacityProject::SetTrackPan and SetTrackGain
  *  edd23e263 - Move AudacityProject::GetZoomOf*
  *  b2ea8ab6e - Move AudacityProject::EditByLabel and
    EditClipboardByLabel
  *  95cca91eb - Move AudacityProject::Clear
  *  0969d00b1 - Comment out an unused UpdatePrefs function
  *  b4fc4b9ce - Proper initialization of menu handlers from preferences
  *  cda9715ce - Fix TrackList event propagation
  *  70fff4b28 -  History, Lyrics, Mixerboard windows listen for new
    events...
  *  012ea7613 - Moved mixer board update code out of class
    AudacityProject...
  *  723cecbea - Mixerboard uses events to detect start and stop of
    playback
  *  1fc4c5724 - MixerBoard no longer needs update at undo push...
  *  ccc2bbe3e - MixerBoard listens for events for track sliders, mute,
    solo, name
  *  5ab2facee - MixerBoard listens to TrackList for insert, delete,
    permute...
  *  7150d4308 - MixerBoard listens to TrackList for selection changes
  *  96d104cb3 - Lyrics panel listens; AudacityProject not responsible
    for updating it
  *  ad8fafa6a - History window listens for events
  *  dbcf8ae59 - AudacityApp emits an event when the global clipboard
    changes
  *  cee0d35da - UndoManager emits events when state changes
  *  4f7d308ca - Some inversion of control flow when popping Undo state
  *  2741d5888 - TrackList emits more events for certain changes of
    state of tracks...

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 09 Nov 2018 22:34:30 +0300

audacity (1:2.3.0+git9403-ca4c9b81f-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/audacity/audacity.git
  * Branch: master
  * Commit: ca4c9b81fcbb489adfad6e8c1be89677ab267f24
  * Date: 1540455318
  * git changelog:
  *  ca4c9b81f - i18n hints and fix one missed translation
  *  38f97349f - Don't form translated strings with concatenation
  *  303553ae4 - Take class AdornedRulerPanel out of src/widgets...
  *  492a44894 - Move MenuManager functions out of Project.cpp
  *  7b67bc053 - Fix the P key to Pause
  *  5eb670fd6 - Fix windows build: problem with path of an include.
  *  cfbe5c0a2 - Replace MenuCommandHandler with many smaller classes
    and source files
  *  7c7aab164 - Cleanup of Menus.* after moving most things out of them
  *  193c4ae4c - Remove unused things and obsolete comments in Menus.*
    ...
  *  06e40a26d - Move menu handling functions into many separate classes
    and files
  *  e048a4aac - Move a static function and an enumeration out of
    MenuCommandHandler
  *  800f6500b - No more member definitions of AudacityProject inside
    Menus.cpp
  *  64b6493be - Help Menus
  *  574fc7f2e - Extra Menus
  *  4a8a30f1a - Navigation Menus
  *  c7521b211 - Window Menu for Mac
  *  9759c6bd4 - Plugin Menus
  *  1be1217d1 - Tracks Menus
  *  903b42f84 - Transport Menus
  *  c65fd0ebe - View and Toolbar Menus
  *  fb8b5029e - Select and Clip Menus
  *  2792faa11 - Edit and Label Menus
  *  4d6cad8eb - File Menus
  *  330805417 - 14 new, empty .cpp files in src/menus
  *  b7410ed93 - Preparation for the moving of menu handlers into
    separate classes
  *  280e8d9ba - Some machinery to add more menu handler object
    classes...
  *  b7f35609a - Clarify inheritance of MenuCommandHandler
  *  8ca9edc2a - Move some label editing functions into class LabelTrack
  *  d1e2ec3b0 - Remove some uses of MenuCommandHandler outside
    Menus.cpp...
  *  7b422afda - Some further factoring of the menu building functions
  *  5494185a8 - Dialog for the name of a label: positioning fixes
  *  d716b61b1 - Increase precision for doubles/string conversion
  *  df3c2a7b2 - Don't mutate uninitialized Maybe
  *  48a1538b3 - Comment, to deter repeat of the mistake corrected in
    the last commit!
  *  2b8c4aa81 - Fix the binding of ngettext in XLisp
  *  72fbf1b0f - Update Regular Interval Labels
  *  388cf47a9 - Update SetLabelCommand.cpp
  *  826353c81 - Update build.txt
  *  d40dfa2de - More comments explaining the C++11 exotica
  *  f70c76de8 - Break MenuCreator::CreateMenusAndCommands() into many
    little pieces...
  *  e4a39bd13 - Define tables for each menu and each Extra sub-menu and
    more
  *  78656f654 - Define table for Help menu
  *  9e6f6a992 - Define tables for Extra menu & each of its sub-menus &
    two non-menus
  *  611ab0cc9 - Define table for ungrouped Extra commands...
  *  2d0352476 - Define table for Extra Scriptables II menu
  *  f8379e210 - Define table for Extra Scriptables I menu
  *  700eca1c9 - Define table for Extra Track menu
  *  b13e0e641 - Define table for Extra Cursor menu
  *  9b3f1a133 - Define table for Extra Focus menu
  *  237bf4d9a - Define table for Extra global commands...
  *  5d4a7a76a - Define table for Extra Selection menu
  *  17e6218bc - Define table for Extra Device menu
  *  bbc2837d6 - Define table for Extra Seek menu
  *  9e4e1ae69 - Define table for Extra Play at Speed menu
  *  e84839081 - Define table for Extra Edit menu
  *  0c9cf4518 - Define table for Extra Mixer menu
  *  620640c7a - Define table for Extra Tools menu
  *  434dcfa4b - Define table for Window menu (Mac only)
  *  cac88ce4c - Define table for Extra Transport menu
  *  4895dfdf7 - Define tables for Generate, Effects, Analyze, Tools
    menus
  *  8c0944d65 - Stub function for Extra menus, to be managed as sub-
    tables...
  *  4b7195002 - Define table for Tracks menu
  *  032070a2d - Define table for Transport menu
  *  a9512fe45 - Define table for View menu
  *  dfc555e5f - Define table for Select menu
  *  2c5f56b9a - A table of menu description factories; iterate it; but
    it's empty...
  *  3b997aa7e - Define table for Edit menu
  *  298971b6e - Define table for File menu
  *  e756f2e71 - Define classes and interpreter to be used in menu
    definition tables
  *  4cc92a26f - More preliminaries for making menus table-driven
  *  5277584bb - Hide details of managing occult command items
  *  01875db4b - Don't hold a dangling pointer to a menu bar in
    CommandManager
  *  fefc3bf35 - Don't call CommandManger::AddGlobalCommand, use an
    option instead
  *  c9d9871f6 - Remove a comment
  *  4c62aafed - Various preliminaries before making menus table-driven
  *  7f5e6d12b - Only one public CommandManager fn to begin a menu and
    one to end...
  *  32efcd43c - Simplify populating of Scrub menu
  *  83ede1089 - Remove unused forward declaration
  *  27aa59ed5 - AddItemList takes IdentInterfaceSymbol (untranslated)
    ...
  *  1b05ba9a7 - A compile-time constant for the number of align menu
    items
  *  474f80912 - Some functions can be static, don't need to be members
    of MenuBuilder
  *  b38af473c - Missing <wx/sizer.h> include
  *  e8762a478 - Add 'Quick Fix' menu item to Help.
  *  b7abde852 - Fix class/struct warning.
  *  52672ed5e - More careful sorting of effects...
  *  c067ad5b3 - Apply macro sub menu: ensure first letter selection
  *  ac596554c - Fix a couple of duplicate access keys
  *  f09bfbc21 - Small change of format for GetInfo Labels
  *  9ad88e091 - Use weak pointers to simplify MenuCreator
  *  c22c7b6fc - Update German translation
  *  4bbced11c - Update Italian translation
  *  aa81f9af5 - Fix Linux build
  *  d46532623 - Fix build of mod-null
  *  fcfc5d0f3 - Fix build of mod-null
  *  efe59ef1f - Fix build of mod-null
  *  1eb293b7b - Fix build of mod-nyq-bench
  *  16ab48079 - Don't include CommandManager.h in other headers
  *  8f5629a2a - Update three Nyquist plug-ins
  *  9094750c5 - No more error-prone SetDefaultFlags in menu building...
  *  fc1bc7994 - Remove CommandManager::SetDefaultFlags and related
  *  a1bd9062a - Remove dead code; so that all remaining calls to
    NewIdentifier...
  *  63f20f340 - CommandManager::AddItemList requires flags
  *  742e578d4 - Flags in AddItem (and AddCommand) may not be
    NoFlagsSpecified
  *  db997f8ec - Flags argument of AddItem (and AddCommand) is
    obligatory
  *  d46f3a9e6 - Simplify menu-building calls...
  *  f6478acb1 - Just spaces
  *  596eefe67 - CommandManager::Options also specified the long name
  *  cfe7ddcf5 - struct CommandManager::Options lets us fold AddCheck
    into AddItem
  *  de4132d66 - Reorder accel argument and unify two overloads of
    AddItem
  *  c376ffb16 - Simplify calls to SetDefaultFlags: default mask to
    equal flags
  *  42aef9f3e - Mask != flags is unusual: simplify most
    AddItem/AddCheck...
  *  80437582d - Change comments that confused audacity.pot hints
  *  399e2d099 - Fix spelling in an enum constant name
  *  88c67c46f - Unify the two overloads of CommandManager::AddCheck
  *  fef9e2aba - Remove some unused things
  *  bb7b95023 - Bug 2009: Windows+Linux: Intermittent truncation of the
    end of a recording
  *  a7df004a8 - Don't include Project.h or ODTask.h needlessly in other
    header files
  *  2fafe5c32 - Fix Linux build
  *  fc99f6194 - Fix compilation of mod-nyq-bench
  *  ce9f2e253 - Include Menus.h directly, only where needed, not via
    Project.h
  *  a3fc5894f - Fix obsolete comments in Menus.cpp...
  *  708cbe173 - Consitently use On<something> iff it is a direct menu
    handler.
  *  fc6570646 - MenuCommandHandler is not a base class of
    MenuManager...
  *  d693b36bd - Shorten AudioIoCallback::FillOutputBuffers()
  *  45069794f - Reduce indentation in AudioIO
  *  51b307678 - Fix include path
  *  cb55164c4 - Add Project Rate to SetProjectCommand
  *  6ca721b03 - Fix a string again...
  *  ef97ce88c - Correct more double spaces
  *  d2578b9ea - Remove some duplicated code in AudioIO
  *  651957f8c - fix bug compiling on Linux/gcc-4.9 with wxwidgets 3.0.2
  *  5dfff70f5 - Fix OpenMP build
  *  b4f7946e9 - Remove some double space
  *  218eb6731 - Fixed 4 spelling errors
  *  6f546de92 - Updated the Norwegian translation quite heavily
  *  cdf9d6376 - Bug 1979 - Activate Paul's fix for Windows too.
  *  ffa67d2b1 - Split AudioIO into two classes
  *  26086a414 - Split MenuCommandHandler into three classes.
  *  529e1e2af - Bug1979 partial: Faster first-time save, if possible,
    on Mac and Linux
  *  cbe0ea84c - Define FileNames::HardLinkeFile, but nonfunctional on
    Windows
  *  04b5054ad - Reorganize commit/rollback of SetProject, prior to
    fixing bug1979
  *  e87e15f48 - Proper deferring of DirManager's commit steps when
    saving-as
  *  ec506ab52 - Define DirManager::ProjectSetter so that commit steps
    can be deferred
  *  0db0c6e0d - Reorganize some commit logic in DirManager::SetProject

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 27 Oct 2018 00:58:36 +0300

audacity (1:2.3.0+git9259-555345392-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/audacity/audacity.git
  * Branch: master
  * Commit: 555345392e7a041fc0da8b31a93ff1cedc7c2463
  * Date: 1539356367
  * git changelog:
  *  555345392 - Fix Pa_IsFormatSupported query flood (from Max Maisel)
  *  3ddb536a8 - Fix eu_ES.po revision date.
  *  60b2dc720 - Fix incorrect wxASSERT
  *  297f3b4d8 - Fix another mistake in iteration over channels in
    src/commands
  *  494ab4eaf - Make AudioIO::Callback() code shorter
  *  939b96749 - Refactor AudioIO::Callback()
  *  286bf5d5b - Additional comments in rms.ny for plug-in authors
  *  37ec7da3c - Throw error if Nyquist *LOCALE* is malformed
  *  e20a98588 - Replace pointless looping by 'if'
  *  15a3ea776 - Bug 2010 - Scriptables: SelectTracks and Select
    incorrect for stereo tracks
  *  7e5a716e6 - Fix C4458 Warnings
  *  657159d54 - Fix C4189 and C4100 Warnings
  *  66c861315 - Exclude rms.ny from update_po_files.sh script
  *  5fd95dd13 - Fix C4456 Warnings.
  *  43402438f - Link with -latomic if using clang on Linux.
  *  ac8273342 - Add 2.3.0 release information in appdata
  *  242fa748a - Add component type in appdata
  *  a7d34b174 - Correct Russian translation in rms.ny
  *  297bf442a - Fix typo in 665e2d0
  *  665e2d0e9 - Correction to translation of rms.ny
  *  5d34d022a - Add rms.ny to Audacity bundle
  *  14fe11f4d - Bug2008: There was error in stereo Contrast
    calculation, at aee4005
  *  3f928a25b - Bug2004: Opening Mixer Board with a Note track
    crashed...
  *  e6e4f44c8 - Bug1997: Split Stereo Track and Split Stereo to Mono
    were doing nothing
  *  b5a7b67cb - Fix some crashes in time-shift
  *  92cceaf59 - Fix usage of InconsistencyException
  *  90e2da7f1 - Fix uses of TrackList::GroupChannels in Mix and effect
    preview
  *  df1103822 - Don't crash in Nyquist tools with mOutputTracks
    undefined
  *  75918918c - Correct template parameters to std::iterator base of
    TrackIter...
  *  50f2b0e86 - Bug1995: Fix drawing of stereo tracks, bug introduced
    at 0c0c2c0
  *  8880e1b92 - Fix missing initialization from a17af37
  *  cc74b0273 - Fix return of reference to temporary object (that's
    bad!) ...
  *  348e7868b - 1991: On Windows, nyquist effects and analysers slower
    than on 2.2.2
  *  0a55b27d2 - Bug1994: Crashes in append-record...
  *  565fef2ba - Bug 1832: Fix adjusting time track when in logarithmic
    scale
  *  a17af37c1 - Fix bug 1992
  *  526179b63 - Remove a use of c_str
  *  81385d7eb - Track type switch safety; simplified iterations &
    channel groupings...
  *  8fcbbaeea - Encapsulate details of setting-up of channel groups in
    TrackList...
  *  32d767c7f - Track::SetLinked() and Track::SetChannel() are
    private...
  *  beebe648f - Remove more uses of Track::SetLinked() and
    Track::SetChannel()
  *  894f6f4f6 - Remove SetLinked() and SetChannel() from importers
  *  b0c5f42b9 - Remove old iterators, type tests, GetLink(ed) from
    Track's interface
  *  7e6a54347 - Define TrackList::GroupChannels()
  *  31d46ae62 - Importer functions return a vector of vector of
    pointers to tracks...
  *  2ee87082c - Track::GetLink and GetLinked are private, but SetLinked
    isn't yet
  *  b36c3efec - Track::GetKind is private
  *  b5f52e7c1 - Remove old style track iterator classes
  *  fbec3efa0 - Eliminate some unnecessary track type tests
  *  7d55defde - Rewrite channel iterations that don't generalize to
    more than two...
  *  dbf44efc9 - Iterations over channels in remaining places that won't
    generalize...
  *  4aa990e83 - Remove GetLink(ed) in various other places
  *  c107fb298 - Remove GetLink(ed) in channel manipulation menu items
  *  ecc869bdb - Remove GetLink(ed) in TrackPanel resizing code
  *  d2a18f01e - Remove use of GetLink(ed) in AudacityProject::OnPaste
  *  7eadd7a36 - Iterations over channels involving third-party effects
    libraries...
  *  22c85dd99 - Rewrite GetLink(ed) in SBSMS
  *  48ae1eb3c - Rewrite GetLink(ed) in SoundTouch
  *  70f7b0f6e - Iterations over channels where more general messages
    may be needed...
  *  518df314e - Rewrite GetLink(ed) in vamp effects
  *  a68184f81 - Remove GetLink(ed) in track panel drawing and refresh
  *  46557a9a2 - Rewrite many track type switches, track and channel
    iterations...
  *  4c75175e4 - Remove GetLink(ed) in Normalize effect...
  *  f276373f3 - Remove GetLink(ed) in clip-moving functions
  *  356115431 - More rewrites of iterations over channels...
  *  669054b4f - Remove many uses of GetLink in TrackPanel
  *  0c0c2c0d1 - Rewrite iteration over visible tracks in TrackArtist...
  *  51e0ae044 - Remove GetLink() in
    AudacityProject::AddImportedTracks...
  *  a7ca6db7c - Rewrite many iterations over tracks and channels, track
    type tests...
  *  968d63d5f - Rewrite many iterations over tracks and channels in
    various places
  *  fee0f284f - Rewrite many iterations over tracks and channels in
    src/toolbars
  *  3eee8b8cf - Rewrite many iterations over tracks and channels in
    src/import, src/export
  *  c7ab9f233 - Rewrite many iterations over tracks and channels in
    src/commands
  *  23a85893a - Rewrite some iterations over tracks and channels in
    TrackPanel
  *  aee400504 - Rewrite many iterations over tracks and channels in
    src/effects
  *  b94e8fec9 - Remove VisibleTrackIterator
  *  ae2ce1ad9 - Rewrite many iterations over tracks and channels in
    Project.cpp
  *  d01013e0d - Rewrite many iterations over tracks and channels in
    Menus.cpp
  *  1e32309d2 - Rewrite MenuCommandHandler::HandleAlign
  *  b6a6b8e73 - Rewrite iterations over sync-lock groups
  *  bb3aa00f5 - Effect::CopyInputTracks was only called with two
    values...
  *  2e11844f6 - Effect::inputTracks() now gives only const access
  *  1be3187b9 - Use TrackIterRange::Visit
  *  17089d03b - Rewrite MenuCommandHandler::OnPaste with TypeSwitch and
    new iterators
  *  51842fc78 - Use TypeSwitch and track_cast
  *  fd10ed26c - Use TypeSwitch and track_cast in TrackPanel
  *  e17c4acd5 - Rewrite sorting of tracks
  *  48f5bd735 - Rewrite details of Track, TrackList with new iterators
    and track_cast
  *  1a59ba633 - Simplify some internals of TrackList, don't assume at
    most 2 channels
  *  7ec734b08 - Rewrite TrackList::SwapNodes without GetLink(ed)
  *  b05c32e2a - Remove some things from Track.h, replacing their uses
    with new iterators
  *  05ddfaf82 - Remove TrackList::Select
  *  5c6fd64a0 - TrackList::GetPrev and ::GetNext are private
  *  a0e15cfbb - Remove TrackListIterator::RemoveCurrent
  *  89748cbe3 - Remove "skiplinked" argument of old track iterators
  *  d19695022 - Add new-style track_cast, iterators, and TypeSwitch for
    Track
  *  52848e448 - Define Track::TypeSwitch for type-safe dispatching
  *  a3cdb08ee - Classes and functions for type-safe iteration over
    tracks
  *  6a9f9d789 - Define track_cast, like dynamic_cast...
  *  6930b6319 - Redo track kind as an enum class defined at global
    scope
  *  e7c4e8bde - Help intellisense find MenuCommandHandlers
  *  5c5253e14 - More to remove with -j4.
  *  9912fd677 - Remove -j4
  *  aea04dcab - Reorganize time-shifting code, no behavior change
    intended
  *  4998a5cea - Rearrange some logic in TimeShiftHandle::Click
  *  68eb24545 - More factoring of TimeShiftHandle::Drag
  *  d81251397 - More factoring of TimeShiftHandle::Drag
  *  fc5f7331d - More factoring of TimeShiftHandle::Drag
  *  aa3c3a8d5 - More factoring of TimeShiftHandle::Drag
  *  37b3968dd - Some factoring of TimeShiftHandle::Drag
  *  b79f5d929 - Simplification and better comments relating to time-
    shift...
  *  4a55b0d0c - Remove unused functions
  *  debf96028 - Provide missing piece of menu refactor, commit 9481587
  *  45bccbe5f - Russian translation update
  *  42a69f955 - Japanese translation update
  *  0041e2fb6 - French translation update
  *  920970c7c - Enable snapping to other tracks, time-shifting with
    Shift key down...
  *  2ff75acff - Remove transform_iterator and related, no clear need
    for it yet
  *  d6dea3d22 - Correct transform_iterator ?
  *  7ab97c969 - Use std::numeric_limits<...>::lowest...
  *  e456b5334 - Add and remove some private: and public:
  *  af0669198 - casting of Track* to WaveTrack* happens at lower level
    in OD manager
  *  03dc815ae - Pointer downcasts should use static_cast not
    reinterpret_cast
  *  bba16b3b3 - Clarify the logic for drop of channels during playback
  *  35f555521 - Track::mChannel has an enum type
  *  998556205 - Replace wxWidgets arrays with std::vector
  *  7c924012f - A redundant high-level GuardedCall around macro command
    execution...
  *  4710d69f4 - Bug1988: Don't lose data in unusual inter-project copy-
    paste case
  *  d852bd378 - Translated time (& freq & bandwidth) formats in numeric
    controls...
  *  9481587fa - Move menu handling functions out of class
    AudacityProject
  *  3ed43a9f1 - Up version number to 2.3.1

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 13 Oct 2018 15:31:03 +0300

audacity (1:2.2.2+git9128-9a45c0200-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/audacity/audacity.git
  * Branch: master
  * Commit: 9a45c02002b759e488426359a6a82bcda090b242
  * Date: 1537454107
  * git changelog:
  *  9a45c0200 - Bug 1983 residual - A better fix for the residual.
  *  ce31c371b - Bug 1983 residual - Width of mixer toolbar changes.
  *  f07e40a4c - Bug 1983 - Preference updates do not preserve toolbar
    widths
  *  e4bdd68c7 - Bug 1981 - Mac: Background of pan/gain sliders wrong
    color in Light theme.
  *  42efe5388 - Bug 1980: NVDA 2018.3 and check boxes with empty
    accessibility names
  *  d3d969944 - Capital S in 'Play-at-Speed'
  *  edb8284ec - Add instruction to use our fixes branch into
    mac/build.txt
  *  6302e9b82 - Set AUDACITY_BUILD_LEVEL to 2
  *  fd21a0f6f - Bug 1943 - Nyquist prompt loses data when Audacity is
    closed
  *  72f9fade8 - Bug 1749 - Timer record dialog: wxWidgets assert
    failure
  *  7ea64d808 - Update Hindi translation
  *  beaa9491c - Nyquist effects now translated
  *  20b7a495c - Some small fixes for dragging of toolbars
  *  a90c6c45f - Remove redundant calls to update toolbars
  *  01634938c - Fix:  Undock Tools toolbar; then reset toolbars Mac...
  *  fb101964d - Improved algorithm for rearranging toolbars after
    docking one...
  *  2b5a8682a - File rename.
  *  994c0552e - Fix version numbers in README.txt
  *  83f1537e3 - Update build instructions for 2.3.0
  *  d281d0e1d - README and CHANGELOG for 2.3.0
  *  5d174b212 - Minor corrections to TrackPanel drawing...
  *  1ea05b6cc - Update Polish translation
  *  4cff5c4cb - Bug 1768 - Local Manual says 'offline' in the footer
    and 'development' in the title.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 28 Sep 2018 23:26:45 +0300

audacity (1:2.2.2+git9105-03ef66d07-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/audacity/audacity.git
  * Branch: master
  * Commit: 03ef66d07043cc186899f787fa897a82a88d71eb
  * Date: 1536963637
  * git changelog:
  *  03ef66d07 - Bug 1915 - Win: Audacity on Windows depends on
    MSVCP140.dll and VCRUNTIME140.dll
  *  f7545650f - Remove empty files src/LoadModules.* and all mention of
    them
  *  e77fc068b - Add missing header files to XCode project
  *  20947efec - Remove more vestiges of pre-C++11 Mac library
    workarounds
  *  fe8176052 - Eliminate EXPERIMENTAL_OUTPUT_DISPLAY, again...
  *  34cc1ff57 - Rename, rewrite, and simplify use of
    FindPendingChangedTrack
  *  a5c50a112 - more const in drawing functions
  *  4b950927b - TrackList::GetGroupHeight is const
  *  cbe778adb - Bug 1977 - Simpler rule for 'Default sample rate' and
    'Project rate'.
  *  98073f769 - Update Spanish translation
  *  993cea506 - Revised fix for Bug 1977 - Using Spectrogram Settings
    in TCP causes Audacity to reset Project Rate to default 44100 Hz
  *  e990fd4f1 - Remove unnecessary #include
  *  1b6cd725e - Use count of channels instead of boolean 'linked' in
    GetInfo.
  *  206305624 - Bug221 re-fixed with better exception safety: see
    commit 1deff18...
  *  a66d7442a - Bug 1977 - Using Spectrogram Settings in TCP causes
    Audacity to reset Project Rate to default 44100 Hz
  *  a6866f4b4 - Update Catalan translation
  *  e54f8e615 - Create PULL_REQUEST_TEMPLATE.md
  *  334c0d83b - Create CONTRIBUTING.md
  *  e8abafdea - Create issue templates
  *  94dbc2646 - Added CODE_OF_CONDUCT.md
  *  1deff18c1 - Bug 231 - Cut Preview should play all selected/sync-
    locked tracks, respecting Mute/Solo during preview
  *  8e089f414 - Update Basque translation
  *  b881b06b5 - When scrubbing backwards unpinned, scroll tracks by
    whole panel width
  *  f31a1a6f8 - Don't halt scrub playback with display paging at high
    magnification
  *  52ad43daa - Scrubbing at high mag, play head won't stray left of
    track edge
  *  03def8dba - Bug1967: scrub shouldn't be clicky...
  *  e724ef079 - Bug 1970 - Missing tick marks in Timeline
  *  47926c04f - Bug 1969 - Windows: no monitored sound for 15 secs with
    software playthrough with default MME host
  *  ff01d3960 - Undo Workaround for Bug 1969
  *  942ddac70 - Update Greek translation
  *  596feddfe - Workaround for Bug 1969 - Windows: no monitored sound
    for 15 secs with software playthrough with default MME host
  *  0f5c8d4d8 - Wording: "Duplex" -> "Overdub" (missing piece).
  *  69fd56667 - Fix printing headers in Sample Data Export
  *  ad19ca0fa - Fix for bug 1972
  *  b8891702a - Update Catalan translation
  *  f8c857f24 - Update Russian translation
  *  1ecff6d5d - Bug 1971 - Linux: Scriptables screenshot command only
    grab a small rectangle of window
  *  f61989e92 - Part fixes for compilation of EXPERIMENTAL_SCOREALIGN
  *  544c3b977 - spelling in comments
  *  69bf7fd12 - remove unused function
  *  2d67b97f3 - Update Dutch translation
  *  bc016663c - Update Catalan translation
  *  2758491a4 - Bug 1966 - Manage Macros: Import and Export buttons are
    always inactive.
  *  7d0839393 - Report selectedness of all tracks, not just WaveTracks.
  *  1627194af - Update Portuguese translation
  *  ad6962250 - Bug1958: shouldn't crash recording with playthrough
  *  ae2bbb327 - AUD-GET-INFO function added to init.lsp
  *  a56a5be30 - Replace _ with XO (won't affect generated audacity.pot)
  *  52b6eb14e - Update Danish translation
  *  44e862397 - Update polish translation from Transifex
  *  a42c2ba39 - Update Ukrainian translation
  *  610ab2a68 - Chinese Translation.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 15 Sep 2018 11:19:20 +0300

audacity (1:2.2.2+git9053-1baf12d7b-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/audacity/audacity.git
  * Branch: master
  * Commit: 1baf12d7bc255cddc9350993b69b2197edf13b4f
  * Date: 1535810186
  * git changelog:
  *  1baf12d7b - Bug1960: position of play head during scrub right to
    left
  *  3f7c639c3 - Make the 'wait for fade out' latency dependent.
  *  9b728cfec - Update German Translation
  *  8d1d6c2e8 - Update French translation against the latest fix
  *  3e1e7db80 - Regenerate .po and .pot files.
  *  8ed0edd59 - Fix two problems with Nyquist translation.
  *  af276ac4f - Now implement scrubbing default to unpinned, see commit
    ac1017e...
  *  3eccdd9bd - Update fr.po
  *  792fddbd2 - Bug 1962 - Nyquist effect dialog labels not translated
  *  a6a283313 - Update German translation by Joachim Huffer.
  *  45053087b - Regenerate .pot and .po files.
  *  094c574e6 - Fixes for missing/problematic strings for translation.
  *  e7e5de950 - Update fr.po
  *  b5a764701 - Fix typo in fr.po
  *  0efe25d94 - Update fr.po
  *  40ab57944 - Bug 1957 - Overdub disabled when enabled in Transport
    menu
  *  0b0a8bcc6 - Update .pot and .po files.
  *  81fe33548 - Updated translation script
  *  7f738bd64 - Merge French translation update (pull request #296)
  *  63b9bc7c8 - Update fr.po
  *  052f5d355 - Update HelpText.cpp
  *  ac87eddd6 - Update VampEffect.h
  *  766d7f48a - Update fr.po
  *  756338716 - Update fr.po
  *  12f122db3 - Update fr.po
  *  61626999c - Update fr.po
  *  d050afb65 - Scrubbing calculation now needs clock precision greater
    than sample rate
  *  919571e79 - Bug 1950 - Pause mutes and stops head progressing, but
    does not 'pause' audio.
  *  41959d4d5 - Bug 1952 - Windows: Timer Record - debug failure msg
  *  b5f9acefa - Fix some warnings in AudioIO.cpp
  *  a5e9fb9e3 - Bug 1949: WASAPI playback stops before the end of the
    selection
  *  85c1eb472 - Fix GetInfo: Type=Labels counts channels rather than
    tracks.
  *  481370b7b - Fix ASSERT opening FFmpeg Options Dialog.
  *  665650652 - Update POTFILES.in, audacity.pot and .po files.
  *  0ea4ff139 - Add internationalization hints.
  *  3da9af47a - Update .pot and .po files.
  *  85f13b433 - Fix Linux build... uniform initialization not
    implemented right in g++?
  *  eae38b067 - Fix Linux build
  *  c56dd71bf - Add missing files to POTFILES.in
  *  de88c98a4 - Fixes for the "bounce" at start of scrub
  *  9aad60d12 - Make polling loop period slightly shorter than Audio
    thread loop...
  *  bd88a0e48 - Rewrite scrub without mutex, condition variable, or
    message queue...
  *  e4e7a814c - FillBuffers won't quit too early priming the RingBuffer
    for scrub
  *  ba52753ff - Scrub options don't need starting time
  *  9d17d335b - Poller thread leaves messages, Audio interprets; a
    buffer not a queue
  *  832bcef3a - Postpone work from ctor of ScrubState to the first call
    of Update
  *  a62cf5316 - Make AudioThread wake-ups as uniformly spaced as we can
  *  0c0cc0768 - Define utility class MessageBuffer for inter-thread
    messages
  *  976e9aeec - Changes to the starting and stopping of scrub/seek/at-
    speed...
  *  4e461f875 - Explicit scrub shut-down signal replaces the "nudge"
  *  303ac9367 - Start scrub polling before the PortAudio stream...
  *  27ede251d - Don't collapse recorded tracks when Auto-fit enabled
  *  878818a1a - Wording: "Duplex" -> "Overdub"
  *  e31fe6b24 - Make AUD-DO return T or NIL as result status.
  *  367d15a0b - Add a couple of helpers for parsing string
  *  70467e152 - Enable (most) Nyquist property lists for tool scripts
  *  bdf1cb32f - Some simplifications and renamings related to
    ScrubState
  *  550d514e0 - Changes of names and comments relating to scrub, don't
    mention queue
  *  4a98ba03d - Remove ScrubQueue compensation for Producer
    overflowing...
  *  8badb0a93 - Rewrite the insertion of silences into scrub, combining
    queue entries
  *  9727968b9 - move some functions
  *  1bf192e5b - Split ScrubQueue into two queues...
  *  69435c919 - Simplify ScrubQueue to involve only two threads...
  *  81a3a7d33 - Use the TimeQueue to communicate play head position
    updates for scrubbing...
  *  389ab0c8d - Fewer calls to RingBuffer::Put in case of trailing
    zeroes...
  *  84c8aa0fc - Fix some cases where seeking (with mouse) let
    RingBuffer go empty
  *  b2df5e067 - Declare and allocate time value queue
  *  e91918042 - Don't let the ring buffer empty when seeking past end
    of track...
  *  67a982343 - split out function AdvancedTrackTime; more caution
    about termination
  *  2806f40ab - Don't let the RingBuffer run dry when seek-drag is very
    slow...
  *  5cfbfd364 - Set the playback RingBuffer latency appropriately for
    seeking
  *  111d2c867 - Can specify a minimum to maintain in the playback
    RingBuffer...
  *  06fe9e843 - remove some casting
  *  45231b8f6 - Consume equal amounts from play ring buffers in each
    callback pass...
  *  8a6351d9c - Guarantee cleanup of partial allocation on all error
    return paths...
  *  3a94acd63 - Remove unnecessary variable
  *  03678eccb - use mRate not sampleRate
  *  575e631d4 - line lengths
  *  8e151aba8 - Split out AudioIO::AllocateBuffers
  *  eeb5f1ec2 - Revert "Fix the hiccup at the start of scrub or play at
    speed..."
  *  d79c071d6 - Change 'mouse_move' to 'move_mouse'.
  *  74d0420b9 - Bug 1763 - Clicks on starting/stopping playback.
  *  b91300caf - Bug 1947 - Clicky play when dynamically changing number
    of playing channels
  *  f296f4239 - Fix misleading error message
  *  ac1017ee1 - A preference checkbox for always scrubbing unpinned,
    does nothing yet
  *  c86a46dc9 - fix Mac build
  *  9012b98ec - Init mOldGains
  *  0ce83abbf - Bug 1940 - Clicky play when adjusting Pan or Volume TCP
    controls
  *  ac5b743dd - Bug 1944 - Many "scriptables" link to non-existent
    pages or incorrect target pages
  *  66df5786d - Make AUD-DO return a cons.
  *  9b84deb43 - Bug 1946 - Nyquist ;type tool effects crash if
    returning labels from Nyquist
  *  e1ae05780 - Disable experimental loudness normalizing
  *  4ec1393c2 - Error if Nyquist Prompt requires track election
  *  94b3bf3c2 - Remove superfluous log message
  *  b9ec43433 - Bug 1934 residual
  *  06b5d2e94 - Bug1932 followup:  Times, not sample counts, in
    scrubbing options...
  *  ecb1cbdf3 - Play at speed slider: fix page up/down increments
  *  805d7023e - TimeDialog: minor accessibility change
  *  0df8c7e3a - Wording: "Latency compensation"
  *  3bb48a21d - Bug 1932 - (Residual) Fix stopping behavior with Play-
    At-Speed.
  *  aaad7dd08 - Bug 1932 - Scrubbing (and Play-at-speed) with WASAPI
    host (MSW only) or very short buffer preference (on Mac also) is
    very clicketty
  *  26f72b110 - Fix the hiccup at the start of scrub or play at
    speed...

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 01 Sep 2018 22:38:00 +0300

audacity (1:2.2.2+git8951-6fa5c93b8-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/audacity/audacity.git
  * Branch: master
  * Commit: 6fa5c93b8e19d9356cc7c66173d5406916f30854
  * Date: 1534378847
  * git changelog:
  *  6fa5c93b8 - Fix typo in comment
  *  5be7f7db0 - White space changes
  *  18646a266 - Select Command dialog: minor focus fix
  *  b2feab61a - TrackPanelHasFocus commands now always available to
    Macros
  *  8eef6dc3e - Fix bug 1938
  *  0d9cd4b02 - Fix bug 1937
  *  3480f5aa3 - Bug 1934 - Generate audio from Nyquist prompt crash
  *  11da92d66 - Allow capture retries if time since Rescan() < 10s
  *  aeba34b15 - Bug1930: should draw bottom channel when append-
    recording...
  *  542adefac - Bug1931:  more precautions, higher level and more
    general...
  *  328aa5896 - Bug1933: commit 2c28af05e8be98aa9ab609823d1ff1d27fb
    needs null checks
  *  932734c89 - Windows: don't crash if double-clicking on ruler during
    playback
  *  04a69f0a4 - Bug1931 -- Dbl-click ruler in Windows shouldn't violate
    assertion...
  *  835abd9be - bug 1885 Linux: Allow retries when opening capture
  *  1d22ca578 - Improve error message when capture stream fails
  *  90286acb6 - Update some translations
  *  ea6e053f1 - Update sv.po (#259)
  *  dc4ee28b1 - msgmerge -U pl.po audacity.pot to normalize line breaks
  *  4bbeb502e - Updated pl.po -- Polish from Transifex
  *  eb3fb0159 - Fix one format directive in it.po
  *  3df5b0412 - fix typos and fuzzys in it l10n
  *  dc603341e - Fix double space
  *  263f4fe9f - Update to Lithuanian language
  *  506f6c3a2 - Updated ko.po -- Korean from transifex, 90% complete
  *  1ee2544a4 - More fixes to ru.po
  *  2b8b92210 - Fix ru.po
  *  3af1af5ec - Update ru.po
  *  d55ca06db - Remove unused member
  *  d59ed9026 - Bug 1890 - Enh: Punch and Roll fails when splice point
    is at track end
  *  3886113b9 - More efficiency in TrackTimeUpdate
  *  ce1ce688f - Try to clarify real time / track time distinction in
    comments...
  *  72b71bbe0 - Use fixed play speed when note tracks are present
  *  67b679b7d - Supply missing #includes that Travis build needs
  *  ca694a1b2 - Bug 1854 - Un-warned export file overwrite danger in
    2.2.2 Chains and 2.3.0 MacrosWindow
  *  3c0ee4d3c - Change TrackPrefs Pinned/Unpinned display.
  *  6126f2f62 - Make a one-time dynamic check that atomic<double>
    doesn't use mutexes
  *  3f1d9ab8c - P & R recording: change color of pin button, as for
    play indicator
  *  0d9972b3e - Some member functions of AudioIO can be const
  *  f036700b0 - Make PlaybackSchedule::mTime atomic and rename some
    functions...
  *  8a78ae280 - Factor out a piece of the big callback
  *  ee2d8c11c - Bug 1928 - Export Multiple with a label track present
    defaults to export by tracks not labels
  *  2d28b2e7e - Bug 1907 - Mac: Some buttons in effects dialogs have
    non-transparent background
  *  7f96f8567 - Add some Right-To-Left language workarounds.
  *  c95532012 - Correctly update hot zones for quick-play cursor at
    button up
  *  4bf28412d - Manage Macros dialog: a couple of focus issues
  *  9d396e331 - Bug 1925 - Applying <macroname> to current project
    window: visual noise, and accessibility.
  *  154f6d25d - Bug 1923 - Enh: Help buttons for Export Audio
  *  072b71135 - Revert cc08cfc, it's unimportant to other work and it
    made scrub clicky
  *  5dab364f1 - Add Help button for Advanced Mixing Options
  *  217c1267b - Add Help button to Export Multiple dialog
  *  3d6f3f186 - Fix our custom NumericText controls are scrambled in
    RTL layout.
  *  ddd1494e7 - Fix crash from following NULL pointer
  *  8c486b50f - Changes via History affect selection exactly as
    undo/redo...
  *  af81dfa10 - Bug1922: updating play indicator when looping with a
    time track
  *  871bc65c8 - Fix loop play again (error introduced at 46d7804)
  *  6f7eaf774 - Fewer calls to GetActiveProject() in AudioIO.cpp
  *  2472b128d - Fix compilation of
    EXPERIMENTAL_AUTOMATED_INPUT_LEVEL_ADJUSTMENT
  *  197122c7d - Collect initialization of playback schedule into a
    function
  *  6e4d11e5a - Fix loop play
  *  cc08cfc9f - Restart of Mixer is same as Reposition at t0
  *  46d7804cd - Group some of the fields of AudioIO into
    PlaybackSchedule
  *  adb33f466 - Bug 1494 - Strange Pause behaviour with
    seeking/scrubbing
  *  0fe2659a7 - Bug 1916 - Play at Speed - scrub widget appears
    unnecessarily
  *  175a47126 - Remove " == true"
  *  fc8783bc7 - Put callback in a member function, remove many more
    gAudioIO->
  *  fc497368a - Remove needless gAudioIO-> in member functions (AudioIO
    is singleton)
  *  3353780bf - Bug 1918 - Right to Left (RTL) language cannot be
    undone using preferences.
  *  bf6b47dbb - Bug 1918 - Left to right (LTR) language selection
    reverses elements that should not be reversed
  *  0162badef - Fix Adjustable Fade preview for stereo tracks
  *  0c73bc135 - Bug 1897 - Export corrupts/clears the Recent Files list
  *  22f85f244 - Bug1917:  TrackPanel should keep focus after click or
    drag...
  *  3f0b3bf1b - Try to flash the pin even less at extreme positions
  *  9eab948fb - Bug 1905 - Labels with more than 260 characters fail to
    load (with no warning)
  *  0022e0c06 - Bug 1844 - Nyquist effects move subsequent envelope
    points by selection's length
  *  511b810fd - Pinned play head can be dragged during transport; dbl-
    click recenters
  *  54807caa1 - Correct flashing of the pin when dragged to extreme
    left or right
  *  27dc8ffea - Draggable pinned play head, double click to re-center
  *  616ff31d0 - Allow full screen of negative timeline during pinned
    play/record...
  *  1c5e523a1 - A preference governs where the pinned head goes, not
    always exact center
  *  b502d8828 - Better enum value name
  *  3010d3aaa - More conservative rewriting of status as mouse moves
    over panels
  *  2c28af05e - Don't hit any TrackPanel or Ruler cells when mouse is
    out of window
  *  74efec9d3 - Bug1756 (shouldn't lose record status message) refixed
    differently...
  *  cf442759b - Add AUDACITY_FILE_SUFFIX_EVENT to ExportPCM
  *  7a56858f3 - Bug 1893 - spurious plug-in reg error message for
    VidPlayVST32 (and others)
  *  901d684c3 - Add Max Maisel to contributors (in AboutDialog)
  *  bf82eaa4c - Rewrite time ruler reusing CellularPanel; ESC aborts
    drags in it...
  *  7cfda551d - Move scrub click handling into a UIHandle, eliminate
    OnMouseEvents...
  *  153eb63b3 - Rest of quick play mouse handling is invoked from
    UIHandle...
  *  9491605cf - CellularPanel handles save/restore of focus for clicks
    in ruler...
  *  c85d2cdfa - UIHandle objects now implement the context menus for
    the Ruler
  *  0ae7f55fe - Manage showing and hiding of quick play guide in
    CellularPanel base
  *  af17e1ff9 - Quick-play handle object manages lifetime of
    SnapManager
  *  a70e2284b - Manage ruler status messages and tooltips in
    CellularPanel base class
  *  ba4ae4f7b - Manage ruler cursor changes in CellularPanel base class
  *  ce48ac630 - Enable hit tests; let base class manage capture &
    release of mouse...
  *  a853b7a3b - Skeletal hit test and handle objects for quick play and
    scrubbing
  *  bccb135e3 - AdornedRulerPanel inherits from CellularPanel -- hit
    testing, still to do
  *  71005cf12 - Add File->Reset Menu Item (#ifdeffed out)
  *  9357c90b4 - Bug 1859 - Macros on files - Save Project causes
    overwrites. thus loses data
  *  d3e6e9244 - Fix Sizer Error.
  *  85074c338 - Factor base class CellularPanel from TrackPanel...
  *  0fc474774 - CellularPanel handles leave and capture loss like other
    transitions
  *  ff98ca5a3 - CellularPanel saves and restores focus for each click-
    drag-release...
  *  7cbe85fac - Add CellularPanel::LastCell
  *  4e1a80f5a - Move CellularPanel data members into a state structure
    out of the .h file
  *  f6609e5ff - Move class CellularPanel into its own files
  *  7f84e7132 - Context menu handling is also in CellularPanel
  *  c08c17eaf - Add a method to find the rectangle of a given cell...
  *  062066eb7 - Split base class CellularPanel out of TrackPanel...
  *  d76777bef - Each cell can define cursor, status, and tooltip in
    default of hit tests
  *  98514194a - ProcessUIHandleResult takes pointers to TrackPanelCell
  *  aeece118e - Rewrite the handling of quick play indicators...
  *  7395e5acb - Remove pTrack from FoundCell; new function hides some
    casting
  *  79067e43f - ProcessUIHandleResult is a member function of
    TrackPanel
  *  c94df5415 - Bug 1856 - Applying Macros to Files is no longer a
    batch process
  *  9f7fa4e1f - Bug 1914 - Enh: Clean install needed to update
    effect/generate/analyze/tools menu for changed plug ins
  *  dcd9368af - Don't load PluginTypeNone.
  *  233b1677d - Bug 1914 - Enh: Clean install needed to update
    effect/generate/analyze/tools menu for changed plug ins
  *  4318cb678 - Bug 1886 - Sluggish behaviour caused by the large time
    taken to draw the Track Control Panel
  *  3ccdde8fd - Bug 1912 - Play/Stop and Set Cursor no longer sets the
    cursor at the stopped play position
  *  d7346751c - Bug 1900 - Sample Data Import/Export should both be in
    the new Tools menu
  *  e670ee1e0 - Bug 1903 - Sample Data Export has duplicate menu
    entries: Tools & Analyze
  *  119291446 - Fix duplication of Nyquist Prompt.
  *  ecd09a19d - Preserve selection on exit from Nyquist prompt.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 17 Aug 2018 08:42:51 +0300

audacity (1:2.2.2+git8826-37018181a-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/audacity/audacity.git
  * Branch: master
  * Commit: 37018181a1c9546706906c6cbd276893f3683917
  * Date: 1533197787
  * git changelog:
  *  37018181a - Merge pull request #290 from Paul-Licameli/rewrite-aud-
    do
  *  06eee27b9 - Rewrite commit 1bc0f0f without further changes to lib-
    src...
  *  0dddcf44c - Some uses of wxWindowRef, a weak pointer that won't
    become dangling
  *  703bf2b64 - Merge branch 'scripting-with-nyquist'
  *  c21855bbc - Change ";type tool" to not iterate through tracks or
    selection.
  *  1bc0f0f4d - Make Nyquist support (AUD-DO)
  *  b97595681 - Add re-entrancy checks to Nyquist
  *  d554ea53d - Fix Travis build
  *  f12362480 - Macro dialog: minor accessibility fixes
  *  5f27ae905 - Changed misleading terminology in scrubber...
  *  b33d3516f - Rename a function in AdornedRulerPanel...
  *  8935fa106 - Replace deprecated std::mem_fun and mem_fun_ref with
    mem_fn...
  *  4d24c0249 - Use dB, not LUFS by default.
  *  f13e621bc - Bug 1906 - Issues with dynamic Play-at-Speed
  *  9cbb67acb - Fix too low loudness normalization levels.
  *  487769d2b - Change more prompts when switching between LUFS and dB
    in Normalize.
  *  bcb60d1f6 - Fix initial display of dB/LUFS in Normalize Effect.
  *  afcff49f1 - Merge pull #287 by Max Maisel, "Normalize fixes and
    improvements"
  *  e68ea1a27 - Added missing bias value in Normalize LUFS calculation.
  *  0ed9b9d34 - Separated peak and LUFS normalization presets.
  *  58929e4c6 - Fixed stereo track LUFS calculation according to EBU
    R128.
  *  b1598fd21 - Fix peak normalize regression introduced by refactoring
    (bug #1908).
  *  514c3f897 - Improved source reference for EBU R128 sampling rate
    adaption.
  *  98a72acfb - Remove unnecessary moves of return values
  *  e3e2eb99a - Merge pull request #286 from mmmaisel/master
  *  ed4118353 - Implement EBU R128 loudness normalization.
  *  d16b4526c - Refactor Normalize extent calculation in preparation of
    EBU R128 loudness normalization.
  *  6655f6e38 - Fix normalize progress bar in case of stereo tracks.
  *  d707f6818 - Expose "msg" parameter in Effect::TotalProgress().
  *  473e561f5 - Add missing headers in Biquad.h/cpp.
  *  9fcb83882 - Refactor Biquad in preparation of EBU R128 loudness
    normalization.
  *  1adf833d4 - Fix 4 warnings about missing override keyword
  *  83e01fb43 - Remove 8 warnings about re-#define-d names, related to
    SoundTouch
  *  e432883de - Fix deprecation warnings with wxFont, wxPen, wxBrush
    ctors...
  *  0ea56874a - Comment out a debug message.
  *  6325b443d - Possible fix for Bug 42 (Timer Record does not stop,
    moonphase)
  *  f71e36acf - Move check box items to foot of menus.
  *  66e203cdc - Transcription Toolbar -> Play-at-Speed Toolbar
  *  1403e7fa9 - Bug 1906 - Issues with dynamic Play-at-Speed (issues 5
    & 6)
  *  9e1291b2b - Improve initial and minimum widths of resizable
    toolbars.
  *  d99089023 - Update alpha manual URLs in mw2html scripts
  *  f8da13f00 - Bug 1875 - wiki2htm.sh fails with https
  *  f0637eeb8 - Bug 1906 - Issues with dynamic Play-at-Speed (Play
    doesn't pop up)
  *  5caa14e4f - Bug 1906 - Issues with dynamic Play-at-Speed (Shows as
    Scrubbing)
  *  2115e9b5a - Play at speed pop-up dialog changes speed dynamically
    too.
  *  85497ceef - Increase upper limits on slider widths in resizable
    toolbars.
  *  8b2fa68a8 - Make Mixer ToolBar resizable.
  *  132986de1 - Make Transcription ToolBar resizable.
  *  f5999954c - Fix crackle when playing at low speed.
  *  17ca54ad4 - Bug 133 - Enh: Play-at-Speed slider: Change of playback
    speed is no longer automatic

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 02 Aug 2018 21:44:16 +0300

audacity (1:2.2.2+git8776-848b66f4f-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/audacity/audacity.git
  * Branch: master
  * Commit: 848b66f4fae73d1e3236dfe1b402682a01013075
  * Date: 1531586337
  * git changelog:
  *  848b66f4f - Make title of Nyquist Prompt dialog change
    appropriately.
  *  273902034 - Bug 1902 - "Nyquist Prompt" confusingly shown only as
    "Nyquist" when "Grouped by Type" is active
  *  0c7dbd311 - Merge pull request #283 from welaq/master
  *  3caf19e18 - Add lt language to audacity.desktop.in
  *  70f27d41d - Rewrite AdornedRulerPanel with one less friend
  *  eb0e3802b - Bug 1896 - Linux: Resizing the device toolbar judders
    badly
  *  542914818 - TrackPanel: improvements to the accessibility names of
    the tracks
  *  d057dfb5d - Move "Help Menu" after "Extra Menu".

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 20 Jul 2018 23:11:59 +0300

audacity (1:2.2.2+git8768-29ec921c8-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/audacity/audacity.git
  * Branch: master
  * Commit: 29ec921c8b621c6df435a6bbebcda98a74509941
  * Date: 1530799037
  * git changelog:
  *  29ec921c8 - Revert parts of e1b6091 involving effects, for .cfg
    file compatibility
  *  6c48be71f - Remove a compiler warning in Menus.cpp
  *  bfec6f0aa - Spectral Selection toolbar: minor accessibility change.
  *  7d9c82f47 - Output device should be changeable even when no input
    devices...
  *  7c544ace7 - Newer MSVC compiler allows alignas
  *  3c657ea05 - Fix bug 1873
  *  1be17fc7a - Fix bug 1894
  *  a06e561cb - Support version strings in Nyquist plug-ins
  *  356fdeba4 - Show Pin/Unpin button in red, if recording.
  *  20178b15e - Fix some 'declaration hides' warnings.
  *  3f9232154 - Appveyor build settings
  *  c2bc21030 - Accessibility: stop NVDA always reading track 1 after
    an undo or redo
  *  3b7fdafca - Update AppVeyor for MSVC2013 -> MSVC 2017
  *  d8b7e3d8a - Switch the default toolset from VS2013 to VS2017
  *  68b7330b6 - Avoid MSVC trying to use wxTabTraversalWrapper's move
    ctor.
  *  6ae5bd46a - Rework locale VS project to use CustomBuildStep. Make
    sure Clean, Build, and Build targets work. Use NuGet to provide
    gettext for msgfmt.
  *  75bc81a1d - Don't use a separate build script for optional files.
  *  40ce9d6fc - portaudio-v19: Update for VS2015+
  *  ee5609b8e - libsndfile: Update for VS2015+
  *  2ebb34149 - libscorealign: Update for VS2015+
  *  bd5b33378 - libnyquist: Update for VS2015+
  *  8bf2071fd - lv2: Update for VS2015+
  *  659f8cbc6 - Get rid of the Windows compatibility headers stdint.h
    and inttypes.h. Microsoft provides their own these days.
  *  8b87e18c6 - Accessibility: clean up track focus events after an
    effect is applied.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 05 Jul 2018 19:44:30 +0300

audacity (1:2.2.2+git8744-95ef41413-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/audacity/audacity.git
  * Branch: master
  * Commit: 95ef41413c83fb6aea473ac8762313cf39a05d6a
  * Date: 1529621678
  * git changelog:
  *  95ef41413 - Better fix for bug 1891
  *  47665836c - Enh 1890:  Allow P&R when cursor is exactly at track
    end...
  *  a3312f4ae - Guard against negative values for P&R preferences
  *  d76597287 - Need acquire ordering in RingBuffer::Clear() too; and
    comments
  *  fcdfd68d7 - Stricter memory ordering in RingBuffer
  *  bd7e6f727 - Avoid false sharing of the two atomic variables of
    RingBuffer
  *  f145574dd - Fix for 1891 is specific to Mac / Linux
  *  8a158c741 - String and dialog changes related to Punch and Roll
  *  46fb2960c - Links to help for errors in usage of P&R
  *  76282a1da - Simply "Pre-roll:" not "Pre-roll duration:"
  *  cbe6c9eb4 - "Time shift for record" replaces "Track shift after
    record"
  *  3b1109376 - Change message for Punch and Roll when track selection
    is inappropriate
  *  af6250617 - Update pointer to our wxWidgets custom branch in build
    texts
  *  22f48d31e - Rewrite RingBuffer with standard atomics...
  *  58fa401fa - Don't disable accessibility in Mac build of wxWidgets
    for Audacity
  *  6cff61535 - Fix bug 1891 (EQ crash)
  *  5cdf64213 - Fix Travis build
  *  5543dc884 - Update Sample Data Export to use file browser
  *  5e219a031 - Fix Factory Preset for Nyquist file browser
  *  c976630f4 - MacroCommandDialog: add accessibility name for details
    text box
  *  0c9dfc493 - More convenient shortcuts for selecting prev/next clip
  *  60204730e - Update Sample Data Import to use file browser
  *  c8c93319e - File browser widget for Nyquist plug-ins
  *  d80d13441 - Revert the changes in ring buffers, which didn't work
    for 24 bit format
  *  a0bf2892f - Revert "Possibly correct some cases of clicky playback
    or corrupt recording..."
  *  8407ef1e6 - Revert "Fix compilation on Windows."
  *  5803c3180 - Revert "Fixes for new ring buffers..."
  *  66a87ecaa - Disallow punch and roll from t=0.0
  *  ed34e6b02 - Vaughan to emeritus in AboutDialog credits.
  *  2c7ca9709 - Reimplement change of color of playhead after pre-roll,
    more simply
  *  77779395c - Revert "Play head is green during pre-roll, then turns
    red for real recording"
  *  a72b8f98c - Bug1883, more: fix logic for choosing start & end times
    of recording
  *  14051f04c - Bug1887: crash or hang loop-playing with WASAPI;
    libsoxr 0.1.3 to blame...
  *  800ddf32e - Bug1884: fix crash when record to new track and fail to
    open device
  *  3051e9ce7 - Stop button works during punch and roll recording
  *  ed660bdca - More apt argument name
  *  8e51391b9 - Play head is green during pre-roll, then turns red for
    real recording
  *  e40420ba7 - Rewrite logic for choosing append-record tracks...
  *  5fc210014 - Remove duplication in Audacity.pot
  *  0880bef19 - Fix typos in the French translation
  *  b54f56fba - Bug 1879 - Audacity resets project rate without
    warning.
  *  122607f18 - Fix selection contract left/right commands
  *  0ac3ed845 - Update Sequence.cpp
  *  a771faa49 - Scriptable GetInfo crashes when Type is preferences.
  *  d09987da9 - Use 'Playing' and 'Recording' in Transport Menu.
  *  0965e9fbd - Move the Punch and Roll item to the Record sub-menu
  *  c0fb14025 - Fix crashes in resampling of capture during recording
  *  9e2937fee - Punch and roll recording
  *  2892dfd95 - menu item, tentative shortcut Shift+D ("do-over")
  *  de230254b - Add to recording preferences for pre-roll and crossfade
  *  11fd3dcc9 - Define EXPERIMENTAL flag
  *  a0256e935 - Recording options allow crossfade data for start of
    recording
  *  f9cd5595d - Stop playback of pre-rolled tracks at the right time
  *  35c60ac96 - Allow for preRoll in start-stream options
  *  20f3f76e2 - Correct limit of record duration when track rate
    differs from input
  *  965a74cd9 - Merge pull request #211 from diddledan/patch-1
  *  35a97e09e - Group arguments to StartStream, and a bit less of
    #ifdef for MIDI play...
  *  0635f8802 - Fix build
  *  49899a561 - fix build
  *  f355320e5 - Don't lose the fractional part of latency prefernce
    setting!
  *  f52b53fc5 - Factor ControlToolBar::OnRecord...
  *  c7f97e773 - Bug1880: don't quantize DBL_MAX resulting in a negative
    value.
  *  0fc4c2de7 - Remove trailing comma
  *  f32073412 - Fix precision of right edge of punch-in when not
    overdubbing too
  *  f0ebf5823 - Better punch-in precision: quantize start and end times
    for rate...

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 23 Jun 2018 10:19:38 +0300

audacity (1:2.2.2+git8678-a3abacd55-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/audacity/audacity.git
  * Branch: master
  * Commit: a3abacd55da3836e9e4f3d638b03c6f21f78e49c
  * Date: 1527247306
  * git changelog:
  *  a3abacd55 - Adjust for latency as you record, don't wait till after
    stopping...
  *  bbe54f47c - a null check would have fixed crash at 902e1ab0a1 when
    recording...
  *  0887d6d01 - When recording into region selection, stop it precisely
  *  92d27c618 - Fixes for new ring buffers...
  *  3e680852f - Update audacity.pot
  *  ae908a9bc - Update Mac Build.txt (fixes bug 1878)
  *  126ded7d9 - Update credits
  *  fdf165d13 - Clarify comment
  *  a2765d013 - Remove duplicate project pointer
  *  41315dac9 - Make comment clearer
  *  b3bf32189 - Rewrite threshold control of Truncate Silence as text
    box, not a choice
  *  a22be24ae - Bug 1863: Windows crash when resampling in WASAPI
  *  318967f00 - Revert "If record overrides append because of channel
    count, record unlimited"
  *  1269fff8e - Ignore the time track during overdub recording.
  *  4221549ec - NumericTextCtrl: fix minor bug with NVDA screen reader
  *  32212d7fc - Dissallow OD loading for lossless copy projects
  *  77a65a8a9 - Replace AIFF preset with WAV 24 on Windows + Linux
  *  24ac6a2d2 - Fix crash if invalid [Export] format
  *  419ecd411 - Save lossless copy of project
  *  30f1fa58a - Disallow copy of project to overwrite
  *  4ff319b0e - Merge branch 'master' of
    github.com:SteveDaulton/audacity
  *  522660c9c - Fix layout of dependency warning
  *  87439b576 - Prompt before overwriting another project

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 27 May 2018 03:30:06 +0300

audacity (1:2.2.2+git8655-a13e7191c-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/audacity/audacity.git
  * Branch: master
  * Commit: a13e7191c418e59daf9fcf9b47d075d06022fecb
  * Date: 1526030628
  * git changelog:
  *  a13e7191c - Add an option to use a dialog to enter the name of a
    new label
  *  a06e845b2 - Usage of the fuller C++11 library, now that we can on
    Mac
  *  c20aefc10 - Save, later rethrow exceptions caught in callbacks from
    C libraries
  *  ac373502a - Don't need AudacityException::Move, use
    std::exception_ptr
  *  f7515c90d - Now I can revert my partial reversion of b56059a
  *  83421e8b1 - Replicated C++11 library things no longer needed
  *  a9e7a7e5d - movable_ptr(_with_deleter) -> std::unique_ptr
  *  b8a8712ba - make_movable -> std::make_unique
  *  7a0475e39 - Remove most uses of AUDACITY_OLD_STD
  *  56c42e870 - Bug1871: Make Effect::Preview cleanup sequence as was
    before 79c3bef
  *  59cb9be78 - pa_ringbuffer.c wasn't compiled by Travis, that broke
    the build
  *  00615831c - define EXPERIMENTAL_REWRITE_RING_BUFFER
  *  36c643005 - Add RMS analyzer Nyquist plug-in
  *  504cf0fe8 - Runtime translation for 3rd party Nyquist plug-ins
  *  705fc9620 - Update export warnings
  *  0d5fb01c9 - Can't call Fit() on (negative) wxDefaultSize
  *  ff8926f18 - Hyphenation consistency update
  *  6d2bd8a2f - Added: where to get wxWidgets and Xcode
  *  9e92f4f37 - Use path separator that depends on platform (in
    screenshot tools).
  *  837d5e18f - Fix Audacity failing silently on new instance
  *  0248c870b - Rename "Sliding Time Scale/Pitch Shift" effect
  *  4733cd777 - Update enum name to match control type name
  *  16ff3b405 - Nyquist text widget must not fail verification
  *  da0183875 - Update Pluck and Rhythm Track plug-ins
  *  cf07f858e - NumericTextCtrl for time input in Nyquist plug-ins

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 12 May 2018 05:30:27 +0300

audacity (1:2.2.2+git8630-660dc03b9-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/audacity/audacity.git
  * Branch: master
  * Commit: 660dc03b9fa354151e38c123b3a9a9928b57c8d0
  * Date: 1524829529
  * git changelog:
  *  660dc03b9 - GetInfo tweaks.
  *  0b11323e0 - Add sublime to .gitignore
  *  ae36eea26 - Bug 1855 - Accelerators not removed from names in
    translation
  *  de1e8d96d - Fix TimerRecord ASSERT in debug builds.
  *  7c8d4dc26 - Bug 1835 - Mixer Board track names do not update
    immediately on updating track names
  *  b1e0add67 - Bug 1870 - Mixer Board on Windows - with a single track
    the window cannot be moved on the screen
  *  c2e07b462 - Change manifest from 'any architecture' to '32bit'.
  *  fb490c24b - Change wxMilliSleep from 10ms to 50ms
  *  7bc32734a - Clear TODO: comments for Nyquist docs
  *  b71b80553 - Bug 1868 - Track selection fails at a certain critical
    track height.
  *  5e8ba1085 - Fix path to script.  (Thanks Cliff)
  *  cef8976e8 - Update mac build instructions.
  *  5c1d0354e - Merge pull request #275 from Paul-Licameli/wx-3.1-macOs-
    10.7
  *  69eba8f15 - Merge branch 'no-non-ascii'
  *  763b2845a - Fix non-ASCII character in portaudio comment
  *  121fdc570 - Fix non-ASCII characters in wxLogDebug
  *  42fb02bf9 - Remove 4x bevel on MixerBoard
  *  933c86dce - Draw slider background in correct colour on MixerBoard.
  *  35d24bbed - Tweak spacing in vertical rulers.
  *  c8a31324b - Remove dead code from SelectionBar
  *  c34dd3172 - Reduce flicker of Selection Toolbar Text
  *  fc473ba50 - Mac: script to build wx 3.1.1 & change xcodeproj to use
    10.7 minimum
  *  5120a9dfc - Fine tune spacing between minor ticks in rulers.
  *  89788d469 - mod-script-pipe windows release build to link to
    release dlls.
  *  a2a68d9a3 - Add Comment: C++11 polyfiller is on the way out.
  *  8344a2bae - Bug 1867 - Jumping numbers on meter resizing
  *  6d96ec1e5 - Fix sizer ASSERT with equalization dialog.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 28 Apr 2018 19:14:20 +0300

audacity (1:2.2.2+git8603-5fd1f7e60-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/audacity/audacity.git
  * Branch: master
  * Commit: 5fd1f7e606ac4e0acd4537638868a6769b8475f6
  * Date: 1523636642
  * git changelog:
  *  5fd1f7e60 - Bug 1866 - Mac: Sliders have black backgrounds when
    building on wx3.1.1
  *  e3a2167b7 - Mac: Build wx3.1.1 libs for Audacity.
  *  717887939 - Flicker-Free Grabbers and Mic/Speaker icons.
  *  cbd0f8aba - Fix (my) typo in a Mac #define.
  *  71f49ae0f - Fix build targeting MacOS 10.6
  *  0c99501bf - Initialize tables of effect and command names properly
  *  effab49a6 - Improve Mac wx3.1.1 compatibility
  *  dc7d3f941 - Bug 297 - Enh: Dependencies Dialog lacks a way to copy
    file names to clipboard
  *  8ff80bde1 - Bug 262 - Enh: Mixer Board: Track strip and border
    colours to match those in current TrackPanel
  *  0e25f65eb - Modification to fix for Bug 875 - NumericTextCtrl
  *  8e71ebca8 - Fix accessibility of Help button in dialogs
  *  09063d6b4 - Bug 1465 - Labels Editor: Does not remember modified
    size and position after OK
  *  47bbedb20 - Avoid too-small prefs dialog
  *  8e32c2df5 - Only build mod-xxx-xxx if user requests it.
  *  2319c436a - Add more space for Directory pref.
  *  edacab85f - Save prefs size, even on a Cancel
  *  2d2f282c8 - Bug 825 - Sync Lock behaves inconsistently when moving
    of clips is disabled
  *  b8f13f769 - More uses of IdentInterfaceSymbol; avoid localized
    strings in configs
  *  a0762d67b - INTERNAL, not TRANSLATED, command/effect names in
    config key paths...
  *  b200819f7 - Use IdentInterfaceSymbol to identify commands and
    effects
  *  11d217076 - Remove PluginManager::GetTranslatedVendor()...
  *  0394660e9 - Use IdentInterfaceSymbol for vendor strings, which are
    used in paths
  *  d9606e8cd - Make effect family names translatable and add i18n-hint
    comments
  *  2c19e8f81 - Use IdentInterfaceSymbol to identify effect families
  *  915e6ead4 - Use IdentInterfaceSymbol in old-style commands...
  *  e3c54a769 - Use IdentInterfaceSymbol in PluginDescriptor
  *  68e4bf6c5 - Bug 1557 - Win/Linux: Shortcuts for select/deselect all
    do not work in Mixer Board
  *  9cb593fe5 - Fix MSB8012 and consequent Link error with modules.
  *  ca118dd5b - Enable Spectral Selection by default.
  *  d1c2ff82f - Bug 1864 - Spectrogram settings dialog hides the
    checkbox for "Enable Spectral Selection"
  *  26860d9ef - Mixer toolbar: change accessibility names of sliders
  *  526606fc2 - Fix more accessibility names after the move to wx 3.1.1
  *  1c751fd86 - Revert "Change procedure to choose append-record tracks
    once again..."
  *  bbcd92437 - Change procedure to choose append-record tracks once
    again...
  *  473a92d28 - Bug 916 - User input not validated in Noise Reduction
    effect
  *  0dd3aef6b - Bug 891 - Number-entering bug in kHz High Frequencies.
    Unfriendly to have to enter High first if new Low is above High.
  *  7ab4b8c6d - Bug 875 - First character is highlighted when tabbing
    into TimeText controls, not first non-zero character.
  *  8de9c53e9 - Allow again recording of stereo into two adjacent mono
    tracks
  *  0909a4acf - Bug 293 - Paste/insert does not affect included label
    tracks when Sync-Lock is off
  *  5fe3c1bdd - Append-Rec: Prefer first, not last, track with correct
    # of channels
  *  7ef7e80e1 - Fix FadeEnds Macro
  *  b792094b5 - Bug 1710 - The Incredible Shrinking ToolBar
  *  082752e58 - Fix Linux toolbar resizing bug
  *  98bbb3436 - Fix sizers in WarningDialog
  *  564e840d5 - Fix background colour of Prefs
  *  b36482d64 - If record overrides append because of channel count,
    record unlimited
  *  9fcccd32a - Rewrite append-record onto only the proper number of
    channels
  *  b60fae447 - Fix some warnings on mac
  *  04d710850 - Rejig mod-xxx building under Windows
  *  1339c3a5e - Add wx link info into mod-script-pipe for Windows
  *  f9ee3cdc4 - Fix some of the accessibility names that disappeared
    with the move to WX 3.1.1
  *  6e59c2e28 - Move Nyquist Workbench to Tools menu
  *  31ce57e32 - Make modules as part of Travis build
  *  e35c49f64 - Merge branch 'automake'
  *  a13a925c6 - autoreconf -ivf
  *  213daba23 - Avoid multiple include of configunix.h
  *  b24dae713 - Update configure.ac for modules.
  *  2004aa2be - Add m4 macros for gnu++11
  *  60a8e832b - Update module makefiles
  *  30d438958 - Get module sources ready for building on linux
  *  0885fda45 - Fix mod-nyq-bench compilation under Windows.
  *  af54ac9cf - Don't record a stereo track into a mono track
  *  6a6244333 - Switch AppVeyor to wxWidgets 3.1.1
  *  76f72f0a3 - Don't record a mono track into a stereo track.
  *  902e1ab0a - Merge branch 'paint-by-numbers'
  *  291be502a - Generate JSON box list for ThemeCache
  *  8782a7264 - Add code for iota theme-bitmap
  *  bf9beb1f3 - Revert locale tidy up
  *  67f7ca7d0 - Bug 1731 - No help button in "Error: not well formed
    Invalid token at line (x) [Residual]
  *  de13357a2 - Appveyor updates and without locale (Thanks henricj)
  *  68b4cb919 - Add "Help" button to Noise Reduction.
  *  c0e1c82be - Add missing files to Mac build.
  *  082ab5ca2 - Don't build locale in release build
  *  0a12f6a81 - Increase max sample rate for RAW to 384 kHz
  *  f027708fe - Fix an issue caused by the accessibility changes in
    wxWidgets 3.1.1
  *  0fb99c5f5 - Back to Visual Studio Express 2013 as the standard
    audacity.sln.
  *  d68500fe2 - Possible MSVC buildbot fix.
  *  1eafc323d - Exclude win/.nuget from Git.
  *  3880558e2 - Merge remote-tracking branch 'henricj/locale'
  *  6220c2761 - Do an autoreconf -ivf
  *  b7b367a16 - Prepare for compiling with wxWidgets 3.1.1
  *  112fd246f - Rework locale VS project to use CustomBuildStep. Make
    sure Clean, Build, and Build targets work. Use NuGet to provide
    gettext for msgfmt.
  *  8c1542221 - Allow 'Export Multiple' of a single track.
  *  b8eeebc26 - Merge branch 'cmake'
  *  03945e805 - Compile all libs and link (Debug only so far) using
    CMake
  *  47e826546 - Move all CMake of lib-src to cmake-proxies
  *  94a731982 - Add cotire (compile time reducer) to CMake
  *  2ff69bc04 - Add remaining libs to CMake
  *  a6bbfc400 - Add more libs for Audacity to CMake
  *  c3a440e56 - Add audacity src
  *  ece54aa94 - Get basic CMake for mod-script-pipe working.
  *  3d82ee7ec - fix Mac build
  *  1f0061ba7 - Fix sizing bug in InfoDialog (misuse of wxALIGN_BOTTOM)
  *  4ae394ff5 - Fix some warnings (MSVC)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 13 Apr 2018 21:16:20 +0300

audacity (1:2.2.2+git8509-b5ffaca98-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/audacity/audacity.git
  * Branch: master
  * Commit: b5ffaca980aebb878836b8d8d98c8fd43e3994cb
  * Date: 1522443041
  * git changelog:
  *  b5ffaca98 - Possible MSVC build fix for Windows build-bot
  *  877f07834 - Fix redefinition warning in Internat.h
  *  26cf8a41c - Upgrade mod-script-pipe to wx3.1.1 release build too.
  *  00b666474 - Upgrade mod-script-pipe to wx3.1.1
  *  e9146d692 - Update Windows build instructions for wxWidgets 3.1.1.
  *  3c0c9d48a - Update audacity.iss for 3.1.1
  *  0fb02a802 - IdentInterfaceSymbol in NumericTextCtrl; don't persist
    translated
  *  9015dece0 - Compile with wxWidgets 3.1.1 (on Windows).
  *  d153afb11 - Allow SetLabel to make a selection too.
  *  6228b6033 - Modify scripts to adjust to Pull request #271
  *  4ae7a88fd - Merge pull request #271 from Paul-Licameli/choice-
    control-names
  *  842025aeb - Naming conventions for Nyquist choice controls too...
  *  e1b60916b - More consistent naming conventions for choice control
    items...
  *  6f52df545 - Multi-line Nyquist header directives allow embedded
    comments
  *  b92e33487 - Bug 1861 - SplitLabels command fails in Macros
  *  2db691dc6 - Bug 1860 - Enh: Add preference to disable half-wave
    view on collapse.
  *  886388e02 - Distinguish internal from visible form of enum valued
    settings
  *  7f30636ec - .ny header can distinguish internal vs visible choice
    strings...
  *  d464878d6 - Use std::vector<>::data() not address of first element
  *  2065eebff - IdentInterfaceSymbol to distinguish internal vs visible
    enum settings
  *  595cf05d4 - More uses if LocalizedStrings
  *  81dd580c5 - Pass array and count separately to read/write/define
    enum
  *  180cf9279 - Move DbChoices out of Shuttle.h
  *  1a3005182 - Const'ify images
  *  b77637750 - Const'ify xpm images
  *  d8da4015e - Make it possible to const'ify xpm.
  *  aaecf213b - use const
  *  2bd466546 - This is not needed after 170f92c
  *  15e6792be - Fix bug 929
  *  ab509acdf - Remove overloads that are not needed after 277537c
  *  a4a588610 - Revert "Bug 893 - Spectral Selection Toolbar misnamed"
  *  d1ffb8a5b - Supply missing #include
  *  277537c7b - Store choices as numerical codes in ScreenshotCommand,
    not strings...
  *  78f058b84 - ShuttleGetDefinition::DefineEnum should emit a string
    not number
  *  1e4ac7010 - addendum
  *  170f92c18 - A means to specify legacy values of effect choice
    controls...
  *  cb8e35574 - Fix half sized equalization dB ruler.
  *  c086e252f - Fix wording in recording preferences (Thanks Bill)
  *  460ff4644 - JSONify the JSON (Thanks Robert)
  *  0bc96c383 - Oops, Internal() was needed here, not Translation()
  *  afe09bb17 - Bug 1731 - No help button in "Error: not well formed
    Iinvalid token at line (x)
  *  eaada3a51 - Bug 893 - Spectral Selection Toolbar misnamed
  *  e48bd77ea - Fix bad unquoting in Nyquist.
  *  602be9bea - Fix MSVC build.
  *  4c9bff73e - Substitute, don't concatenate! In Export. And one
    missed translation.
  *  eb35d8409 - GetInfo for Preferences lists internal enum names, not
    translated
  *  079868131 - Non-quantitative enum preferences persist as strings
    not numbers...
  *  17cc8a495 - Define and use TieNumberAsChoice for Quality sample
    rate setting
  *  24e651fe3 - Redo dither method choices in Quality preferences
  *  a3d12e165 - Make enum class for dither type
  *  bccf8f92c - Redo resampler method choices in Quality preferences
  *  2ea5741e2 - Redo format setting choices in Quality preferences
  *  293f22db3 - Redo zoom setting choices in Tracks preferences
  *  aed6eb221 - Redo sample display choice  in Tracks preferences
  *  83a01e255 - Redo view mode choice in Tracks preferences
  *  872b4f430 - New overload of TieChoice taking EnumSetting...
  *  47d76e49b - IdentInterfaceSymbol pairs persistent internal name
    with i18n msgid
  *  7f7f739fe - Define EnumSetting and EncodedEnumSetting
  *  238fa7f81 - Possibly hide unused ApplyClipping parameter in Macros.
  *  545102b16 - Bug 1680 - Pan / Gain dialog sliders do not update on
    text entry
  *  5c4444665 - Bug 1012 - Amplify: User Presets do not store Allow
    Clipping state.
  *  d5a2e3af2 - Bug 616 - First ampersand in file name removed from
    File > Recent Files and import dialogues
  *  de53f6475 - Bug 499 - Normalize includes white space in offset
    calculation
  *  14577d878 - Bug 464 - Cursor cannot be scrolled right when beyond
    all audio in project
  *  ae564b272 - Bug 1837 - Unable to set empty track name
  *  8ce8e7bcc - Bug 521 - Lower half of Waveform (dB) vertical scale
    does not show dB level.
  *  37541de6b - Bug1858: Allow empty default choice on $ control lines
    (again)
  *  05ef58753 - Substitute, don't concatenate in internationalized
    strings
  *  d978abba3 - Allow \n to mean newline in .ny header control
    string...
  *  7de9b13f6 - Revert changes that break Mac build
  *  35127c44b - Bug 1548 - Newly recorded tracks do not acquire focus
  *  a13be4bea - Bug 1612 - Zoom factor lost
  *  65b4e34f7 - Bug 1725 - Zoom buttons disabled after OK in
    Spectrogram Settings
  *  22cb84ff2 - Bug 1806 - Extreme negative settings in Change Tempo
    cause an "apparent" hang/freeze
  *  0fb08f74c - Linkus -> Linkus in de.po (requested by Double-A-92)
  *  cd06f8661 - Remove spaces before question marks (scootergrisen)
  *  ef5cc132e - Merge branch 'gcc-warnings' (andheh)
  *  eccd9bcea - made my changes to VSTEffect.cpp C++11 compliant
  *  6fbfcda1e - fixed an "uninitialized use" warning in VSTEffect.cpp
  *  430e91d83 - fixed strict-aliasing violations in VSTEffect.cpp
  *  b56059a77 - fixed some warnings in debug mode (GCC/Linux)
  *  1cda717a1 - Fix parse of line break in string inside list in header
    of .ny file
  *  872eec614 - Make finer gradations on SetTrack sliders
  *  e01122e84 - Change dangerous shortcuts, Alt+N and Alt+P
  *  4a7c4f400 - Bug 1830 - Zero Crossings selection may change when
    zero crossing not found
  *  d94f6c9b5 - Use Alt+R as accelerator for "Ext&ra"
  *  0cf7964e3 - Bug 1661 - Default audio track name not being
    translated
  *  40085b384 - Fix crash on second invocation of Macros after apply to
    projects.
  *  2f89c57b1 - Fix defaults for unchosen optional values.
  *  975e95aba - Update Nyquist plug-in headers
  *  2ccc8eec9 - Revert "Don't use c++11 fix ups on OSX 10.6"
  *  47451da0e - Don't use c++11 fix ups on OSX 10.6 (requested by
    macrports.org)
  *  2a8cec8bb - Fix Mac build
  *  6828627e0 - Fix libsoxr build on Windows
  *  ccc29c6c7 - Upgrade libsoxr to 0.1.3
  *  f7f721b52 - Automatic setting size hints in all choice controls in
    ShuttleGui...
  *  56bca7427 - Add new dialogs to screenshot list.
  *  bd30e1f16 - Add long names for some commands in menu.
  *  63879f2fc - Don't hide macros GUI when applying.
  *  a02c9de78 - Use capital 'M' for Macro in history.
  *  0797da041 - Remove Select to Ends Macro
  *  3896ff98d - Update scripts for revised commands.
  *  8f8429f9a - Allow SelectTrack to select channels using 0.5 of a
    track.
  *  0a7d0068e - Use track selection for SetTrack, SetClip and
    SetEnvelope
  *  e661c7da4 - Fix assert on deletion of last macro item
  *  ce9b5bb9e - Add Select->Region->Track Start to End
  *  39caf6100 - Merge branch 'split-dialogs'
  *  2c57cd434 - Format dialogs more evenly.
  *  e97884004 - Remove 'Set' from optional items.
  *  8f622805b - Add new small dialogs to extra-menus
  *  825160b75 - Add six (smaller) dialogs to commands.
  *  913bd6f18 - Split SetTrackCommand into three dialogs.
  *  21e4847b9 - Fix compilation on Windows.
  *  6dca4f785 - Possibly correct some cases of clicky playback or
    corrupt recording...
  *  7b658d792 - Fix problem where effects had gone from KeyConfigPrefs.
  *  750ee4f46 - Merge branch 'macros'
  *  b421a2b0e - Add new 'Select to Ends' default Macro
  *  e6a9bd70a - Fix SetTrack for stereo tracks.
  *  110d4ac47 - Change "Apply Macros" -> "Macros Palette"
  *  20d577de2 - Preserve location in lists after edits.
  *  d7406b3b0 - Update Fade-Ends Macro, and RelativeTo enums.
  *  a47df37ea - Bug 1533 - Selection in label track offset from
    selection in audio Track
  *  51011fb38 - Keep Edit Macros dialog open after applying.
  *  21e330d0e - Bug 1551 - Active transport inhibits the operation of
    "Type to create a label"

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 31 Mar 2018 08:52:38 +0300

audacity (1:2.2.2+git8385-bc6ed7749-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/audacity/audacity.git
  * Branch: master
  * Commit: bc6ed77498ada96898a8efa377015d5cf39b96cf
  * Date: 1521237512
  * git changelog:
  *  bc6ed7749 - Fix missing translations in Choice controls again, see
    bc773e02d336cd
  *  a48eb4eec - Bug 1810 - Vertical Zoom in by clicking in the vertical
    Scale, or context menu, in waveform views is inconsistent.
  *  2cb76e082 - Bug 1852 - Ctrl+M does not open label for editing
  *  205b7d6a0 - Rename 'chain' to 'macro' in history and comments.
  *  2d62013fa - Add Macros Palette to Apply Macro -> submenu,
  *  e51a9734e - Tweak Select Command.
  *  5037e2bbe - Menu bar: corrected duplicate access key
  *  bf9e7fcdb - Clip boundary commands: remove requirement for
    TrackPanel to be focus
  *  2da227a71 - Make zoom toggle finer grained
  *  ddb429028 - Merge pull request #267 from Paul-Licameli/ellipsis-
    problem
  *  5b6456cd0 - Exclude dialog commands from Macro editing not by
    translated name...
  *  b75e356df - Now use that extra information
  *  bb7b77cde - Change expansion of XXO and pass more arguments to
    CommandManager
  *  4e1831893 - Define XXO alternative to _ just for use in Menus.cpp
  *  cfd9bd333 - Fix part-translated identifiers for Align cmds; new
    string pair class
  *  9780c1488 - Fix mix of internal and translated strings naming Align
    commands...
  *  9b7ccc4df - Use TranslatedInternalString for tips of toolbar
    buttons
  *  d258385e3 - Use TranslatedInternalString in MacroCommandsCatalog
  *  6c8ba8b5b - Define TranslatedInternalString
  *  980cf456f - Update two help URLs.
  *  814322a79 - Fix Equalization crash in debug build
  *  01a45a6b3 - Strip ... from Nyquist effect names again (but none
    shipped have it)
  *  b45b4c4a7 - Merge pull request #265 from Paul-Licameli/migrate-old-
    chains
  *  cc7bf5c32 - Migrate old chains...
  *  6fe494df5 - Merge pull request #264 from Paul-Licameli/translate-
    command-names
  *  c3adc0141 - Translate the two built-in macro names...
  *  59d41db63 - In "Select Command" translate all...
  *  357b05efd - If not English locale, don't show short command name in
    (parentheses)
  *  4f9ab0848 - Substitute, don't concatenate, if these should be
    translated
  *  65b8520e4 - use override
  *  9d531cad5 - Translate dialog title
  *  f78515c84 - Fix misleading function declarations -- arguments
    really are used
  *  1dd054c16 - Bring Help-Tools under Tools.
  *  7910688c0 - Add Align commands to repertoire.
  *  86cd720d9 - Fix two MSVC compile warnings.
  *  407819e90 - Merge branch 'macros-tweaks'
  *  5cc1dbc87 - Bring Macros dialog to front after various actions
  *  b1862d2b1 - Rearrange Macros buttons
  *  1ccd2678b - Merge branch 'seek-refactor' by Evan Short
  *  dab9ad812 - Condense SeekLeftOrRight code further.
  *  7c4ca093f - use enums instead of bool in seekLeftOrRight
  *  3f29d1948 - refactor SeekLeftOrRight
  *  83c30620c - Fix Mac build, and avoid global variable
    ::GetActiveProject()
  *  49eb7ddb6 - Fix mac build
  *  59d1ca46d - TrackPanelAx: add Select function
  *  0c2c95689 - TrackPanelAx: add Navigate function for NVDA object
    navigation
  *  dd1ffb039 - Indicative mood for all verbs in command and effect
    descriptions...
  *  f4a971da9 - comment
  *  20c086263 - i18n hint
  *  29c98f27f - Another fix for list iterators
  *  40a117b16 - Fix update of minimized state (crash in MSVC debug
    runtime)...
  *  ae351abbc - Fix warnings about override and final
  *  4bfd8abc2 - Fix more missed translations
  *  369113973 - Update audacity.pot
  *  8918744e6 - Fix minor typos
  *  b8cc764e2 - Fix MSVC2013 compiler crash for Windows debug build
  *  bf0c079f2 - Fix displays of strings for macro dialogs...
  *  77f720b0c - Show friendly names of commands in message boxes...
  *  9298ac575 - Fix Linux build
  *  bf4c8eff6 - Fix another neglected i18n
  *  4cb2ec6fa - Fix missing i18n of some new prompts
  *  bc773e02d - Supply some missing translation in Macros dialogs...
  *  ffadd64a5 - Define MacroCommandsCatalog to associate friendly and
    internal names...
  *  9d73effe0 - Merge branch 'gcc_warning_fixes' for ShuttleGui
  *  89315bd5e - made ShuttleGui destructor virtual
  *  726f33e80 - fixed an initalization order warning in ShuttleGui.cpp
  *  d5dd9ff7c - Merge branch 'gcc_warning_fixes' by andheh
  *  a5d06ff25 - Fix comments needed for Doxygen.
  *  b4f351a25 - fixed a "signed vs. unsigned" warning in ExportMP3.cpp
  *  896e7a4dd - fixed a "signed vs. unsigned" warning in
    BatchProcessDialog.cpp
  *  87eaaa6f4 - fixing strict-aliasing rule violations by passing enum
    types as int references
  *  7a30222f4 - fixed indentation warning in ImportMP3.cpp
  *  33f2e576e - fixed "signed vs. unsigned" warnings in ExportPCM.cpp
  *  e8605025b - fixed types in ExportMP3.cpp to avoid "signed vs.
    unsigned" warnings
  *  9f8d3a48d - fixed a "signed vs. unsigned" warning in ImportMP3.cpp
  *  ed83ec73b - fixed "unused variable" warnings
  *  76bad1911 - fixed "unknown pragma" warning in src/Shuttle.cpp
  *  3958347be - fixed a "unused variable" warning in src/Project.cpp
  *  d0960b2c5 - fixed a "signed vs. unsigned" warning
  *  0a362e241 - fixed "class is implicitly friended with itself"
    warning
  *  e6ba33c24 - fixed "/*" in comment warnings
  *  d72028de2 - fixed more "statement has no effect" warnings
  *  84016716f - fixed an "used uninitialized" warning in VampEffect.cpp
  *  6a8557738 - fixed a signed vs. unsigned warning in LadspaEffect.cpp
  *  c8e42fce2 - fixed initalization order warning
  *  3ae93e6b4 - fixed unused variable warnings in SelectHandle.cpp
  *  50901b945 - fixed initialization order warnings
  *  c6de7d609 - fixed initialization order warning in
    src/effects/Paulstretch.cpp
  *  b71c24f15 - fixed a "used uninitialized" warning in
    src/effects/Amplify.cpp
  *  809167d93 - fixed an indentation warning in src/TrackArtist.cpp
  *  f601cacb8 - fixed a initialization order warnings in
    src/Project.cpp
  *  1bc794356 - fixed "unknown pragma" warnings for GCC
  *  9bfbc907a - fixed indentation warnings in src/Menus.cpp
  *  dd41df237 - fixed an unused variable warning in src/LabelTrack.cpp
  *  ade7854c1 - fixed "statement has no effect" warnings
  *  3dd0ce045 - fixed a signed vs. unsigned warning in src/AudioIO.cpp
  *  1efe69e8b - fixed a initialization order warning in src/AudioIO.cpp
  *  08a8cc4bc - Strings in Nyquist plug-ins not translated too early...
  *  f6efacbda - Untranslated from GetVendor; translated in effect info
    menu only
  *  4617b0b1a - Change wording: Now "Manage Plug-ins" and "Manage
    Macros" for those two dialogs.
  *  8b68864dd - Fix another compilation warning
  *  4c5e1f30f - Keep focus on Expand/Shrink button when resizing Macro
    Dialog.
  *  6b44a53de - Move Macro Dialog buttons around.
  *  6cd877efe - Fix complier warnings about returning reference to a
    temporary
  *  c699bbda7 - Merge branch 'master' of
    https://github.com/audacity/audacity
  *  ea0e0d71a - Add scripts for names-on-tracks images.
  *  8b9313aba - Updated uk.po -- Ukrainian taken from Transifex (99%)
  *  4ddb14235 - Update old uk.po with msgmerge, so less diff in the
    next commit
  *  24ee14412 - Merge branch 'macros' into master
  *  834c9df32 - Save Changes when Expanding/Shrinking Macro Dialog.
  *  70b1f69bb - Use names not numbers in MacroIdOfName()
  *  585a4c617 - Prevent excessive macro reentry.
  *  153da3a94 - Fix Fade-Ends MacroCommands
  *  4dfac323c - Make Macro Dialog optically stable.
  *  159a3ab6a - Rejig EditLabels Dialog.
  *  5c4b2249f - bug 1851 Remove selection before Timer Record
  *  f1ab2db9b - bug 1850 - add Track > Pan to History
  *  e45a6b09d - Change wordings and consolidate prefs.
  *  eab0af21e - Merge branch 'tools-menu'
  *  6f8d27208 - Remove Apply-Macro from Tools menu.
  *  fbef142fa - Move 3 Nyquist plug-ins into Tools menu
  *  6e40d6d96 - Add Fade-Ends macro.  (a new item in Tools menu)
  *  c0dcba66d - Rename Chains to Macros.
  *  8ab69ae5c - Update tools menu on Mac too.
  *  f41e781c6 - Fix bug where 'Applying chain to project' progress
    dialog might not show.
  *  6b54ffdf0 - Update tools menu on changing available chains.
  *  e6a2d0f99 - Add all chains into the Tools menu.
  *  8cd5d7f4f - Tools menu and EffectTypeTool

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 17 Mar 2018 09:03:46 +0300

audacity (1:2.2.2+git8257-fb8b797d6-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/audacity/audacity.git
  * Branch: master
  * Commit: fb8b797d631ef1ac0dcecf5b70bb7b95beb50bd5
  * Date: 1520081621
  * git changelog:
  *  fb8b797d6 - Layout changes
  *  6b3041118 - Add Help buttons to three Dialogs.
  *  6914c2141 - Fix parentheses in a Lisp comment
  *  24a350920 - Internationalization of strings in .ny files, both
    headers and bodies
  *  4dfa9aae8 - Combine message catalogs into one...
  *  38a6ba520 - Generate nyq_po/audacity.pot
  *  36ab6c733 - Rewrites of all the .ny files for internationalization
  *  ac9148e48 - Don't use \n sequence inside Lisp strings needing
    translation...
  *  da39cc451 - Remove redundant ellipses from names in .ny files...
  *  0beb16210 - Usage of _ in Nyquist program bodies
  *  da9471ac7 - Internationalize some of sample-data-export.ny,
    including HTML...
  *  4733899dd - Rewrite default values of string controls
  *  447d15bc7 - Rewrite trailing labels of controls
  *  8709e9735 - Rewrite choice controls
  *  4018e3b87 - Rewrite prompts in ;control lines
  *  cc455fac1 - Rewrite ;copyright
  *  6298ac947 - Rewrite ;author
  *  5e390f331 - Rewrite ;info
  *  72df4e833 - Rewrite ;action
  *  a13827e02 - Rewrite ;name
  *  ff3a869e8 - Line breaks allowed in strings (or lists) in $ lines;
    \n means n ...
  *  ad4843621 - Allow Nyquist header lines to start with $
  *  ba8e6bd46 - Change tokenization of header comment lines & translate
    strings ...
  *  087994990 - Register translation functions for Nyquist effects into
    XLisp runtime
  *  6ea647cc1 - Set up for extracting i18n strings from .ny files with
    xgettext
  *  d3493814e - Fix Mac build
  *  3e8dec452 - Give track name overlay a background.
  *  3f358a39b - Remove results window from BatchProcessDialog
  *  6509947de - Fix some MSVC warnings.
  *  29b214367 - Make std::tuple known in Mac build
  *  4e0420b9b - In all .ny, http: > https: for Audacity websites
  *  6b2a219e2 - Changes to make xlisp.h usable in C++ code...
  *  5aa70545d - Use casts with function pointers to quiet compilation
    warnings in Nyquist
  *  8a216e86c - Update audacity.pot for C++ string changes so far
  *  223e0d588 - Update audacity.pot for C++ strings so far in 2.3.0
  *  332d62823 - Update POTFILES.in for new and removed files
  *  42eadfc6f - sort POTFILES.in, so less diff to see in the next
    commit
  *  d226aaa8e - Add a space
  *  59d41a206 - Refine buttons (Chains)
  *  68e8a7568 - Merge branch 'chains' into master
  *  ef63f716e - Remove duplicate commands from 'Select Commands'
    dialog.
  *  bf03fd874 - Add details box to BatchCommandDialog
  *  f5929381e - Add buttons to Edit Chains Dialog
  *  f01fed2ba - Remove unwanted items from 'Select Command' in chains.
  *  1ef4d7362 - bug 1839 - Consistent recording behavior
  *  1412f21f6 - Make the name of a control in the selection bar less
    verbose
  *  4474dec9c - Fix more hassle from the MSVC STL implementation.
  *  1fb333e9c - Merge branch 'scripting'
  *  ca2dc254b - Added a regression test and an image mangling python
    script
  *  104c3b6a5 - Add scriptables to screenshot, remove menus.
  *  e1c30db38 - Fix Open and Save project.
  *  ea4968e09 - Add GetInfo Preferences.
  *  11fa48d66 - Fix some warnings.
  *  f10b9c68e - wxString in Nyquist prompt makes trip to UTF8 and back
    properly...
  *  6d687136a - Bug1845: Remove the vacuous undo check, wasn't good
    enough anyway
  *  e8da2f82a - Wording.
  *  8991fe752 - Fix incorrect https and translation markings.
  *  66c421f28 - Fix Windows build
  *  cf9ab7040 - bug 1741 Update target of audio import help button
  *  e5052a197 - Use a type distinction for key strings in normalized
    form...
  *  19014f22b - Prompt for track selection when required
  *  298e440e1 - Fix compilation of EXPERIMENTAL_EFFECTS_RACK again
  *  a52f7f531 - Fix build of Nyquist workbench
  *  05de90d4a - James' automation project, minus the new foreign
    function in XLisp
  *  33daaafc5 - Make Nyquist effects define their parameters.
  *  12a2fbf48 - Build on Linux
  *  0ad533a74 - Automation -> Scripting.
  *  08b1db614 - Rearrange automation menu, and fix duplicated items.
  *  fa49d9453 - Script work
  *  4724c6a13 - Fix spectral preferences extra caching issue.
  *  6a5a61d39 - Fix reload bug.
  *  e3ef968d5 - Add DragCommand.  Default Y/N on optional fields.
    Open/Save project items.
  *  bcf0865c1 - UnmuteAllTracks, not UnMuteAllTracks.
  *  859fe69a1 - Case insensitive command names.
  *  e9e9ee299 - Can choose by Channel or by Track in Set commands.
  *  8ab934526 - Work on Scripts.
  *  aae9349f2 - Fix ToneGen automation.
  *  89cd4aef8 - More Screenshot options
  *  79145d3e8 - Remove "list" from LISP label format.
  *  b4f7f485a - Less verbose LISPy output of GetInfo: Type=Labels
  *  a2eb8cdae - Support Spectral Selection and Spectrogram mode in
    Automation.
  *  3c5468a1c - Add buttons.  Help and Cancel.
  *  f7fe29565 - Make Message command into an AudacityCommand.
  *  edf90d6e2 - Add envelope commands
  *  5d36890cb - Shorter command names.  General tidying.
  *  62ca1cce2 - Improved labels script.
  *  29c96f547 - Add ability to set the selected label.
  *  26e1a3336 - More screenshot options.
  *  5e2371c63 - Use a-lists for Lispy output.
  *  510f68e9a - Fix \n shenanigans in command output.
  *  65c160212 - Script the images for Tracks page of manual.
  *  24e8bbc62 - Scripts in Piped-Work
  *  1f605ccfc - Fix ScreenshotCommand
  *  85c36fe7f - Implement selection from ends of tracks.
  *  99e18a889 - Implement ReloadPreferences for SetPreferences Command.
  *  1551a5a07 - Include tips in command list.
  *  5c2f35d96 - Fix Automation listing
  *  78fbb6e21 - Fix GetInfo: Commands (Automated type matching matched
    'the wrong thing').
  *  1d9477a45 - SetClip, SetLabel, SetProject added
  *  2180379a1 - Optional parameters now working.
  *  c02a29e26 - Compilation on Mac
  *  8ebf502cd - Cleaner class hierarchy
  *  b1b1a362e - Doxygen, Clips and Labels
  *  ca5dac59f - Support: JSON, Lispy or Other formats
  *  c0c5cc633 - Structured output for CommandContext
  *  b83b862b3 - OldStyleCommandType - It's on the way out.
  *  2f6fc0a1e - Long message target
  *  e29699086 - More Menus Items, Better prompting Dialogs.
  *  1c988b4e3 - Automation: AudacityCommand
  *  b7b01d48e - Replace 2.2.2 'Easter Egg' with place-holder
  *  bab8ea839 - Thanks for nothing, MSVC std::list<T>::iterator
    implementation...
  *  e094dcbaf - Fix unbalanced #pragma warning since commit  080dd34
  *  a1c03d0f7 - Bug 1786: duplicate shortcuts can be created
  *  2a08a3cc0 - Fix windows build...
  *  e3f2a3e3f - Merge pull request #254 from GitHaarek/patch-1
  *  636e137ee - Merge pull request #257 from Polynomial-C/no_midi
  *  2ece1acae - Fix build
  *  e6d069787 - Fix mistake in commit a1dc830 and add a comment
  *  47dab27df - Update pl.po from Transifex - ready to merge
  *  d77daa027 - OnShowEffectsRack follows the unused argument
    convention
  *  7134ca662 - Fix typo
  *  de568fc11 - Avoid some needless repaints of AButton
  *  44bf93894 - indentation
  *  5aca7b175 - Be careful about pluginsettings.cfg compatibility...
  *  942175f27 - Comments which IdentInterface functions return
    persistent values
  *  575070e9a - Remove PluginDescriptor::GetTranslatedEffectFamily...
  *  79a9f3f59 - Simplify sorting of effects
  *  097764d94 - Distinguish Effect Family Id from Effect Family Name...
  *  d1d78fd56 - Oops, reversions
  *  8d886aa50 - Oops, revert unready work mistakenly submitted
  *  86b86a264 - remove file
  *  ece3f9a49 - Fix typo
  *  8d6917308 - foo
  *  459e82452 - Dark versions of spectrograms
  *  931e48320 - Rearrange automation menu, and fix duplicated items.
  *  cbbbabb1e - Clean up oddments script.
  *  34bf4c817 - More spectral images.
  *  fe03e3cf5 - Add more spectral images
  *  a9d6be00a - Fix spectral preferences extra caching issue.
  *  de17e6bbc - Fix reload bug.
  *  23dd853a3 - Add make html script.
  *  9bb41d696 - Arrange and Align done.
  *  41a0b64c0 - New script for arrange.
  *  ab0d853d9 - More hover highlighting of buttons in oddments script.
  *  2088e44f0 - Add docimages_oddments.py for the weirder cases.
  *  4412f325d - Add Clips and Boundaries Scripts.
  *  ab99b7d6c - Add Envelope script
  *  43da4995a - Better optionality.
  *  a36490a0b - Add DragCommand.  Default Y/N on optional fields.
    Open/Save project items.
  *  1ffccbd74 - UnmuteAllTracks, not UnMuteAllTracks.
  *  7dc36eeab - Case insensitive command names.
  *  123348630 - Can choose by Channel or by Track in Set commands.
  *  d7953e9ef - Add docimages_all.py script.
  *  7cfe4ac20 - Add space and dc bias to afters script.
  *  aff0e242a - Fix ToneGen automation.
  *  93275b0ff - Effect examples added
  *  c8bbbe3aa - Script for 'after'
  *  825df0f21 - More Screenshot options
  *  213202d4f - Shared part of script extracted.
  *  0ec5cbb33 - Remove "list" from LISP label format.
  *  7b4d55acc - Add script for spectrograms.
  *  4567f2283 - Less verbose LISPy output of GetInfo: Type=Labels
  *  fda56c7d6 - fix
  *  4274ba7d0 - Support Spectral Selection and Spectrogram mode in
    Automation.
  *  a13788576 - Add buttons.  Help and Cancel.
  *  7c819595b - Make Message command into an AudacityCommand.
  *  8b4b16524 - Prevent crash on reentrant Nyquist.
  *  57c50ff9a - Nyquist can now make a selection and not have it
    overwritten by Effect.
  *  3d0d28eb0 - Add envelope commands
  *  d7e4e338f - Nyquist now defines its parameters.
  *  9e33e9082 - Allow using default parameters as not-an-error
  *  b93a2e53c - Protect Nyquist against effect-within-effect
  *  15aad64f7 - LISP format improvements (Thanks Steve)
  *  6236a9fb9 - Add support for aud-do command into Nyquist.
  *  e52552056 - fix
  *  828d01a48 - Shorter commands.  Shorter scripts.
  *  54895655e - Improved labels script.
  *  34f0b97a6 - Add ability to set the selected label.
  *  a5de0ed0c - More screenshot options.
  *  9ba3ec059 - Use a-lists for Lispy output.
  *  205dc1359 - Fix \n shenanigans in command output.
  *  5d1b3189a - Script the images for Tracks page of manual.
  *  ea4403ee6 - Typo.
  *  4ee471adb - Scripts in Piped-Work
  *  590b471eb - Fix ScreenshotCommand
  *  e0ee34e87 - Implement selection from ends of tracks.
  *  2caad0f40 - Implement ReloadPreferences for SetPreferences Command.
  *  a8903a6c5 - Include tips in command list.
  *  500765329 - Fix Automation listing
  *  a0c393a01 - Fix GetInfo: Commands (Automated type matching matched
    'the wrong thing').
  *  7fa73dbde - SetClip, SetLabel, SetProject added
  *  1a7700af8 - Optional parameters now working.
  *  8b3726e8b - Compilation on Mac
  *  fa1cedb04 - Fix extra spaces
  *  860110ff2 - Cleaner class hierarchy
  *  c0b3c0d13 - Doxygen, Clips and Labels
  *  425c8b92f - Fix build
  *  210d4f1fe - Support: JSON, Lispy or Other formats
  *  43e9c2365 - Structured output for CommandContext
  *  3017f8ddd - OldStyleCommandType - It's on the way out.
  *  4c65a74c0 - Long message target
  *  037df23d3 - More Menus Items, Better prompting Dialogs.
  *  49a2bb293 - fixes
  *  cf5ec042f - Automation: AudacityCommand
  *  33b13018d - Replace almost all wxArrays with std::vector, except
    for wxArrayString
  *  3b32d39b5 - Remove wxArrays of pointers
  *  8be1e8fda - Remove wxArray(Int|Long|Double) except where wxWidgets
    fns need it
  *  080dd34e6 - Get rid of wx object arrays, use std::vector
  *  89d8f0df6 - Rewrite uses of wxEventHandler::(Dis)Connect with
    (Un)Bind
  *  2fbe04eda - Replace more Connect with Bind; needed redeclaration of
    custom events
  *  e6e8e3251 - Rewrite more Connect() with Bind(), which were type
    incorrect...
  *  2f3604bde - Rewrite many calls to Connect() with Bind()...
  *  bf5228267 - Calls to Disconnect or Unbind in destructors are not
    needed, if...
  *  12983e168 - Use wxWeakRef to avoid dangling pointer
  *  94b97f5c9 - Validators: type safe enum arguments & can specify
    range in ctor
  *  6e7d7447c - Use an enum class for numeric validator styles
  *  cad632b9b - Allow specification of range in the constructor
    arguments for brevity
  *  0efb7ce4d - Change constructor & factory arguments of some window
    classes...
  *  97a8cf52d - More constructor arguments for EffectScienFilter
  *  aa72cae61 - Follow wxWidgets argument conventions for other window
    factories
  *  5e10ec0de - Options for constructing ASlider, and can specify
    scroll increments
  *  228388a63 - Follow wxWidgets argument conventions for PrefsPanel
    factories
  *  151cbb130 - Follow wxWidgets argument conventions for other ctors
  *  ab5ff9060 - More constructor arguments for RulerPanel
  *  8625df681 - More NumericTextCtrl constructor options
  *  5724780be - NumericTextControl ctor arguments...
  *  517bdf1ba - Fix interaction of undo and record
  *  e0d826a54 - Prohibit copy of TrackList, no longer needed; allow
    swap and move
  *  c0f278269 - Fix interaction of recording and undo...
  *  b2c69cb0f - Define WaveTrack::Reinit()
  *  a963064b9 - Preliminaries for fixing the interaction of undo and
    record
  *  28eeca5fa - Iterate over the pending tracks for drawing and sizing
    the scrollbars
  *  d08ae18ca - Change details of focusing of tracks in presence of
    pending ones...
  *  fa0fb7d8e - Disable Undo and Redo while there are pending changes
    in TrackList...
  *  43776f526 - Don't push vacuous undo items...
  *  539e87030 - Add machinery to TrackList for pending changes to
    tracks
  *  33cfd92c0 - Define TrackId to identify tracks across undo states
  *  3f0506368 - Split "Do" functions out of the "Set" functions for
    some Track settings
  *  242e9a566 - Some reimplementation of track iterators and GetLink()
    ...
  *  9dd5b521e - Make the experimental effects rack window compilable
    and usable...
  *  586542bfe - Remove post-translation substitutions
  *  0aad028c9 - Simplify calls to Effect::Delegate
  *  a3be011bf - inclusions of Audacity.h
  *  574a20f95 - Rename SpecPowerMeter as SpecPowerCalculation
  *  57ce726a2 - Rename Meter as MeterPanel, and some DOxygen
  *  ee4f35f28 - Rename Lyrics as LyricsPanel, and some DOxygen
  *  a1dc8305f - A function to extend XLisp's table of function bindings
    dynamically
  *  e57afb372 - Fix many unused argument warnings in Menus.cpp
  *  803022db1 - Open 2.3.0 alpha development
  *  e1f0e974d - Fix --without-midi build

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 03 Mar 2018 17:26:13 +0300

audacity (1:2.1.3+git8006-f665e6da2-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/audacity/audacity.git
  * Branch: master
  * Commit: f665e6da2b0bf9d889f65ee59e8d507c4bca2de8
  * Date: 1518592280
  * git changelog:
  *  f665e6da2 - Mention two more bug fixes in README.txt
  *  450ced913 - Catch-up CHANGELOG.txt for this version and the two
    previous
  *  49f79dde6 - Fix ar.po for msgformat on Windows
  *  d346eb42e - Add to diagnostics.sh detection of the bad comment
    sequence
  *  423908e66 - Release build
  *  8fc81025a - Updated ar.po -- Arabic submitted by Hussam Eddin
    Alhomsi (99% complete)
  *  9de29019a - Corrections for pt_PT -- European Portuguese by Bruno
    Ramalhete
  *  2b6584f4e - msgmerge -U pl.po audacity.pot to normalize line breaks
  *  730dee6eb - Update pl.po from Transifex
  *  c9c5421e4 - Properly hide non-Full keyboard defaults containing
    Command+ on Mac
  *  d79411cd4 - Update AudacityLogo.xpm
  *  2453cdd65 - Update audacity.xpm
  *  1f8d556d2 - Update audacity32.xpm
  *  351d60ee4 - Update audacity16.xpm
  *  0a2f47ef9 - Update audacity16.xpm
  *  35e947fa2 - Update icons to new logo
  *  2b3be3208 - Fix repaint of Mixer board after change of track
    name...
  *  149895856 - Hold safer shared_ptrs to tracks in MixerBoard
  *  a663fefb8 - Up to date credit link for vorbis
  *  4a24e2c08 - Splash: make a big one
  *  007fa9eca - http -> https in user-visible strings...
  *  ff3b052bc - Updated nl.pl -- Dutch from Transifex, now 100%
  *  4e94c490a - Update README links
  *  42291b96a - More translation catalog updates
  *  bc9039f92 - Merged all .po files...
  *  5ae77fdcb - Updated nl.po -- Dutch from Transifex (97% complete)
  *  60aebb033 - Updated pl.po -- Polish from Transifex
  *  60e3b725c - As directed by Kaya Zeren: changed tr.po to have two
    plural forms...
  *  298f3111b - Update copyright date in About window

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 15 Feb 2018 22:36:59 +0300

audacity (1:2.1.3+git7977-90e62728d-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/audacity/audacity.git
  * Branch: master
  * Commit: 90e62728dbdaab0f08b400604277e510d89fe1b7
  * Date: 1517667797
  * git changelog:
  *  90e62728d - Fix Ukrainian translation
  *  d5696a49b - Fix Ukrainian translation
  *  1ca92d883 - Remove branches.txt.  Old experiment that is not
    needed.
  *  cf66f8805 - Fix build of mod-nyq-bench
  *  e2f1e9fdd - Fix build of audacity.mo for zh_CN on Windows
  *  2fea34739 - Updates to README.txt by Bill Wharrie
  *  1ced86fce - Beta build
  *  58d478c03 - Update for FFmpeg 3.5
  *  3d4a357f9 - Update for FFmpeg 3.5
  *  c1babb3bb - Revert "Make FFmpeg header files browseable in Xcode
    project"
  *  6f66ee565 - Make FFmpeg header files browseable in Xcode project
  *  b878b011c - Fix warnings reported by the pvs-studio team, all
    inconsequential
  *  ec31d105b - Simplify conditions
  *  0a035b0ff - Avoid bit-shifting of -1 value
  *  c40b25462 - while -> if
  *  4644b5cb1 - Simplify condition
  *  168db87dd - Fix identical sub-expressions of - operator
  *  7c7301162 - Where if and else branches were the same, simplify...
  *  852935070 - Zoom on mouse when no selection
  *  60ea8a662 - Update mac icons
  *  d4b21bb33 - Bug 1600: Should keep progress dialog visible
    throughout Exp. Multi
  *  f5737be02 - Ran autoreconf --force --no-recursive
  *  7c9273f0f - Revert "2.2.0 > 2.2.2 in configure"
  *  92b6124bb - 2.2.0 > 2.2.2 in configure
  *  c61b11fae - Corrections for pt_PT.po -- European Portuguese by
    Bruno Ramalhete
  *  22605c089 - Enable upstream dropout detection
  *  b6255d4fa - Update DMG background
  *  96a9a23de - Update installer images
  *  5e2e5af0a - Update audacity icon
  *  2677ec5fe - Bug1831: Export Multi fails? Erase incomplete, restore
    original file!
  *  533ca2407 - Raphaël Marinier: remove more unnecessary changes of
    format...
  *  c6e1665b5 - Simplification in av_log_wx_callback, because
    wxLogDebug is threadsafe. (#246)
  *  e82fcf954 - From Raphael Marinier: Fix Linux crash importing bad
    .wav file...
  *  2dbee940e - Fix Windows build
  *  9e8d36adc - Fix Windows build
  *  9c1b25131 - Corrections for pt_PT.po -- European Portuguese by
    Bruno Ramalhete
  *  52a7f2320 - Re-fix some warnings about mixing signed and unsigned
    better...
  *  85ceb5d7f - Correct Audacity version in INSTALL
  *  3d2451e61 - Correct audacity version numbers in .pot and .po; es.po
    format errors
  *  5c1f11416 - Change audacity version in configure.ac
  *  02caea1b8 - Updated 12 languages
  *  e9e47bc50 - Updated pt_PT.po -- Portuguese (European) submitted by
    Bruno Ramalhete
  *  e401ca3af - Updated zh_CN.po -- Chinese (simplified) submitted by
    mkpoli
  *  67c95a670 - Updated ko.po -- Korean from Transifex
  *  e76812ab9 - Updated eu.po -- Basque submitted by Xabier Aramendi
    ("azpidatziak")
  *  d8e2bd1e8 - Updated es.po -- Spanish submitted by Antonio Paniagua
    Navarro
  *  e7b931b5b - Updated el.po -- Greek submitted by Dimitris Spingos
    (Δημήτρης Σπίγγος)
  *  c9971404c - Updated de.po -- German submitted by Joachim Huffer
  *  a84388066 - Updated da.po -- Danish submitted by scootergrisen
  *  4315c063e - Updated tr.po -- Turkish submitted by Kaya Zeren
  *  aa554a747 - Updated sv.po -- Swedish submitted by A. Regnander
  *  7fd099111 - Updated fr.po -- French submitted by Olivier Humbert
  *  2c762e75c - Updated uk.po -- Ukrainian submitted by Yuri Chornoivan
  *  58e4823f6 - Bug1829, more: detect out-of-space when writing FFmpeg
    formats
  *  f4c8920e2 - Fix truncation on FFmpeg export
  *  f52f2837b - Still better disk error detection in exports
  *  38568f611 - Bug1829, more: check all errors flushing and closing
    export files...
  *  b3b4ace73 - CHANGE LIB-SRC: make FLAC export error-check the
    closing of files
  *  07bf08856 - Bug1829, more: correct error checks for writing MP3 &
    add more of them
  *  94247cc65 - Some comments in ToolDock.cpp
  *  89d3d6e6e - Comments and name changes to clarify code for toolbar
    configurations
  *  19d4fcab2 - Remove unnused members
  *  58b44baf0 - Some NULL checks... somehow I crashed on Mac but can't
    repeat now
  *  336b2a8fe - Allow scripting to select beyond tracks end time
  *  2890e4db2 - Allow new empty project to be saved
  *  76954f4bc - Update default tests in pipe-test.pl for 2.2.2

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 04 Feb 2018 03:56:02 +0300

audacity (1:2.1.3+git7911-2ee3ba576-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/audacity/audacity.git
  * Branch: master
  * Commit: 2ee3ba5761bb75ac2aed96e94692b4fd1ec56182
  * Date: 1516531369
  * git changelog:
  *  2ee3ba576 - Bug1828: ESC from dragging of a docked toolbar...
  *  e1cf05671 - Bug1829: Inform user, erase incomplete files whenever
    export fails...
  *  1c36409da - Bug 1819: Hover indication on note track channel toggle
    appears on all tracks (when they rerender)
  *  8434c3903 - Start of automated recording tests.
  *  9f2ff354f - Bug1754: Telephone and AM Radio curves should not
    flatten...
  *  f8be26a9b - Spaces allowed in batch command parameter values now
  *  f9fb4b3b7 - Bug 1773 - Wave Color not grayed out in TCP dropdown
    menu when in Spectrogram view
  *  d38f3752d - Update audacity.pot once more.  String freeze for
    2.2.2.
  *  f78a418df - An alpha-only toggle command for extra dropout
    detection; default off
  *  a019addaf - All preferences in scrollers
  *  81b22a2b2 - Reimplement the insertion of zeroes at drop-outs...
  *  be0e6cd60 - Scripting: Unicode chars in responses are now OK.
  *  8077c1db0 - Change the text of the checkmark for the dropout
    warning
  *  b0cb3868c - Make a label track named "Dropouts" not "Errors"
  *  c2ee1380d - Don't indent lines in the dropout warning
  *  1130d272d - Update Audacity version in audacity.pot
  *  b384f99e6 - Bug 1825 - Import Uncompressed File Dialog Incorrect
    Reference to Menu Item
  *  74d8160db - Sidebar links now to use https.
  *  c0fceb3b6 - Wording changes.
  *  fdf14d98c - Updated audacity.pot
  *  bc295bd7d - translation hints
  *  54553b82b - Fix things that confused xgettext
  *  94827eaa4 - Bug1811: Don't corrupt the project when saving-as to
    its own path...
  *  059e186db - Treat save-as of a file to its own path as a simple
    save
  *  133bbd927 - We can simplify logic further
  *  d37c31992 - Fewer uses of DirManager::GetProjectName()
  *  356763c90 - remove unused
  *  4d364ee7f - Remove overwrite argument -- it's always !fromSaveAs
  *  1d9b8b7ba - Undo confusing tangle of Save and SaveAs each calling
    the other...
  *  e066c4f38 - Insert zeroes only if dropout detection is enabled
  *  130e55cdf - Use WarningDialog for drop-outs, and change the wording
  *  e88615c1b - "Vamp" not "VAMP" in Effects preferences
  *  af279072b - Correct recent comments...
  *  4628d6afa - Remap effect type from "Audacity" to "Built-in",
    carefully...
  *  1fe857cff - Whitespace corrections
  *  b0690a2a5 - Disable part of the drop-out detection...
  *  d2749068f - Allow reporting of drop-outs to be turned off by
    Recording prefs...
  *  0a9317226 - Cautions re. size of Preference pages
  *  b4ee17ed8 - a translation hint
  *  9777d3e88 - Alert user to drop-outs during recording...
  *  4ef8da8f1 - Revert "Preliminaries to support better interaction of
    undo and recording"
  *  950898dcb - Revert "Bug 1823: Better interaction of undo and
    record..."
  *  1e8aba968 - Bug 1823: Better interaction of undo and record...
  *  2409d46d4 - Prohibit copy of TrackList, no longer needed; allow
    swap and move
  *  91f5446eb - Fix interaction of recording and undo...
  *  89d8fe18b - Define WaveTrack::Reinit()
  *  6e75ae58a - Preliminaries to support better interaction of undo and
    recording
  *  ce5a67a9e - Iterate over the pending tracks for drawing
  *  7d57a17ff - Change details of focusing of tracks in presence of
    pending ones...
  *  4ccb695c6 - Disable Undo and Redo while there are pending changes
    in TrackList...
  *  a0c3a4b43 - Add machinery to TrackList for pending changes to
    tracks
  *  bd2c7e6ab - Define TrackId to identify tracks across undo states
  *  8b60e7f02 - Split "Do" functions out of the "Set" functions for
    some Track settings
  *  92ba1f10e - Some reimplementation of track iterators and GetLink()
    ...
  *  714d53e00 - Big1822: Discard button of History window should remain
    disabled...
  *  0265b8792 - More stl idiom for TrackList and its iterators
  *  ba61e30cb - More cautions with std::list::iterator on Windows
  *  a30defe8c - Redo "Provide STL idiom for iterating tracks..." ...
  *  01718da4a - Make a dynamic check of misuse of _ that works in
    Windows too...
  *  acbfa1387 - Fix Assert on opening Prefs with high dpi
  *  f9f3da384 - Update Perl pipe-test.pl script.
  *  7fb5ec4b7 - Revert "Provide STL idiom for iterating tracks..."
  *  549fa48a2 - Fix order in which pipes are opened on linux.
  *  f9dab3679 - Provide STL idiom for iterating tracks...
  *  af13e8592 - More commands documented in wiki implemented.
  *  5302dacf3 - Revert the reversion of the elegant fix of wrong MSVC
    compiler warning
  *  ce697d052 - mod-script-pipe python scripts working on linux too.
  *  8e0cffb7f - Simplify GuardedCall and default its return type to
    void
  *  5407079c6 - Remove EXPERIMENTAL_OUTPUT_DISPLAY...
  *  ad221b3e8 - Travis - Remove deprecated-2017Q4
  *  34531b62f - Shift+Z for Zoom Toggle.   Theme tweaks.
  *  1d5b373f7 - Move Gale and Martyn to emeritus.
  *  c975de8c5 - More use of shared_ptr to Track, for safety...
  *  0319d6ea6 - Friendlier command names in the Edit Chains dialogs...
  *  fa53d521a - IteratorRange utilities
  *  5da84b74a - Zooming Tweaks (for repair work) and Wording changes.
  *  cfdb7950f - Update fix for #1554
  *  bfbc218a5 - comments
  *  bfa8a46ce - Prohibit duplication of any metadata tag names (up to
    case); comments
  *  44df6455a - Translate the special metadata tags in the edit dialog
  *  d59592f86 - Fix some Mac compilation warnings
  *  ff4040393 - Rewrite EqualMaps again, better.
  *  6ca8cef34 - Fix for select next/previous clip
  *  498747269 - Correct test of equality of hash maps
  *  bec6f237b - Fix compilation warnings on Mac
  *  cb403954f - Use std::[tr1::]unordered_(set|map), not the wxWidgets
    container macros
  *  cd8ec5e6a - Try another fix for AppVeyor.
  *  57c68d144 - Revert "A more elegant fix of an (incorrect) MSVC
    compiler warning..."
  *  6967925e4 - Redo CommandManager::DescribeCommandsAndShortcuts with
    pairs...
  *  82952ac99 - Appveyor build settings.
  *  21192a7e7 - ZoomToggle - Changes from user feedback.
  *  8a074770e - IdentInterface::GetDescription() returns a translated
    string...
  *  0c88c8de8 - Supply Audacity.exe.manifest instead of generating it.
  *  bf30c6198 - Improve mouse wheel zooming
  *  0cc9c6bc3 - Zoom Toggle
  *  f57fdc99d - Fix MSVC Build
  *  499c6b4f3 - Fix building without libid3tag (#230)
  *  8724a5a28 - Collect some macros in Internat.h; our own macro _ aids
    debugging
  *  70167a80f - Make _ force crash in debug build, if used in static
    initializer
  *  c6696f1b4 - Move definition of _ and related into Internat.h
  *  e37d701bc - WXINTL_NO_GETTEXT_MACRO defined in compiler options...
  *  6f7739464 - Fix line endings
  *  2c3331424 - A more elegant fix of an (incorrect) MSVC compiler
    warning...
  *  5358e4151 - indentation
  *  ebc1092c4 - One of the compilation warning patches in f463eda36c059
    made a bug...
  *  df1d9a08f - Bug1808 (crash in Sliding Time Scale/Pitch Shift)
    PATCHED IN LIB-SRC...
  *  27d2b7c51 - Add AutomationCommands class
  *  d22430c78 - Merge pull request #229 from DjMorgul/master
  *  f332b9e3c - Obtain file extension starting from the last . (rather
    than the first) on Export command
  *  4f76a4b5e - On GetTrackInfo command, return end time (a double)
    with all its decimals
  *  5e761f224 - Fix Record button pops up when clicked and it is down.
  *  d2fe7b175 - Clean up most remaining MSVC warnings.
  *  b2f8cf180 - Update fr.po
  *  7c4faf7c3 - FR translation improvement
  *  d4717de32 - A little mistake here for using incorrect script
  *  1206afbe9 - Another minor update of audacity.pot ...
  *  0badd2584 - Reviewed whether fields of PluginDescriptor are
    translated or not...
  *  c6bbe4c3d - Fix subtle error revealed by the previous commit ...
  *  cafbff9ff - Separate plugin accessors for translated and
    unstranslated strings...
  *  91b0e82c1 - PluginDescriptor versions are in fact untranslated;
    make that clear...
  *  3b90538b8 - Remove description from PluginDescriptor...
  *  ef25a1187 - Doxygen tweaks.
  *  1320879ab - Reimplement multi-column format of
    TimerProgressDialog...
  *  e19a4fa94 -  Timer record exits Audacity more gracefully...
  *  9a58ead5c - Uniformity of signatures of all command handler
    functions
  *  78aca8c13 - Remove inclusions of Menus.h
  *  ab6de1181 - No more functor objects; all command handler functions
    take same args
  *  77c392d29 - AudacityProject::OnEffect wraps new function DoEffect
  *  6dead232f - Pair CommandHandlerFinder with functor everywhere, but
    not used yet
  *  d263eaa97 - Remove the special PopupFunctor, redo it by other
    means...
  *  1e3ab82a0 - Effect commands store PluginID in CommandEntry
    parameter, not functor
  *  05984e8bf - CommandEntry stores a string parameter, passed in
    CommandContext
  *  0a711d8b2 - define CommandContext
  *  aa5c3f12a - easy change key bindings
  *  1f7b62f05 - AudacityProject::RebuildAllMenuBars is static
  *  3769fdea0 - fix build
  *  b53e7d7a8 - change a comment
  *  c66eae1a4 - Fix uses of wxPLURAL and update audacity.pot ...
  *  d5dca050b - Mid-cycle update of audacity.pot
  *  d9c879881 - Appveyor (automated Windows builds) merge from
    bslatner/master
  *  9d6315fca - Ignore NuGet package binaries
  *  053a2104a - XML library is required
  *  baec81614 - Rewrite the composition of clip messages in i18n-
    friendly way
  *  def1d5250 - Substitute, don't concatenate, when composing localized
    strings...
  *  fa7f1a455 - Correct self-names for the two Chinese locales
  *  e051de0b6 - Abandon the drag-and-drop of plug ins for now.
  *  815a80846 - String literals for UTF-8 language names using octal
    escapes only...
  *  0df94faad - The message is not in fact a format
  *  50d6e7518 - null checks -- fix Linux crash in drag-dropping files
    onto app icon?
  *  889284555 - Language name table is static and const
  *  a2c37d643 - Some Doxygen comments
  *  82ead4224 - Doxygen - Audacity version is now 2.2.2
  *  c070800e8 - Modifications to the easy installation of .ny files
  *  17b6ca387 - Install plug-in by file icon context menu or drop on
    program icon...
  *  b8df8e753 - macOs magic to allow drag and drop of .ny file onto
    Audacity program icon
  *  191945c8f - Make enablement of plug-in after drag-and-drop
    persistent
  *  0ec42f3dd - Fix some English grammar biases...
  *  0bca8d15f - Better localization of tooltips in ASlider...
  *  cfa62d1d3 - Fix a missed translation
  *  a1530c36a - Rewrite "Interface preferences displays self-names of
    languages" ...
  *  1b19ab4f0 - Revert "Use unicode file format with BOM for
    Languages.cpp"
  *  3dc241ed5 - Use unicode file format with BOM for Languages.cpp
  *  5e670c900 - Some i18n-hints
  *  b1f7f921a - Translate the format "%s: %s" wherever user-visible...
  *  3fbfef0eb - Plot Spectrum, Change Pitch localize pitch names;
    Unicode sharp/flat
  *  8b86d4688 - Use Unicode 1/3 fraction
  *  6a810bd82 - Fix Windows Build
  *  28fd3442b - Fix Windows build
  *  0df4cd6c3 - Fix transform iterator code.  It was only a missing
    #include.
  *  1298ec849 - Cleanup wxPanelWrapper C++.
  *  84a600bab - Fix windows build
  *  a86decbbe - fix build
  *  80a958f8a - Rewrite empty prompts to ShuttleGUI functions as {} ...
  *  e0970ad1e - Remove unnecesary Format, Printf, casts to wxString
  *  7fd78183d - Remove needless uses of wxString::c_str() in
    wxString::Format...
  *  0efbf6a19 - Localized default names and titles for many utility
    dialogs...
  *  384300016 - Define FileDialogWrapper, with localized default prompt
    and name
  *  cf4b9eb5c - Define wxDirDialogWrapper, with localized default
    prompt and name
  *  729fd3767 - wxDialogWrapper and wxPanelWrapper have localized
    default window name
  *  e8b875ff8 - Define AudacityMessageDialog wrapper around
    wxMessageDialog...
  *  af290d73c - Define AudacityTextEntryDialog wrapper around
    wxTextEntryDialog...
  *  ccb4bbac3 - Translate "Message" as default title of message box...
  *  378c96fda - Consistently use translated effect name in titles of
    message boxes...
  *  d7574b799 - NoteTrack: Fix VZooming indicators.
  *  916db7605 - Bug 1813 - Vertical Zooming Beartrap
  *  26a18679f - Comment out iterator transform code
  *  3c9cdac77 - Drag-and-drop checks file extensions first for plug-in
    candidates...
  *  2cdf931e5 - More IteratorRange utility functions and member
    functions
  *  7ec5fd79d - Interface preferences displays self-names of languages
  *  2e8a73bab - Fix Windows build
  *  765ca0c81 - Easy drag-and-drop installation of Nyquist and LADSPA
    effects
  *  2c2db0fe0 - Implement drag-and-drop of Nyquist, LADSPA, VST plug-
    ins...
  *  8cfb8d240 - Change ModuleInterface for support of drag-and-drop of
    plug-in files
  *  6463e1257 - Move MyCopyFile into class FileNames
  *  0c97918bb - Ladspa, VST: As before eb3bc7e: keep registering even
    if some errors
  *  86b9c5c5f - Can use std::function on Mac too
  *  80d7f2426 - NoteTrack VZooming.
  *  94b117568 - mod-script-pipe: Recreate MS project and .sln files.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 21 Jan 2018 16:54:04 +0300

audacity (1:2.1.3+git7713-e06a6fd79-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/audacity/audacity.git
  * Branch: master
  * Commit: e06a6fd79787d25f7f710eb73695541495028af5
  * Date: 1514674818
  * git changelog:
  *  e06a6fd79 - Fix blank filenames in .aup saved then saved-as twice
    to same path...
  *  0c8890cda - Bug 1793: Applying chain to files should zoom-to-fit
  *  37ec3b52c - mod-script-pipe: Use release libs in release build.
  *  647f9ce0b - Merge pull request #225 from Pointedstick/unify-
    appstream-id
  *  f73670341 - Standardize on an rDNS-style AppStream ID
  *  52e976333 - Fix multiple bugs in IsGoodInt and IsGoodInt64
  *  bdd1358f9 - Error messages for failing to load Nyquist effects
  *  eb3bc7e64 - Minimal error messages for failing to load non-Nyquist
    effects
  *  0f8bd45a7 - ModuleInterface::RegisterPlugin can report an error
    message
  *  f3a05540b - Shrink the zone for vertical ruler zooming for
    NoteTrack too
  *  db4528069 - Add names to some windows.
  *  42573d36f - Make 'Message' default be 'Connected'.
  *  095ee9185 - Reimplement the narrowed hot zone for vertical ruler...
  *  a7960864d - Fix scripting bug where missing parameters gave syntax
    error
  *  b6138b196 - Move pipe scripts into a subdirectory.
  *  a084c3dbb - pipetest.py to test mod-script-pipe's pipe.
  *  217a2540d - Convenience .bat file for working with manual.
  *  0c2f6bb17 - Fix end of range of TrackPanelCellIterator
  *  63de7f088 - Bug 305 - Analysis effects produce false indication
    that a label is open for editing
  *  d9bab5347 - String changes: Exporting 'the audio' rather than 'the
    entire project'.
  *  4da9e41e0 - Bug 1799 - Un-muting with a single track unnecessarily
    activates the Solo button
  *  1e07ef972 - Workaround Travis update.
  *  210851593 - Bug 63 - Analysis effects that create labels should
    give focus to label Track
  *  4d978bcef - Use wxPrintf not printf
  *  cd06c04fa - Use wxFprintf not fprintf and you don't need c_str
  *  2dacaa56a - Further simplification of commit
    a0fad21fec68a671655bb5158e37880d3fed78ba

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 31 Dec 2017 08:56:59 +0300

audacity (1:2.1.3+git7687-970b9a27e-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/audacity/audacity.git
  * Branch: master
  * Commit: 970b9a27eea7e79173f3e57c65ec72229ffddbb1
  * Date: 1513268864
  * git changelog:
  *  970b9a27e - Fix ASSERT condition.
  *  cab984d59 - Add Spectral VZoom Reset
  *  41ac4cd47 - Add Hover-Over-Down State for Button
  *  3379b4e49 - VZoom cfg defaults different for Audacity and DA.
  *  516af7178 - Fix for #1554: toolbars open undocked if previously
    hidden
  *  3649f39dc - SetText and GetText deprecated.  Use modern
    equivalents.
  *  9735775a8 - Fix bug 963 again
  *  13c6fdf66 - VZooming Changes
  *  8a1f5bb74 - Fix misspelling pointed out by Olivier Humbert
  *  a0fad21fe - Remove special treatment of late additions to 2.2.1
    i18n messages
  *  cb363cdd9 - Make right half of VRuler inactive.
  *  f463eda36 - Clean up some dead code and MSVC warnings.
  *  b63e61d8e - Menu item scrub -> seek and accelerator tweaks.
  *  1d05f14b0 - Merged Ext-Bar and Ext-Command menus.
  *  161a86910 - Version 2.2.2 is open for alpha development
  *  26d72bea9 - Updated sl.po -- Slovenian submitted by Martin
    Srebotnjak
  *  2ce898f5f - Make it.po and zh_CN.po friendly to Windows build,
    again ( avoid #~| )

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 16 Dec 2017 11:56:31 +0300

audacity (1:2.1.3+git7670-80995ed87-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/audacity/audacity.git
  * Branch: master
  * Commit: 80995ed8748d0928d786e56cafa25e8f2e89cf15
  * Date: 1512410459
  * git changelog:
  *  80995ed87 - Updated README.txt by Bill Wharrie
  *  57126b66e - Updated zh_TW.po -- Chinese (Traditional) submitted by
    mkpoli
  *  1dfe97097 - Corrections in zh_CN.po -- Chinese (Simplified)
    submitted by mkpoli
  *  264905907 - Updated it.po -- Italian to 100% submitted by Carmelo
    Battaglia
  *  faa603a0e - Fix build of .mo files on all platforms
  *  947874600 - Revert "msgfmt on Windows made errors for comments in
    .po starting #~|"
  *  d1a7aa31b - msgfmt on Windows made errors for comments in .po
    starting #~|
  *  a627f7b77 - Updated zh_CN.po -- Chinese (Simplified) submitted by
    mkpoli
  *  5aa3ff94c - Fix more ambiguous accelerators...
  *  d70eb74c4 - Make exported label tracks locale-independent
  *  db2074dfc - Bug1791: Quick-play looped should begin where you
    pick...
  *  d5547a786 - Update French translators credits + timestamp (#221)
  *  5bec6e660 - Added script locale/diagnostics.sh
  *  be5c06130 - Updated es.po -- Spanish submitted by Antonio Paniagua
    Navarro
  *  71dc6a7df - French translation improvements
  *  5eccf5172 - Fix ambiguous accelerators in pt_PT.po, and some
    punctuation, from Bruno
  *  b0879a561 - Fix ambiguous accelerator in el.po
  *  c55ad8552 - Display translator credit only for the chosen locale
  *  c8eec056a - Remove line numbers from comments in ar.po
  *  01d457030 - Update audacity.pot without line numbers in comments...
  *  ce7561a0b - Don't make duplicate msgid
  *  ac2c4c8d3 - Revert "Fix duplicate strings for translation (Skip
    &Forward)"
  *  6c8d4e0aa - Fix duplicate strings for translation (Skip &Forward)
  *  e2dfaed0f - pt, zh, ja translation changes for Windows installer...
  *  0d89bc3f1 - Fix some typos in msgids, thanks to Olivier Humbert...
  *  6bde63604 - Updated ar.po -- Arabic (92%) submitted by Hussam Eddin
    Alhomsi
  *  653fa2d35 - Fix progress dialog for export of FLAC
  *  b69a272ad - Updated fr.po (and audacity.iss) -- French submitted by
    Olivier Humbert...
  *  5723a7c38 - audacity.desktop.in for ja, zh_CN, and zh_TW (thanks to
    mkpoli)
  *  81f9bf776 - Work in progress on fr.po by Olivier Humbert...
  *  065947c39 - Fix format specifier in cs.po
  *  101f6c748 - Merged all the .po files...
  *  0975c7a32 - Incomplete update of fr.po -- French submitted by
    Olivier Humbert
  *  54e806666 - Incomplete update of it.po -- Italian submitted by
    Carmelo Battaglia
  *  fd683d377 - Updated cs.po -- Czech submitted by Pavel Fric
  *  fb8ab9132 - Do not include .gitattributes in tarball
  *  61f4284e1 - Make append-recording insert clip boundaries again
  *  afdcded32 - Make Release build
  *  0532f9be3 - More sanity checking in file save ...
  *  9c028c076 - Certain sanity checks against crash or bad behavior on
    corrupt projects...
  *  6350d96c0 - Updated pt_PT.po -- European Portuguese submitted by
    Bruno Ramalhete
  *  4eaef13f0 - Fix small sub sub headings in local copy of manual.
  *  5ea729e77 - audacity.desktop.in for nl (thanks to Thomas De Rocker)
  *  44e6f3e3e - audacity.desktop.in for hi (thanks to Bashishtha Singh)
  *  b64ba45b1 - Add Arabic translation for audacity.desktop.in.
  *  92691d848 - Bug1784: Changed conditions for exceptions from
    Sequence...
  *  6e72aed6a - Sequence consistency check will not throw in 2.2.1
  *  206866295 - Replaced one THROW_INCONSISTENCY_EXCEPTION with othe
    precautions
  *  21787621f - Comment aids reasoning about preconditions for Sequence
    methods
  *  430bd1230 - Fix Regular Interval Labels
  *  5354a788c - audacity.desktop.in for pt_PT (thanks to Bruno
    Ramalhete)
  *  8426d87e0 - audacity.desktop.in for el (thanks to Dimitris Spingos
    (Δημήτρης Σπίγγος))
  *  c1779c843 - audacity.desktop.in for pt_BR (thanks to Cleber Tavano)
  *  4ff5d4332 - Fix Russian translation (#208)
  *  fc7ec2df4 - Updated pt_PT.po (79%) -- European Portuguese submitted
    by Bruno Ramalhete...
  *  a0baf67d9 - Updated ar.po -- Arabic (85%) submitted by Hussam Eddin
    Alhomsi
  *  d3864595c - 12 languages 100% up-to-date with version 2.1.1
  *  634db2c3f - Updated zh_CN.po -- Chinese (Simplified) submitted by
    mkpoli
  *  2a77d7329 - Updated uk.po -- Ukrainian submitted by Yuri Chornoivan
  *  64dcc89bb - Updated pt_BR.po -- Brazilian Portuguese submitted by
    Cleber Tavano
  *  95b248b9e - Updated nl.po -- Dutch from Transifex
  *  33801d4b5 - Updated ko.po -- Korean from Transifex
  *  ca999ce8f - Updated el.po -- Greek submitted by Dimitris Spingos
    (Δημήτρης Σπίγγος)
  *  c193ec176 - Updated de.po -- German submitted by Joachim Huffer
  *  0fb14f3e4 - Updated da.po -- Danish submitted by scootergrisen
  *  fc5709699 - Updated tr.po -- Turkish submitted by Kaya Zeren
  *  64ed369e9 - Updated pl.pl -- Polish from Transifex
  *  212e6ce63 - Updated hi.po -- Hindi submitted by Bashishtha Narayan
    Singh
  *  758aec6e3 - Updated eu.po -- Basque submitted by Xabier Aramendi
    ("azpidatziak")
  *  08d63aa36 - Fix roundoff bug in NumericTextCtrl
  *  1d311651e - comment
  *  f136b5c53 - Reviewed uses of InconsistencyException outside
    Sequence.cpp
  *  2f40c1c77 - Don't use InsertSilence when previewing effects
  *  dc76988bd - Menu name change to "&Export" was a bit late for
    localization...

 -- Alexander Pozdnyakov <almipo@mail.ru>  Tue, 05 Dec 2017 17:47:44 +0300

audacity (1:2.1.3+git7596-a49f14ad0-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/audacity/audacity.git
  * Branch: master
  * Commit: a49f14ad0298df1924fe038acdd1495546ac3630
  * Date: 1510252349
  * git changelog:
  *  a49f14ad0 - doxygen.  Class list completed for letter 'A'.
  *  a612af5c0 - Rename File > Save Other to File > Export
  *  b94b49265 - Don't make orphans in original after save-as
  *  1007980bc - fix a comment
  *  0bae8c3a9 - Bug 1774 - Recording does not honor waveform color
  *  c28be778e - Linty fixes
  *  26a6815db - Fixed the value of MAX_HIGH_SURROGATE
  *  f667b9f26 - When escaping characters for XML, don't escape valid
    surrogate pairs on platforms where wchar_t (and, by extension,
    wxUChar) is 2 bytes. Also, ignore invalid surrogates and the
    noncharacters U+FFFE and U+FFFF.
  *  25a65c34e - Fix bad punctuation, thanks to Joachim Huffer, update
    .pot again
  *  6136bb5e8 - Update audacity.pot
  *  66d586136 - i18n-hints
  *  a9f5c9c92 - Implement ComboEditor::Clone, and use override
  *  072667e90 - Move Cliff Scott's credit to Contributors section
  *  91b59d8af - Callthrough to base class UpdatePrefs was missing
  *  e5c07fae8 - some missed translations, i18n-hints
  *  31231a54d - use override
  *  9612e3d97 - indentation, final newlines, spelling, remove unused
    members
  *  da5e5e51c - Config file keys do not need to localize
  *  d3b1ae512 - Effect param keys don't need to localize; audacity.pot
    can shrink...
  *  75becb03f - Fix auto-scrolling when dragging edge of existing
    selection
  *  68f00326f - We're now on Version 2.2.1 development.
  *  d8c3a59bd - Zoom to fit (as in 2.1.3) after File > Open (Recent),
    audio/MIDI file
  *  a5dfff4bd - Fix message box for completed Export Multiple which got
    lost in 2.2.0
  *  08fba266b - Bug1767: High Sierra: dbl-click 2 file icons, should
    get 1 app icon
  *  5dd72acc0 - Bug1770: fix crash applying chains
  *  68897d893 - Some cppcheck fixes by David Binderman
  *  7c4901966 - Bug 1766 - Invalid check for unsupported Nyquist plug-
    in version
  *  b48c6b0fd - Clip (and track) colours now persists in .aup file.
  *  42c52de7f - Coloured clips basics
  *  fd3813fa3 - Open 2.2.1 alpha

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 16 Nov 2017 10:42:58 +0300

audacity (1:2.1.3+git7566-d6ee9bf97-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/audacity/audacity.git
  * Branch: master
  * Commit: d6ee9bf9758977ca1fb9358401edc125c62bb1b2
  * Date: 1509039879
  * git changelog:
  *  d6ee9bf97 - remove incorrect information about PortMidi
  *  58f07d202 - Flush .aup before writing .au; no redundant out-of-
    space messages
  *  7eeb88384 - Compensate for bug in wxCopyFile, which can return
    incorrect success
  *  985457e99 - Rearrange steps in saving project so .aup is cleaned up
    on failure
  *  fd2a24201 - XMLFileWriter cleans up correctly in case of failure
  *  c87451952 - When saving compressed fails, clean up partial results
  *  3f00979fc - maketarball script includes portmidi, minus unused sub-
    dirs
  *  985abaf40 - minor edits to INSTALL
  *  41f191453 - Make patch describing change in portaudio source at
    38fd97b
  *  72dec607b - Update for Audacity 2.2.0
  *  c613a0bd4 - revert last three
  *  c02bf9168 - Rearrange steps in saving project so .aup is cleaned up
    on failure
  *  a6c69dec7 - XMLFileWriter cleans up correctly in case of failure
  *  874d8da02 - When saving compressed fails, clean up partial results
  *  7f7c7795e - Credit Cliff Scott
  *  f370df652 - Sense empty .au at opening, treat as missing, give
    recovery options
  *  e05051670 - Correct other failure paths in DirManager::SetProject
  *  15a1fa14e - a comment about the new saving procedure
  *  c1d1bee6b - Better error handling when moving a project to another
    directory...
  *  bea1a089f - spelling
  *  e4b9b7b50 - Avoid long repetitions of message boxes for opening
    corrupt project
  *  404eca84c - Implement mayThrow argument of WaveTrackCache::Get
    properly...
  *  39a5669cb - Allow user cancellation of save
  *  d7d7d67f7 - Edit one link destination inside an internationalized
    string...

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 02 Nov 2017 10:44:51 +0300

audacity (1:2.1.3+git7542-1a22a59ee-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/audacity/audacity.git
  * Branch: master
  * Commit: 1a22a59ee9c750c74ccacc8998f0f58deca5e6f2
  * Date: 1508377679
  * git changelog:
  *  1a22a59ee - Fix links to local help for buttons in Library
    preferences...
  *  423a752be - Improved file exception message for locale "en" as well
    as for blank
  *  147c3f9d6 - Use American spelling
  *  e329990ec - fix build
  *  9a081b0aa - Updated README.txt by Bill Wharrie
  *  68706c24c - Improve the message for exhaustion of file storage on
    Windows
  *  2d17ddc10 - Fix overload resolution of a call to
    HelpSystem::ShowHelp...
  *  32e40b3f7 - Fix a remote help link in Lib prefs> Locate... >
    Download ...
  *  448eb2eb7 - Spectral Edit Multi Tool has a manual page
  *  93f20b2bf - Improved message for failed file writes in recording,
    and elsewhere
  *  49174461d - Overwriting export via save-compressed or chain
    commands: safety...
  *  cbf4c11e2 - When export fails, don't leave a partially written
    file.
  *  969427980 - Guard against crash when stopping a stream...
  *  b49e46741 - Bug1756: reinstate status for disk capacity during
    recording
  *  8a762f95b - In case save of new project fails, clean up the _data
    directory
  *  cbfde23e4 - Fix for 1753: keyboard interaction with meter buttons
    broken
  *  c2f82181f - Update special case copying of wxstd.mo for Mac build
  *  13358059c - Release build
  *  fadef9004 - Updated pt_BR.po -- Brazilian Portuguese submitted by
    Cleber Tavano...
  *  196076230 - Fix a null dereference found by Pvs-studio...
  *  31b820b47 - src/widget/OverlayPanel: PVS-Studio: fixes bug with
    remove function.
  *  a2a08e852 - Fix extraneous copies of three .mo files in mac build
  *  571ce7f86 - Fix the few missing messages of sl.po

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 19 Oct 2017 09:14:36 +0300

audacity (1:2.1.3+git7519-66915b63e-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/audacity/audacity.git
  * Branch: master
  * Commit: 66915b63ee491503f37f423ded1eab47f2975365
  * Date: 1507304415
  * git changelog:
  *  66915b63e - Updated sl.po -- Slovenian submitted by Martin
    Srebotnjak...
  *  6a8bba0a9 - Fix all remaining misuses of macro _ in static
    initializers...
  *  c94222ff5 - Fix missed translations in Distortion effect after
    language change
  *  4609d5af2 - A few more missed translations...
  *  f7a059e4f - Updated hi.po -- Hindi submitted by Bashishtha Singh
  *  4a0fbf83a - Bug1735 residual: paste into region starting < Note
    Track start...
  *  d78033887 - Fix initialization of Debug and Preview buttons
  *  10e75a4bc - Fix missing Portuguese and Chinese, Simplified in Mac
    preferences
  *  025eb3075 - One more trick needed to get eu distinct from eu_ES in
    preferences
  *  f2d9ff59b - Roger's fixes for MIDI timing on Alsa, as adapted by
    Paul Licameli
  *  ce649cf85 - Re-enabling the separate MIDI thread, and comments
    about that
  *  d6657df04 - Roger Dannenberg's explanatory comments for new
    MidiTime function
  *  51296237d - Roger's timing correction for Alsa; I unified with non-
    Alsa case...
  *  2b8426231 - Roger's SystemTime() for use later, fixed to compile on
    all...
  *  7c67133ff - Roger's changed FillMidiBuffers loop test (seems
    harmless, all OSs)
  *  b38bacfaf - Remove my USE_TIME_INFO conditional compilation... will
    fix otherwise
  *  857a7ca73 - Roger Dannenberg's fix for MIDI notes-off, applied to
    Linux only...
  *  a971dd5bb - Detect whether ALSA is the portaudio host (possible
    only on Linux)
  *  428f54367 - ALL OSs: fix race starting play, which inserted leading
    zero samples
  *  771ed7088 - Fix format mismatches caught by msgfmt -c on Travis
  *  1fc8f73a0 - Updated pl.po -- Polish submitted by Michał
    Trzebiatowski
  *  9978986f8 - Fixes in .po as suggested by scootergrisen; remove some
    #,fuzzy
  *  dc00f7366 - Updated ko.po -- Korean taken from Transifex
  *  bcb2d4cc6 - Post-beta updates of some of the translation files,
    fixing omissions
  *  9c059f511 - Updated da.po -- Danish submitted by scootergrisen
  *  b1413b792 - Updated zh_CN.po -- Chinese (Simplified) submitted by
    mkpoli
  *  cbe98c977 - Updated tr.po -- Turkish submitted by Kaya Zeren
  *  2d9fa61ba - Updated de.po -- German submitted by Joachim Huffer
  *  15bfd8bdc - Updated uk.po -- Ukrainian submitted by Yuri Chornoivan
  *  2afec0c7e - Updated el.po -- Greek submitted by Dimitris Spingos
    (Δημήτρης Σπίγγος)
  *  b2edf34e3 - Updated nl.po -- Dutch submitted by Thomas de Rocker
  *  7dfa4f4cf - Updated eu.po -- Basque submitted by Xabier Aramendi
    ("azpidatziak")
  *  e414dcdb7 - Updated eu_ES.po -- Basque(Spain) submitted by Oisotz
  *  b1d9be00e - Added eu_ES (Basque (Spain)) to supported languages

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 06 Oct 2017 22:47:53 +0300

audacity (1:2.1.3+git7485-7b70aa08a-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/audacity/audacity.git
  * Branch: master
  * Commit: 7b70aa08af63beeaccdd26d3e0d32d101292e42a
  * Date: 1505933015
  * git changelog:
  *  7b70aa08a - Bug1718: AU effect presets import dialog should find
    user presets too
  *  02403c123 - Bug1746: Playing Note & Wave at once should stop at end
    of selection
  *  a5aaaf517 - Bug1744: Switch flat EQ curve to linear and draw points
    correctly...
  *  ecd149eda - Revert "Fix for #1554: toolbars open undocked if
    previously hidden"
  *  75d557463 - Use -c (check) option in msgfmt when generating .mo
    files
  *  048c1b8c5 - Fix for #1554: toolbars open undocked if previously
    hidden
  *  731a2ac40 - Fix format of tooltip text for toolbar buttons in RTL
    languages...
  *  954a97442 - Changed the conditional compilation for
    alpha/beta/release...
  *  5a2966026 - Update audacity.pot
  *  e41acf912 - Fix some omissions from translations, thanks
    scootergrisen & mkpoli...
  *  f6b5d8e65 - Generate msgid and msgid_plural in .pot for wxPLURAL
    macro
  *  ec5f9d6b6 - Translation of strings in Benchmark
  *  1e1560d63 - Fix missed translations in Plot Spectrum
  *  a3245b56a - Translate "Audacity website:" in About dialog
  *  b2382eab2 - Translation of Quality preference choices
  *  70b5076b0 - Fix some untranslated prompts and messages...
  *  3b7e99273 - Remove some unused strings that confused translators...
  *  b6029a876 - Some translation fixes that will not add to the .pot
    file
  *  e2129feac - Translate the items in the popup menu of the scrubbing
    ruler
  *  5f298accb - Translated effect name and description in many places
    in Effect.cpp...
  *  42f894581 - Fix statically allocated message string in _() (didn't
    translate!)
  *  adc269568 - i18n-hints about the name "Nyquist" ...
  *  0cab2e92b - Fix some comments
  *  cc3c56818 - Bug1744: Editing of linear frequency scale EQ curve
    should work
  *  cee28ab53 - Bug1735 addendum: fix oddities pasting left of Note
    track offset...
  *  761bd6bf8 - Translation of time, frequency, and bandwidth format
    names
  *  47552acfc - Bug1735: crash pasting copied part of Note track
    starting at > 0...

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 21 Sep 2017 15:51:26 +0300

audacity (1:2.1.3+git7458-7314de6a3-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/audacity/audacity.git
  * Branch: master
  * Commit: 7314de6a3d842f43dbe1fbd10219b961bc890f39
  * Date: 1504700382
  * git changelog:
  *  7314de6a3 - Fix bug 1740
  *  d7cc85b1e - Fix an untranslated string, change "Midi track" to
    "Note Track"
  *  b9aaec691 - Fix bug 1730
  *  e238845dd - Fix bug 1733
  *  5d4ddbc42 - Make the (en) welcome window say it's a Beta test
    version, not alpha...
  *  ccc802aa8 - Fix for bug 1733
  *  76a80c66c - Do not revert the changes in Biquad.h
  *  fd8b76dd8 - Fix uninitialized variables in Reverb...
  *  7423a2c23 - Change welcome screen to identify version as a beta
  *  74e3a6fdb - Replace mentions of feedback@audacityteam.org with url
    of forum...
  *  8793dc5c4 - Add "In Memoriam" section to About, for Gale Andrews
  *  272d3026e - Can change "alpha" to "beta" in welcome screen if
    IS_ALPHA > 1...

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 07 Sep 2017 21:41:48 +0300

audacity (1:2.1.3+git7441-582e574ab-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/audacity/audacity.git
  * Branch: master
  * Commit: 582e574ab85e73169340df6d8fb606ac4eeb3f63
  * Date: 1503818804
  * git changelog:
  *  582e574ab - A not-harmful change to MIDI timing for Windows and
    Mac...
  *  faa7d1828 - Commands adjusting pan and gain are enabled during
    transport...
  *  06da73fa2 - Update Romanian translation by Alexander Gvaramiya
  *  9d8af899e - Update Polish translation by Michi (MTRZ)
  *  ce9938787 - Use alpha or released or local manual for "help on
    selection".
  *  4a0a7efd8 - Fix MIDI timestamp calculations when you loop AND have
    time track...
  *  85b2f8054 - Correct mMidiOutputComplete, though it doesn't
    matter...
  *  069da03e9 - Fixes to local-manual script Part 4.
  *  a44dbf3a9 - Correct the flags for enabling some menu items that
    were moved...
  *  1b4999d0d - Bug 1290 - "Split New" clips cannot be dragged back
    into the track they came from.
  *  33d9a130c - Correct wiki to HTML translation of https: links...
  *  ea14a117d - Expose the benchmark tool in end-user builds
  *  78567cbba - Fixes to local-manual script Part 3.
  *  74c2af918 - Fixes to local-manual script Part 2.
  *  e036c59f1 - Fixes to local-manual script Part 1.
  *  6609d6a8c - Update Simplified Chinese translation by mkpoli (snow
    wolf)
  *  88c55c968 - remove a comment
  *  6adc9f906 - Fix silly out of bounds mistake in Sequence consistency
    check
  *  8342b1e02 - Fix bug 597
  *  e984211cc - Bug 1290 - "Split New" clips cannot be dragged back
    into the track they came from.
  *  4d43d2273 - Bug 1516 - Clips: Can't drag vertically if starting
    position of clip overlaps clip in target track
  *  f3dcccb14 - Bug 1165 - Enh: Keyboard preference key bindings can be
    way over to right
  *  db7c16516 - Updated translation for Korean
  *  47eaf526a - Bug1714, more: better calculation of MidiTime...
  *  76a9962a5 - Bug1719: crash left-stretching one Midi track synced to
    another...
  *  ab9bb2ae2 - Bug 1532 - Toolbars fail to arrange correctly when
    maximizing or restoring main window size
  *  69b77a803 - EXPERIMENTAL_MIDI_STRETCHING off for 2.2.0
  *  fc25ce093 - Bug 1293 - Unable to mouse wheel zoom in beyond end of
    project
  *  50258c1f2 - Bug 1564 - Enh: Don't include empty tooldocks in CTRL +
    (SHIFT +) F6 cycling
  *  b47691910 - Bug 1664 - Restore wxPanelWrapper
  *  dd02a02c2 - Mask for XPM RegisterImage()
  *  47372cfe7 - Add comments about URL-Help (Bug 299)
  *  296ba29a7 - Bug 96 - "Latency problem" warning when audio is pushed
    behind zero occurs for both tracks of a stereo pair
  *  12410fb55 - Bug 143 - Rogue "Recent &Files" Status Bar entry
    generated by Effect Menus
  *  c4c139398 - Fix for 1720: static text items in selection bar in tab
    order
  *  d996e889a - Using audacity-fixes WxWidgets
  *  e7d33e18a - Bug 1664 - Two shortcut pairs do not work in focused
    Karaoke window
  *  672e36951 - Update Polish translation by Michał Trzebiatowski
  *  db97feafd - Bug 1654 - Enh: Analyze Contrast and Plot Spectrum
    don't have the new "Help" button
  *  61e321fd4 - Bug 1654 - Enh: Analyze Contrast and Plot Spectrum
    don't have the new "Help" button
  *  fab1a2778 - Bug 753 - Sort Tracks by Name may misbehave with stereo
    tracks.
  *  e23acb39e - Bug 1679 - Screenshot Tools 5 second delay non-
    functional
  *  e98f08a2d - Bug 463 - Incorrect Timeline numbering
  *  cd0ac7d7e - Bug 1715 - Theme change in the case of multiple open
    windows is only complete in the foreground window.
  *  dc05b94fd - Bug 1701 - Mac: Text descriptors in Selection Toolbar
    become invisible after Open command
  *  f2ee945da - Bug1714, partial fix for silent, freezing Midi play on
    ALSA...
  *  46400af4a - Update Turkish translation by Kaya Zeren
  *  d0b49f1ec - Bug 1671 (part 2) - Clock icons do not propagate into
    Sync-locked MIDI / Spectrogram view tracks
  *  3d5a4e8a4 - Bug 1671 - Spectrogram Overlay made experimental.
  *  78f273f30 - Bug 1671 (part 1) - Clock icons do not propagate into
    Sync-locked MIDI Spectrogram view tracks
  *  c15bbc59d - Bug 634 - Timeline does not zoom correctly when
    playback is paused
  *  01201a5eb - Bug1692: shouldn't crash when FFmpeg libraries absent

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 27 Aug 2017 12:04:05 +0300

audacity (1:2.1.3+git7389-c7d949c-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/audacity/audacity.git
  * Branch: master
  * Commit: c7d949c02129f39949e24c3472a3917723317024
  * Date: 1502291130
  * git changelog:
  *  c7d949c - Menu consistency: Previous before Next for tools & clip
    Move
  *  adb42fe - FIX: Slider thumb clipped when at far right.
  *  da3f281 - Fix: Nyquist PEAK property when NIL & Stereo
  *  95560ad - Bug1676, more: don't bother caching the first visible
    track...
  *  eb72603 - Reviewed uses of release(); rewrote questionable ones in
    one file...
  *  8eb64f5 - Bug1676: correct repaint of rearranged tracks on Linux...
  *  eee58d9 - Bug 1292 - Enh: Zoom Normal (Ctrl+2) may move selection
    off screen
  *  7a5bbbc - Bug 388 - Mac: Recording Preferences has an unsupported
    "Hardware Playthrough" option
  *  3302455 - Allow loop play whenever we allow play.
  *  7baf22b - J, K, Shift-J and Shift-K always enabled.
  *  aee0c4c - Fix for broken build (::None)
  *  dddac6e - Bug 1707 - MIDI Loop Play misses first few notes on
    looping.
  *  a3c4c5a - Bug1705: .gro files should open by drag and drop
  *  3288f8d - Bug1704: should default file dialogs to Documents, not
    program path
  *  a559453 - "/DefaultOpenPath" is now in only one place
  *  e3efc98 - Remove the last defaulting to cwd
  *  af447a8 - Remove another use of cwd for default opening paths
  *  5f7353a - Chain export commands: no cwd; use the default export
    path, not open
  *  5d48e96 - Where FileSelector was used, default to Documents not
    cwd; save prefs
  *  a9d4c2c - Defaulting of file paths to Documents is defined in just
    one place
  *  d7ac0d3 - Fix some missed internationalizations
  *  3e39771 - MIDI imports, like other imports, are put into recent
    files list
  *  1895994 - Effect parameter names containing '=' now work in chain
    editing...
  *  560a1e8 - Bug 1608: Don't crash editing parameters of LV2 effect in
    a Chain
  *  40a4f89 - Bug 1706: Export Midi available whenever MIDI tracks
    exist
  *  5bdac8b - Bug1698: don't use 0 for menu item ID on Mac (assertion
    in wxWidgets)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 10 Aug 2017 07:45:47 +0300

audacity (1:2.1.3+git7363-6cb6652-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/audacity/audacity.git
  * Branch: master
  * Commit: 6cb6652464c80f1ca1ac78b8d6f18b42c1a59031
  * Date: 1501346373
  * git changelog:
  *  6cb6652 - Fix Linux: triple height Selection Toolbars
  *  bc6d8d3 - Tweak Dutch translation by Thomas De Rocker
  *  17a84c0 - Updated Basque translation by Xabier Aramendi
  *  77a2ac6 - New Basque (Spanish) translation by Osoitz Elkorobarrutia
  *  4a28645 - Fix bug found by Bill Wharrie in hightlighting of labels
  *  0830234 - Audacity.dox version to 2.2.0
  *  00f6ee2 - Const 'fix' no longer needed, thanks to Paul's fix.
  *  6d1b17a - Update Dutch translation by Thomas De Rocker
  *  dba49dd - Bug1702(Mac Sierra): Use right lib paths, no weird
    startup tricks...
  *  ac558ce - Copying of Audacity.sh not an intall-only step, for debug
    convenience
  *  8b32eea - Bug290 (load LAME, FFmpeg from correct place): original
    fix again...
  *  e359383 - Mac: Don't execve in main or fork & crash to evade its
    ill effects...
  *  32f3ccd - Update file name
  *  00f8658 - LightTheme fix, but without the const.
  *  08795f6 - Fix line ending in Spanish translation
  *  2b3f914 - Update Greek translation by Dimitris Spingos
  *  aa58124 - Update Spanish translation by Antonio Paniagua Navarro
  *  e4e7d86 - Update Ukranian translation by Yuri Chornoivan
  *  d1b6f3d - Update Danish translation by scotergrisen
  *  c316f81 - Revert fix to light theme.  To track down library issue.
  *  f707887 - Bug1227: Make Audacity detect System language on Mac
    correctly
  *  34f8e79 - Bug1590: Mac skips plugin cfg entries for .ny's of other
    versions...
  *  fa42d4f - Some null checks, might be needed when project is closing
  *  188886f - Revert 'Possible fix for Mac library issue.'.
  *  6513fcf - Possible fix for Mac library issue.
  *  07ea0ae - Workaround for GarageBand as synth not respecting notes-
    off message
  *  c2229b1 - Preset change menu items for Lv2 effects in plain UI did
    nothing! ...
  *  4a4fa8d - Bug1183: make spectrogram settings scrollable for limited
    resolution
  *  ff60610 - Bug1404: Close realtime effect with Enable unchecked;
    reopen; play...
  *  54afdc7 - More of bug 1338: avoid Mac hang with modal invocation of
    plugin...
  *  6ce85be - No need for CXXFLAGS in ./configure anymore.
  *  ddf2369 - Bug1502: VST and AU plug-ins should show correct rates
    and spectra
  *  2d56c8e - Fix misbehavior of toolbars after click without drag on a
    grabber...
  *  2f178db - Revert "Bug 1432 another case..." It's not safe for
    Windows...
  *  3b0a113 - The new event filter works more safely with Destroy, not
    Close events
  *  67b858e - Bug 1432 another case...
  *  68a0f29 - Remove unused member variable
  *  503f354 - Bug1432 partial, keep correct focus in more cases, not
    all...
  *  9aea0d3 - Do not redundantly track focus in AButton...
  *  a8ba5d5 - Restore LightTheme colours that were faded
  *  b3c8f5d - Bug1432 partial: Dragging toolbar should't change
    focus...
  *  b521fb8 - Earlier detection and abort editing in case of overlong
    block file...
  *  d88371b - Revert stuff
  *  e9576bf - work
  *  1a9dd31 - Bug1432, more: Restore focused control after drag of
    toolbar
  *  ace1ac0 - Bug1432, partial: Click on toolbar grabber, without drag,
    does nothing.
  *  f0de38d - Scanned for bad naked new; found none; changed comments,
    used safenew
  *  7156479 - Typo fix (extra s)
  *  c6fef0a - Use local libraries by default on linux
  *  f1aa916 - Bug1603, speculative fix: AUNBandEQ crashes Audacity...
  *  f4c3f19 - Bug1520: Correct TQP when snap-to-nearest second & region
    selection
  *  d9c3a02 - Bug1623: Update play, record button images when modal
    dialog closes
  *  e2c0b2d - Update German Translation to current .pot
  *  0145b33 - Update German translation by Joachim Huffer
  *  0feda03 - Comment a recent fix
  *  31be794 - Bug1652 addendum: correctly reread old key prefs with
    Control for Mac
  *  7ced70c - Bug1315 fix suggested by Bobby Kent (export file dialog
    problem)
  *  cdc32e2 - Remove credit of iAVC.  We don't use it, and have no link
    for it.
  *  f79d5c3 - Update credits...
  *  f9b9456 - Revert "Credit Brian Armstrong, Henric Jungheim, and Max
    Kellermann"
  *  5481ecc - Credit Brian Armstrong, Henric Jungheim, and Max
    Kellermann
  *  cc46833 - Fix regression, loss of distinct colour in Scrub Ruler
  *  69655a1 - Fix menu item with two &s
  *  c982db5 - Time track menu items for lin/log display are radios
    again
  *  a45f3bb - Update .pot and .po files.
  *  9fa6376 - Avoid attempting to translate empty string.
  *  6f12e6a - Update German translation by Joachim Huffer
  *  f38caa5 - Add strings that were not translated.
  *  de0cc3e - Bug 1699 - Selected keyboard prefs line unreadable in 3
    of 4 themes on Mac
  *  904ddbf - Bug1684: Fix misbehaving slider in Change Speed effect...
  *  3218351 - Bug1652: Should show Mac Control [sic] modifier in menu
    shortcuts...
  *  1ef235c - Bug1661: Default audio track name not being translated...
  *  a9d8da6 - Adjust existing sel bound: erase any snap from start
    position on move
  *  e61e60a - Update TrackPanel cursor for unmoving mouse, changing
    display...
  *  7591a65 - Bug 1693: partial fix.
  *  3e1890f - Bug1627 again: Fix it so that we don't disable all scrub,
    though!
  *  57e0400 - Bug1627: Fix infinite recursion of error dialogs, failing
    start scrub
  *  d1f7e7e - Bug1656: (Win) KB nav of toolbar buttons should skip
    disabled...
  *  59dab52 - Bug1697: Fix selecting with Snap To in effect
  *  c4a1787 - Improve source for generation of .pot file.
  *  416b897 - Update Italian translation by Carmelo Battaglia
  *  69d6f36 - Bug1696: Drag-and-drop should import Midi file as a Note
    track
  *  bb4a1b8 - Bug1688, more: fix Midi stretch when selection goes to
    end
  *  6d47a79 - Bug 1689: Fix MIDI devices not being found on linux
  *  cfeb7bc - Zoom to fit after any import (labels, audio, or midi)
  *  cfab325 - Never permit import of MIDI as audio...
  *  f725e93 - Still better redrawing of resized Note tracks, still not
    perfect...
  *  8279adc - Changing NoteTrack height, keep # of piano keys (roughly)
    constant...
  *  c45adf6 - Update audacity.pot and .po using more source files.
  *  b4c3119 - Updated source for translatable strings.
  *  207db5e - Improved Note Track vertical ruler zooming...
  *  c476110 - Update audacity.pot and .po files.
  *  bcf21ad - Make building without EXPERIMENTAL_MIDI_OUT  possible
    again.
  *  bba9b99 - NoteTrack, extreme vertical zoom-in: limit top & bottom
    margin height
  *  d256bfe - NoteTrack, extreme vertical zoom-in: limit top & bottom
    margin height
  *  60405eb - Theme Tweaks
  *  c1c1977 - When a VST effect is opened, the dialog is not the focus.
  *  36dcddf - Update Greek Translation
  *  ea9f86e - remove unused variable
  *  7f289a9 - Revert "Remove unused variable"
  *  0ca907a - Remove unused variable
  *  48889d3 - Precaution in case a certain assertion fails (I haven't
    observed it)
  *  fcd1751 - Bug1632: correct length of non-WAV exports >= 2^32
    samples long...
  *  4925d0a - Fix cursor changes for selection
  *  c4995ef - TCP buttons can distinguish up and down highlight
    backgrounds...
  *  9b35792 - Simplify the error messages in case of disk i/o
    exceptions
  *  a9a6f01 - Stop showing the tooltip for track rearrange after button
    down
  *  64ce79f - Change Menu button tooltip, and it includes the shortcut
  *  17c964e - Distinct status bar message for Time track envelope edit
  *  5f8cde4 - Fix condition for displaying (Esc to cancel)
  *  ed4300f - Move status bar message texts out of class ToolsToolBar
  *  14450d6 - Fix flickering tooltips in TrackPanel
  *  c72bb76 - Fix flickering TrackPanel tooltip
  *  1b8f3da - Again disable tooltips for vertical rulers.
  *  e86fd3c - Bug1688: MIDI stretch when select time extends beyond
    track end...
  *  f2deb1c - Bug1691: Make Mute and Solo shortcuts for focused track
    work for Midi
  *  1faa234 - Fix bug 1662 (crashing TCP menu commands on Windows)
    differently...
  *  f3574c6 - build fix
  *  abce981 - A few tooltips for TCP buttons, vertical rulers, track
    rearrange
  *  bb97036 - Tooltips for Wave & Note track vertical rulers
  *  77d5a4c - Tooltip for click and drag on TCP
  *  42921b7 - Tooltips for TCP buttons
  *  812fd2a - move function
  *  fa96dcf - Cursor was meant to change to hand only after click on
    TCP
  *  cc0f76d - Clear the tooltip when leaving the cell that defines it
  *  a5e2854 - Omit Note tracks from scrubbing and seeking
  *  03f9592 - Bug 1690: Playback does not stop at the end of MIDI
    playback
  *  4d3d32c - Remove MIDI-only playback (without portaudio) logic
  *  23e517f - windows build
  *  c50567e - Time track properly warps the MIDI event times (but not
    pitches)
  *  8b37ac5 - Merge pull request #199 from henricj/appveyor_fix
  *  1d5a945 - Various small fixes for MIDI playback, including Cut
    Preview (C key)
  *  19b11c0 - Fix cut preview with note tracks
  *  8a02687 - Fix velocity offset edge case
  *  896d5d6 - Fix drawing MIDI channels with IDs greater than 16
  *  62ebb2f - Remove unused and unneeded MIDI methods and variables
  *  437de15 - Add more method and field documentation
  *  bd294ea - Midi diag mentions conditional compilation flags, but
    only in ALPHA
  *  681161f - Add MIDI device diagnostics
  *  053b0b5 - Fix highlight of TCP menu button after command
  *  ca83b06 - fix i18n-hint
  *  5644bed - No TrackPanel tooltips for now, may later reenable
    selected ones...
  *  e55393a - Fix assertion when cancelling from selection drag
  *  7a038c9 - Remove tab key target cycling and snap escape;
    reimplement for Esc
  *  d3572eb - Same tolerance for hitting clip boundaries as for
    selection snap
  *  89c8e8a - null checks
  *  38fd97b - Fix "C" linkage of PaUtil_GetTime (TOUCHES lib-src !)
  *  e81df83 - more use of final
  *  c5fc8ee - Revert "Split lines now only show over middle third of
    track height."
  *  7b93a3a - Whoops, we lost the non-multi draw tool!  Fix that.
  *  812f364 - Bug 1685: garbage status bar messages and tooltips, scrub
    in Windows
  *  558efda - A null check
  *  52d8dc1 - Bug1682, maybe: More careful treatment of some Envelope
    corner cases
  *  8fae980 - Prohibit use of inherited TrackList::clear()
  *  8bf3791 - TrackList constructed only by factory function, to avoid
    more trouble
  *  84a6bad - In a user visible message: TAB > Tab
  *  903ceba - Bug1669: Close and Menu buttons should never disappear...
  *  2185b42 - Selection bar drop down list box: Fix name read by Jaws
    screen reader
  *  4a500c7 - Bug1636: fix Crash on OK selecting RIAA or Telephone Eq
    curve...
  *  54af4f1 - More precautions about the back-pointers of tracks to
    their lists
  *  e9cb505 - More guards against recursive event dispatches causing
    surprises...
  *  9ad15da - Bug1683: crashes applying Nyquist effects to stereo
    tracks
  *  a4f1c2c - Keyboard commands for clip boundaries: change to screen
    reader message
  *  aaed921 - Track panel tooltips, including TAB key hint...
  *  9072628 - Preview selection snap lines before click; toggle them
    with TAB...
  *  0ba91ea - Don't make the finger cursor when hovering over the split
    line...
  *  2150bde - Implement selection snap lines before click, and TAB to
    cancel them
  *  b7ae012 - A single UIHandle can define multiple rotation states
  *  4eece4b - Extras like snap guidelines can be drawn for targets not
    yet clicked
  *  33c6a77 - SelectHandle gets snap information in hit test
  *  49b0420 - ChooseBoundary takes separate x and y arguments
  *  7903e20 - Rewrite SelectHandle snapping; selection really matches
    snapped start
  *  67282cb - SnapManager::Snap returns its results in a struct
  *  ac10dc1 - Construct SnapManager with const TrackList
  *  5f49892 - Keyboard commands for moving clips: minor fix
  *  f24a704 - Fix TAB key cycle with cutline in Select tool
  *  4d1ce20 - Make TAB key act as before, when a Label track has focus.
  *  5e4f453 - Fix crashes when ESCaping a drag
  *  6c0b3bb - Shift+TAB cycles hit test targets backwards
  *  8d13bf1 - Update _MSC_VER #if block for VS2015+
  *  f1213e4 - Use the _DEBUG flag instead of __wxDEBUG__ for selecting
    the link libraries. The include directories are determined by the
    configuration, which is indicated by _DEBUG.  Using __wxDEBUG__
    means that the debug libraries might get used with the release
    includes (or the reverse).
  *  3b39bde - EffectDialog can't have a default constructor. The base
    class does not have one.
  *  b3c0cbc - wxToString() doesn't support "unsigned long long", so
    size_t doesn't work on Windows x64 builds.
  *  32522c9 - Include compiler version in build information.
  *  88dfb5d - Avoid false warning about uninitialized pointer.
  *  48edd22 - Put the theme data in .rdata/.rodata
  *  14d0d8a - fix build
  *  050824f - Remove some unnecessary #includes
  *  a618ec8 - Fix priority of multiple hits
  *  c1cd324 - Implement TAB key rotation among hit targets...
  *  2cce171 - Implement TAB key rotation among hit test targets
  *  d7738c4 - Handles mark need for highlight in new Enter() method not
    ctor...
  *  4ec6baf - Cursor handling always relies on current mouse state, not
    remembered
  *  308d89b - Reuse SelectHandle object during movement, as with other
    handle types
  *  d148c39 - More use of override
  *  4108b5a - XCode build: Remove ~1500 noisy warnings (unknown
    compiler options)
  *  f1d0d88 - Fix some errors in recent highlighting changes
  *  fa010f6 - Fix #include paths, and unnecessary redrawing
  *  cddeb94 - Revert "Highlighting of resizers"
  *  cfb67e2 - Disabled experimental mouse-over highlights of more
    TrackPanel things
  *  3e7f82c - Highlighting of resizers
  *  b11c3c8 - Highlighting of Wave and Note track vertical rulers
  *  ed4057a - Highlighting of cutlines and clip boundaries
  *  a4d53b4 - Highlighting of label text boxes
  *  ecebf76 - Highlighting of samples
  *  2d65cdc - Highlighting of time-shift grips
  *  7fb107e - Highlighting of envelopes
  *  b5696ca - Add EXPERIMENTAL flag
  *  c4fe499 - Utilities for TrackPanel highlighting
  *  f8d9c42 - Fix click without drag and double-click on Pan, Gain,
    Velocity sliders
  *  2231d2d - Fix flashing toolbars when moving mouse in empty
    TrackPanel
  *  71ac4bb - Fixes for commands to move cursor to or select to clip
    boundaries
  *  88b4be0 - Wording: Auto-select, if selection required.
  *  7d96858 - Back to a dark colour for cursor on Light and Classic.
  *  e3a822c - Always Record on a new Track Pref.
  *  71a75fc - Fixes for commands to select next/previous clip
  *  a5fffbd - Correct the handler for modifier key-down...
  *  e3ea42f - Force error on Mac when return value is missing...
  *  4dcd105 - Fix crashes mousing over TCP
  *  bca09f4 - null check
  *  16645f6 - Back-pointer from Track to TrackList is weak (fixes
    crashes)
  *  9489fed - build fix
  *  cb9d37f - build fix
  *  0fa0d48 - build fix
  *  fb75f1d - build fix
  *  1c281fa - build fixes
  *  65c098f - Revert "More fixes for Windows build"
  *  ef9745b - More fixes for Windows build
  *  2bdbea4 - Mouseover highlight 1) MIDI buttons 2) other buttons 3)
    sliders...
  *  51e25cd - Highlighting of Track Control Panel sliders
  *  44d6d5f - Highlight MIDI channel buttons
  *  25641ae - Highlight TCP buttons
  *  2475b15 - Support for TCP button highlighting
  *  ada4b63 - Pass more context information into drawing routines
  *  f09a7be - TCP draw use hit target for button, slider state; remove
    hacky global
  *  3d7471a - new file
  *  dc864f3 - Fix windows build, and simplify a little
  *  7eafbf6 - Improve the internals of refactored TrackPanel...
  *  8e44827 - TrackPanelCell hit tests can return multiple results...
  *  b3d62e2 - Simplify by removing class HitTestResult...
  *  c079544 - Defaulting TrackPanel cursor, status message; simplifies
    other code
  *  f5b0afc - Rename TrackPanel::HandleCursor as HandleMotion...
  *  2c1a16f - Changed lifetime management of UIHandle objects, no
    singletons...
  *  d2fbca8 - All UIHandle::Preview() return same cursors, messages as
    HitTest...
  *  3a8280c - Distinguish TrackPanelMouseState from
    TrackPanelMouseEvent...
  *  c1f667f - Move some handle and cell classes into their own files
  *  4e68df5 - Merge pull request #202 from scootergrisen/patch-1
  *  8c69501 - Add danish translation
  *  3aab193 - Fix Nyquist message logging
  *  f0702fb - 1678: Cursor to track start/end misbehaves when no tracks
    selected
  *  76ea923 - Correct outdated comment about memory management of
    BlockFiles
  *  739422b - Add split line before new recording on same track.
  *  c12f849 - Bug 1656 - (Windows) Disabled Edit Toolbar buttons not
    skipped for navigation and respond to ENTER as if auto-select was On
  *  d903845 - Bug 1677 - Residual.  Handle ESC during track
    rearrangement.
  *  4de3264 - Remove Track: improvement for screen readers.
  *  5d15974 - Make EXPERIMENTAL_MIDI_OUT buildable on all, and enabled
  *  f0903dc - Enable EXPERIMENTAL_MIDI_OUT on all platforms
  *  e4875cf - Add Portmidi dependencies (libasound2-dev, alsa-utils,
    alsa-oss) to travis
  *  f50b301 - Regenerate configure scripts and Makefile.in's
  *  0c00435 - Attempt to add the rest of the makefile for portmidi
  *  1610da4 - Re-add automake files for portmidi
  *  724091e - Fix missing include for allegro
  *  9ab4011 - Bug 1677 - Swap two tracks leads to crash on exit.
  *  b46abbe - Keep the current note centered when holding control to
    zoom
  *  776e4df - Mismatched return values will cause compiler errors in
    Xcode build
  *  bc281fa - Fix one of the patches to wxWidgets source for Mac...
  *  e7065d9 - Fix note track status message
  *  b7d6077 - Implement Shift+Right-click for full extent on the note
    track VRuler
  *  a5df25f - Bug 1672 - Residual
  *  51c5c73 - Bug 1672 - OS window close button crashes Audacity if
    Screenshot Tools are open. File > Close hides Screenshot tools and
    then any closure method crashes Audacity.
  *  0e21143 - Implement scrolling for the note track vertical ruler
  *  58bd034 - Move Shift+J and Shift+K shortcuts into the standard set.
  *  fb26ee9 - wxCOPY rather than wxINVERT for cursor.
  *  cbe554e - Ensure Nyquist Prompt initialises mName
  *  11f9a8b - "Hi Contrast" -> "High Contrast"

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 30 Jul 2017 08:43:17 +0300

audacity (1:2.1.3+git7087-7494afb-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/audacity/audacity.git
  * Branch: master
  * Commit: 7494afb7d5615341026fbb6c0dceb4a8bb879e16
  * Date: 1498953713
  * git changelog:
  *  7494afb - Changed two prefs labels partly per suggestion
  *  bda2e54 - Fix typo in menu name
  *  c457ce3 - Fix for bug 1673
  *  7c4aa4c - Colon before recording space value, per Wording
  *  c38b8c8 - Use same cursor colour on Mac/Linux as on Win.
  *  0878de1 - BLACK is the new WHITE (for split lines).
  *  46154d0 - Upgraders to 2.2.0 retain the full set of default
    shortcuts.
  *  aa8be0c - Make it easier to start a new selection at a split line.
  *  8f50940 - Restore turning-off highlighting label glyph when mouse
    leaves it...
  *  dc1193a - Split lines now only show over middle third of track
    height.
  *  f6d92ec - Revert "Update from expat 2.1.0 to version 2.2.1..."
  *  f3e31ec - Simplify SelectHandle ctor; make frequency snapping
    functions static
  *  2b146bf - Update from expat 2.1.0 to version 2.2.1...
  *  b800777 - Other new files from expat github, probably not needed
  *  941ad55 - Update expat sources
  *  138c188 - Message now says merge to match with Undo History
  *  2f3530e - Fix verbosity in status message.
  *  a9cbebc - Reduce number of shortcuts provided by default.
  *  17b705f - Status bar help for selecting from a split line
  *  27f706b - TrackPanelAx::SetFocus - minor fix
  *  69ab49c - Fix for Audacity crashing when running Jaws on Windows 10
    1703
  *  d8930f0 - Fix Windows build - simple fix
  *  4c2a69c - More uses of shared_ptr and weak_ptr to Tracks and
    TrackPanelCells
  *  e424f8e - TrackPanel::mpClickedTrack is a safe weak_ptr
  *  6684c7b - More careful use of weak pointers to tracks in UIHandles
  *  e2f0a16 - TrackButtonHandle keeps weak_ptr to the cell
  *  b0c6a67 - TrackPanelMouseEvent stores shared_ptr to cell; some
    handles too...
  *  708d84a - CommonTrackPanelCell::FindTrack returns shared_ptr
  *  b3208ab - Restore status message "Click and drag to select audio"
  *  1c0af82 - Changed hit test priorities; message, cursor for text box
    mouse-over
  *  bce3571 - Redo hit test priorities in TrackPanel...
  *  9e0010e - Time track editing requires click on the curve in multi
    tool...
  *  24ebf27 - Cursor change and status message for mouse over label
    text boxes
  *  828d9c3 - Simplify label track hit tests
  *  34da6e6 - Mouse-over highlighting of slider thumbs in toolbar &
    mixer board
  *  adf4c61 - New highlighed slider thumb images, distinct only in
    Classic theme
  *  7358c12 - Default spectrum FFT size now 1024 (was 256)
  *  6dc52c3 - Fix Windows build.
  *  f0f4f03 - Manage all TrackPanelCell objects by shared_ptr
  *  f8b74db - Iterators over TrackPanelCell give shared_ptr
  *  58fea6d - null check uses of CommonTrackPanelCell::FindTrack
  *  28b40e0 - Manage TrackPanelResizerCell by shared_ptr, no singleton
  *  35ce499 - Manage TrackControls and TrackVRulerControls by
    shared_ptr; ...
  *  c355b82 - Remove a comment
  *  2806b50 - Fix crashes in repainting, and update first visible track
    correctly
  *  30ec8a1 - Overdub off by default only in DA.
  *  bbab89b - Cut then paste has no net effect on envelope in some more
    cases...
  *  6373a50 - Select, cut, paste, undo:  selection should be a point as
    after cut
  *  869de7d - Overdub off by default.
  *  44a081c - Fix pasting of envelope from expanded cutline
  *  d6e09e1 - more build fixes
  *  8349888 - Permute the list of source files in XCode project
  *  f79a4c3 - Revert "XCode project won't forgive missing return
    values"
  *  d635535 - Fix another error in Mac build
  *  a5d718f - Fix error in Mac build uncovered by the previous
  *  a2192b3 - XCode project won't forgive missing return values
  *  52322da - Fix Windows build again
  *  d3c9a1d - JAWS fix?: Now do the delay of event handling...
  *  fb18f6a - JAWS fix?: Make things safe to delay TrackList event
    handling...
  *  4ac40d1 - Use weak_ptr in track selection state
  *  fa5a742 - weak_ptr not events to avoid dangling track pointers in
    UIHandles
  *  3219193 - Use weak_ptr to remember focused track, don't ask for
    trouble
  *  bd5d2bf - Accessor for shared pointer to track, given only a bare
    pointer
  *  1fce8b5 - Remove oudated comment
  *  30317ef - fix Windows build
  *  3f67011 - Rollback preview in Spectrogram settings or preferences
    if cancelled
  *  5b22984 - Do rollback of cancelled Preview for Spectrogram
    settings/prefs
  *  4820228 - Change virtual function interface of PrefsPanel
  *  aa924b5 - Rename Apply in spectrum settings & prefs dialogs,
    reposition it too
  *  6cea982 - Bug 383 - Residual: Don't reset toolbars on a resize
    either.
  *  750fc34 - Clarify what the TrackList events are for...
  *  c48bf4f - Fix old unreported minor bug with vertical rulers of
    Label tracks...
  *  a0a6d33 - Bug1655: Sequence inconsistency in cut or copy...
  *  21b429e - Update Mixer Board moving Note Track with TCP menu item,
    if MIDI_OUT
  *  e771d6d - Restore a NULL check in OnSplitNew, don't crash if non-
    wave selected
  *  4fab736 - Fix errors in post build step on Mac
  *  68dfdab - Store tracks in TrackList with shared_ptr ...
  *  d52d8de - Use 32x32 cursors on Mac.
  *  de70727 - Fix backgrounds to L and R on Mac.
  *  af79294 - Add borders round Mac Cursors, for better contrast.
  *  0049593 - Style MixerBoard Mute/Solo as on TCP.
  *  d37de4a - Bug1665: Pan, Gain, Velocity were unresponsive except on
    last track
  *  88cafa7 - Bug 383 - Screenshot Tools doesn't checkmark re-opened
    Toolbars bars in View Menu
  *  e37c337 - Don't duplicate stereo track in mixer board
  *  24dbf98 - Bug1667: fix right-click on vertical ruler, waveform
    views
  *  389e286 - Set font colour later.
  *  d721893 - Set colours in AColour on all platforms.
  *  86901a0 - Fix MixerBoard Theming
  *  a0eba9f - Set Nyquist default latency to 100 ms
  *  92335ce - Enable Nyquist audio device selection
  *  1c03eee - Bug 1218 - "Other uncompressed files": AIFF defaults to 8-
    bit export.
  *  911a57d - Bug 1660 - (Windows) Default track name appears as "Audio
    Trac ".
  *  aee04ab - Bug 1663 - Cut does not remove Quick-Play region.
  *  9b06f76 - Small TrackPanel fixes, including bug 1662, popup menu
    crashes
  *  293abce - comment
  *  4264406 - Correct the left edge of sizer between channels
  *  f9865f3 - Fix crashes in TCP popup menu items on Windows
  *  d7a9c15 - Smarter iterators for all track panel cells, not just
    track areas
  *  91c86fd - TrackPanelCellIterator visits all cells, and FindCell
    simply uses it
  *  ffbc4d5 - Simplify iterations over TrackPanelCells with range-for
  *  f94ac4d - comments
  *  fe06ab2 - Merge branch 'master' into HEAD
  *  a6c583e - fix #include path
  *  43d1c77 - Improve focus rectangle on Mac Transport toolbar buttons,
    all themes
  *  8875702 - Simplifications after the big refactor; improvements in
    cursor change
  *  a94eb75 - Further regularize the odd case of hit-test on the
    resizer region
  *  34026d1 - Still better cursor handling: change cursor at once...
  *  d9a91c1 - TrackPanel simplifications; improved cursor handling...
  *  114f5a4 - Simplify ToolsToolBar::SetCurrentTool
  *  41a5644 - Remove unnecessary "virtual"
  *  ef9e646 - Use override
  *  d6b430c - Remove unused function
  *  f858a7b - Correct boundaries of the background cell
  *  773dad3 - Merge branch 'master' into HEAD
  *  453be64 - Bigger + and - on zoom buttons in Light Theme.
  *  3edc331 - Slight change to backgrounds of Light theme Mac Transport
    buttons...
  *  b293ad0 - Fix 'black spot' issue on buttons.
  *  b24560a - Completion of FocusRect fix.
  *  d2187b4 - Make FocusRect visible on Dark Themes.
  *  e9f525d - Fix Windows build.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 02 Jul 2017 11:37:55 +0300

audacity (1:2.1.3+git6967-8629363-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/audacity/audacity.git
  * Branch: master
  * Commit: 8629363914c73e0279cae43db8aa818b90a315d7
  * Date: 1497578970
  * git changelog:
  *  8629363 - Fix keystroke handling in TrackPanel (such as Shift+M)
  *  a00b193 - Fix keystroke handling in TrackPanel (such as Shift+M)
  *  d7bdaf8 - Merge branch 'master' into HEAD
  *  333c0e3 - Fix for bug 1653 (Nyquist *Table* size limit)
  *  1abd2b9 - Fix WaveTrack menu (ID collision, item names, enabling)
  *  c1612d6 - Fix WaveTrack menu (ID collision, item names, enabling)
  *  6eac877 - The great object-oriented rewrite of TrackPanel event
    handling!  ...
  *  3885436 - Update src/Makefile.in...
  *  770b3b5 - TrackPanel no longer implements the selection tool or
    MIDI stretch...
  *  efdb988 - TrackPanel no longer implements label keystrokes, drags,
    text selection...
  *  bbfa574 - Move track resizing code out of TrackPanel.cpp, though it
    still...
  *  703abe8 - TrackPanel no longer implements track selection click or
    rearrange drag...
  *  46b9708 - Move note track control panel click handling out of
    TrackPanel.cpp
  *  e4627b1 - TrackPanel no longer implements other mouse wheel actions
  *  8ef5f69 - Define BackgoundCell, move some things into it
  *  674ccc5 - Clean up last bits of old popup menu code
  *  91e6239 - Move code for vertical ruler clicks, drags, popup menus,
    scroll wheel
  *  a313bcd - Move code for Wave track menu items
  *  ba5f6ce - Move code for Note track menu items
  *  01d5d30 - Move code for Label track menu items
  *  516d812 - Move code for Time track menu items
  *  0e5e7b1 - Move code for common track menu items
  *  bd0603b - Remove the duplicate button-drawing functions that are
    now unused
  *  1a317af - Move code for handling the menu button out of TrackPanel,
    but...
  *  c3f5fea - TrackPanel still draws Miminize and Close, but no longer
    handles...
  *  7cab380 - TrackPanel still draws Velocity, but no longer handles
    clicks on it...
  *  a569476 - TrackPanel still draws Gain and Pan, but no longer
    handles clicks on them...
  *  5ee73f9 - TrackPanel still draws Mute and Solo, but no longer
    handles clicks on them...
  *  c6e7e5d - Define a base class that will be useful for several track
    control sliders
  *  d28b8f0 - Define a base class that will be useful for several track
    control buttons
  *  f89cbef - Temporary hack lets us defer encapsulation of track
    control panel drawing...
  *  43968c4 - TrackPanel no longer implements clip joining or cutline
    expansion/deletion...
  *  2496b0d - TrackPanel no longer implements the envelope tool...
  *  ef38af7 - Move more time-shifting functions out of TrackPanel.cpp
  *  251976d - TrackPanel no longer implements the time shift tool...
  *  f1f254f - TrackPanel no longer implements the draw tool...
  *  85c03bb - TrackPanel no longer implements the zoom tool...
  *  cba51e1 - Define class PopupMenuTable to make it easy to attach and
    detach handlers...
  *  14d45ed - Define and use the UIHandle and TrackPanelCell protocols,
    but...
  *  07b53b4 - Bug1659: make selection change from pick on label box
    undo correctly
  *  3e38f76 - Adjust details of hit tests on tracks, labels, vrulers...
  *  fc2a371 - Compilable again without USE_MIDI
  *  7641d08 - Bigger + and - on zoom buttons in Hi-Contrast theme.
  *  3981a8c - Banish gray goo from the TCP
  *  f67cc7a - Fix broken Windows build.
  *  55dc096 - Lowered check for scrubbing into GetMessageForTool...
  *  23e3aeb - TCP layout tables include draw functions...
  *  5982dcc - Redo layout tables as std::vector
  *  063c6c2 - Table includes draw functions for status items
  *  ce77f17 - Table includes draw functions for Mute and Solo
  *  4df84f1 - Table includes draw functions for sliders
  *  329aa83 - Table includes draw function for Midi controls
  *  8676334 - Table includes draw function for Minimize and Sync-lock
    icon
  *  b4e38c2 - Table includes draw function for Close and Title
  *  ba014f0 - Add a slot for drawing functions to the TCP lines table
  *  e554f0c - TrackPanel::HasSoloButton is static and public
  *  98b24cd - Redo calculation of default track heights
  *  18b3bc0 - Separate functions defining the horizontal bounds of TCP
    items
  *  b15bf44 - Static TrackInfo slider accessors, const Track* arguments
  *  1d1dded - TrackInfo::SetTrackInfoFont is static
  *  a4e57fc - Calculate font size for title button as before
  *  1123ca2 - More tweaks to Nyquist debug output
  *  1620feb - Simplify macros
  *  b92866b - Nyquist debug handling tweaks
  *  3197a6a - Tweak TCP for Mac
  *  072a513 - New CHANGELOG.txt and (Linux) INSTALL files
  *  ebd3517 - Remove changelog and compilation from README
  *  f298bfc - Move track info below track controls
  *  bf3f041 - Make TrackInfo routines that calculate rectangles static
  *  e2d77b3 - Move one more selection function out of TrackPanel
  *  ca4afd5 - Abstract the track selection, shift-click anchor;
    simplify TrackPanel
  *  6b5c5a0 - More simplifications by use of SelectionStateChanger
  *  d834bcd - Move some command handlers for selection and focus out of
    TrackPanel
  *  a9f7cb2 - Move selection state into AudacityProject, out of
    TrackPanel
  *  4da881d - Define and use SelectionStateChanger
  *  a594207 - Define class SelectionState; move some TrackPanel
    functions into it
  *  986f158 - Update mixer board for selection state change if MIDI
    tracks too...
  *  a3037b5 - Move drawing of snap guidelines out of TrackPanel.cpp
  *  198dbc4 - Support screenshots of toolbar variants.
  *  06e51ba - Remove recursion in DrawMuteSolo...
  *  48ee622 - i18n-hint comments were wrongly swapped!
  *  991819b - Remove #includes
  *  500907f - Remove text explaining the 'Help Button'.
  *  9363432 - Remove an #include
  *  1fb2deb - Fix colours that were messed up by blending.
  *  4db2fc3 - Fix small buttons too-intense problem.
  *  d8a71c4 - Tweak TCP minimize button Position
  *  cea3ed5 - Tweaks to Light theme
  *  7341bff - Disallow AutoSelect on dangerous commands.
  *  64a2886 - Make light theme default.
  *  adc7312 - Auto-Select off by default.
  *  0d899b0 - compiler warning fixed
  *  c11fd1d - Fix positioning of solo button.
  *  cecb704 - Stop splash screen position jumping (on single monitor)
  *  3d54d91 - some i18n-hint comments
  *  010217d - some i18n-hint comments
  *  65c7bef - Move mAdjustSelectionEdges from TrackPanel to ViewInfo
  *  c300c33 - Remove a few unused members from class TrackPanel, and an
    unused #include
  *  333c9aa - Fix the test for removability of envelope points...
  *  a33ec61 - Move code for toggling spectral selection (Q key) out of
    TrackPanel
  *  a4f0a8c - Remove some unused members
  *  3255ab6 - Remove some unused members
  *  cb039c2 - Wiki wording changes
  *  3cfe3ee - Fix effects screenshot filenames.
  *  05f1a03 - Do not HandleInterruptedDrag for ESC key, it would be
    redundant
  *  01450e8 - Fix pasting into envelope with only one point...
  *  8f66c36 - Screen capture preference panels too.
  *  7bf7815 - Move HideTopItem into class TrackInfo, for later use
  *  1e7c51f - Fix crash in Windows debug runtime
  *  1ce97b9 - Shorter Grayscale Spectrum preferences text.
  *  2323e8d - Shorter preferences
  *  acce480 - Mac: shift WaveTrack status text down one more; others:
    don't shift
  *  2fe5731 - More fixes for track controls layouts
  *  84b5fd6 - Compute default WaveTrack height analogously to
    NoteTrack...
  *  f0c149b - Default MIDI track height is enough to display velocity
    slider...
  *  0204cd8 - Make gain slider again visible in default sized WaveTrack
  *  8d517bd - EXPERIMENTAL_MIDI_OUT off -- then no invisible channel
    buttons...
  *  191eeaf - Rewrite drawing routines equivalently without
    kTrackInfoWidth...
  *  64a0d78 - Rewrite the unused DrawBordersWithin...
  *  ad4d6d1 - Fix unintended one-pixel change in width of title button
  *  6b44839 - Fix more unclarities in the drawing code; no changed
    appearances
  *  ceaa050 - Change some names in TrackArtist to match terminology in
    TrackPanel
  *  24858dc - Exclude left, top, bottom margins from rectangles
    describing TCP
  *  3567f99 - Exclude bottom margin from vruler rectangle reported from
    FindCell...
  *  02ee10d - Fix a confusion in argument names.  No change in behavior
  *  75bf6f9 - Explanatory comments in TrackPanel drawing; fewer magic
    numbers
  *  63c89e1 - Simplify logic of track control panel click to
    rearrange...
  *  ca62891 - Reconcile DA & MIDI; TCP layout fixes; no invisible
    active controls
  *  62cccba - Shift TCP status text down two pixels, leaving other
    controls unmoved
  *  5201794 - Remove argument of DrawOutside that is no longer used...
  *  31fcfe7 - Don't overlap WaveTrack status and title bar by one
    pixel...
  *  4244d55 - Fix NoteTrack stray lines; no magic numbers in
    DrawBordersWithin...
  *  895102b - Hidden buttons and sliders in narrow tracks are never
    clickable
  *  5520aba - Placement of minimize button and sync-lock icon are also
    table driven
  *  672f47d - Don't overlap MIDI channel buttons with menu button &
    slider...
  *  b8492d0 - CalcItemY is table-driven; stack Mute & Solo for
    NoteTrack too in DA
  *  08fe538 - Access keys for Ext-menus
  *  4b4bece - Slight change to screen reader rectangles about tracks on
    Windows
  *  71b6384 - some const
  *  9816cc8 - Reinstate FileNames::PlugInDir() for Linux
  *  ee9649e - Simplify and extend automatic screenshotting
  *  c38efc1 - FindTrackRect omits all margins; better screen reader
    focus rects...
  *  134c1ff - Gather duplicated rectangle calculations in one place...
  *  7f07926 - Rectangle reported for vertical ruler cell omits top
    inset and border
  *  afd3b0b - Remove some uses of Track::GetHeight()...
  *  5395f25 - Reviewed use of Track::GetY; don't use in NoteTrack; fix
    off-by-1's
  *  acd55e9 - Capture screenshots of effects.
  *  7e691dd - Fix crash bug (regression) in Automation
  *  beab669 - Update mixer board for name change of MIDI track...

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 16 Jun 2017 11:15:48 +0300

audacity (1:2.1.3+git6818-721faf8-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/audacity/audacity.git
  * Branch: master
  * Commit: 721faf89c63f3623a17d69c3c16eedd98a9daeec
  * Date: 1496342405
  * git changelog:
  *  721faf8 - Avoid possible dangling pointer problems with
    EVT_TRACKLIST_UPDATED
  *  f807f7f - Removed a disabled piece of track list selection...
  *  8da2287 - Delete this start of time shift on double-click (it never
    completed)
  *  f418de2 - Rearrange Selection Toolbar fields, and fix spacings.
  *  c43a640 - Lose hyphen on selection toolbar
  *  c48310c - Fix 'Disallowed' message when using up-arrow.
  *  1c6c608 - Use same format for choice in Selection Toolbar as in
    SpectralSelection Toolbar
  *  29df7e1 - Speccache performance improvments
  *  b6a1ca9 - Fix for bug 376
  *  73d2478 - Rename Nyquist plug-in debug button header
  *  2ef243f - Revert the change in display of WaveTrack envelope at
    high zoom
  *  7122877 - Fix crash from bad SelectionToolbarMode
  *  545dbaf - Bug 68 - Vertical scale only has zeros when displaying
    Waveform (dB) view at -48 dB
  *  c7a911c - More shortcut tweaks.
  *  ab1c62c - Conclude Envelope rewrite for better handling of
    discontinuities
  *  4c80a07 - Bug835(cut-then-paste should be no-op): Rewrite
    Envelope::Paste...
  *  58e7a94 - Envelope::Paste takes a time tolerance argument
  *  02fe963 - Define consistency check for Envelope, to be used in
    Paste
  *  bd4d2dc - Rewrite Envelope::InsertSpace
  *  0126918 - Simplify InsertOrReplaceRelative, always trim when to
    domain...
  *  6dd826a - Merge branch 'master' into HEAD
  *  a09fcee - Tweak shortcut list
  *  ed9744e - Fewer shortcuts in default shortcut list.
  *  534cf87 - FIx so NVDA reads 'Categories' rather than 'trreCtrl'.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 02 Jun 2017 14:15:15 +0300

audacity (1:2.1.3+git6794-515ec64-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/audacity/audacity.git
  * Branch: master
  * Commit: 515ec64a36109865295e2fec9d0375198a8e1705
  * Date: 1495947112
  * git changelog:
  *  515ec64 - More fixes for envelope, specifically Time Track cut and
    paste
  *  5ff09c2 - Cut from flat TimeTrack does not leave unnecessary
    points...
  *  5886bd8 - Don't push time track points right of paste point off to
    infinity
  *  2985d24 - Fix envelope editor
  *  9ee11e9 - Merge branch 'master' into HEAD
  *  216ead2 - Provide two choices for defaults in KeyPreferences
  *  389335d - Clickable Start - Length and stable position of '<' and
    '>'
  *  ca01b55 - Add clickable < and >  alternative to RadioButtons for
    start/length
  *  a4cc9a9 - Improve rendering and drawing of envelope with
    discontinuity
  *  e428425 - Change the drawing of wave track envelope at high zoom...
  *  537ccfb - Change evaluation of envelope near discontinuities...
  *  9c7e236 - Prefer "sampleDur" to "sampleTime" for some variable
    names
  *  c8f65d8 - Merge branch 'master' into HEAD
  *  eea55f7 - Make Nyquist debug window resizable
  *  597ddbf - Further speed up to showing preferences.
  *  181c137 - More envelope fixes, avoiding some unnecessary insertions
    of points
  *  bcc0bed - Envelope::SetTrackLen adds a point only when none was
    present...
  *  6c2c273 - More Envelope::GetValueRelative; add point for join only
    as needed
  *  250a2ea - Merge branch 'master' into HEAD
  *  a8ac80e - Bug1651: NoteTrack sync-lock and crash fixes...
  *  b3a70b5 - Add hyphen between fields and tooltips.
  *  8afeed5 - Faster opening of preferences.
  *  01356f9 - Add i18n hints for selection toolbar
  *  59a9539 - Fix Radio Buttons on SelectionToolbar for Dark Theme
  *  3761ae3 - Replace dummy checkbox by vertical line.
  *  552a69d - Add radio buttons for Start-End, Start-Length e.t.c.
  *  d210b18 - Limit consolidation of undo items by other means
  *  0303d28 - Fix for bug 1650
  *  4b2b0d9 - Fix Windows warning: inconsistent DLL linkage between
    base & derived
  *  f0040b0 - Bug 1210, alternative fix for unfriendly message
  *  cd6c983 - Clip move commands - minor fix.
  *  f46ac26 - Update commands for moving clips using the keyboard
  *  646c285 - Bug1646: Fix many defects in the Note Track stretching
    tool
  *  646c66f - Sync lock adjustment for NoteTrack stretch...
  *  54636c6 - Allow NoteTrack to stretch left of zero
  *  82ce041 - Preview cursor for Stretch can take left, right, or
    center form
  *  90eb4ec - Make MIDI track stretch path-independent
  *  9fb7185 - Rewrite undo handling for Stretch to be more like other
    drags...
  *  2eb6285 - Group some TrackPanel fields into a structure
  *  655fc9d - Smarter VoiceOver text for Selection controls.
  *  7a6dda1 - Add title-clicking to SelectionToolbar
  *  2fcf715 - Update Help link for Spectrogram Settings
  *  6a9e0ff - Fix Travis Build
  *  7d31691 - Allow selected controls on SelectionToolbar
  *  62f75eb - (Hi-DPI) No longer upscale ImageCache
  *  5a26afd - Update Help links: SilenceMarker.ny SoundFinder.ny
  *  9c6bfd7 - Disable Debug button for some Nyquist effects
  *  04ba10a - Add help button support for other Nyquist effects
  *  99e5516 - Save built-in browser size
  *  e99b54e5 - Add help button for Classic Filter
  *  4a08ea6 - Make HTML dialog resizable (on windows).
  *  d549dcc - Bug 1649 - Freeze with Truncate Silence
  *  b96f169 - Fix link to Spectrogram Settings Help
  *  d6a9011 - "Error opening sound device" as Error dialog
  *  bba5a8f - Add help button for Nyquist Prompt
  *  e7a9c37 - Add help buttons for normal built-in effects
  *  fd3d41e - Add help pages for shipped Nyquist effects
  *  1dd6b84 - Enable Help button for Nyquist effects
  *  469120c - Enable help button for effects
  *  429fad6 - Send Spectrum Settings help to its own page in the manual
  *  c0b30e8 - Update HiContrast Theme
  *  f9827a5 - Minor fix for commands for shifting clips using the
    keyboard.
  *  4e187d0 - Bug 1648 - Crash clicking Help icon in Spectrograms
    Settings
  *  01f853f - Fix Windows build
  *  a6310d7 - Fix Travis build
  *  63ae687 - Consolidation of Undo items not limited to three
  *  dc64fab - Make new clip move commands compatible with TrackPanel
    refactor...
  *  f757819 - TrackPanel::OnClipMove is a static function
  *  227850f - Group some member variables into ClipMoveState
  *  282abfc - Abstract TrackPanel::GetSnapLeft() and ::GetSnapRight()
  *  d36ac2c - Revert "Fix for keyboard commands for time shifting
    clips"
  *  7900aa5 - Update for commands which interact with clips using the
    keyboard.
  *  6d75d94 - Make Stem plots the default (when zoomed in)
  *  ff2838e - Clip boundary command: minor change to Cursor to next
    clip boundary
  *  9da999d - Use OffsetTimeByPixels correctly...
  *  eaec68a - Bug 1642 - (Windows) Adding a shortcut or toggling Extra
    Menus causes ENTER on dropdown to open new project
  *  97cdd31 - Bug 1541 -  Residual: Wrong commands shown in tooltip
  *  52caef9 - Add tooltip for iconic help button.
  *  bc55087 - Bug 1492 - Using Scrub Ruler to start Scrub or then
    change to Seek removes the selection
  *  b911607 - Fix for keyboard commands for time shifting clips
  *  0caad3e - Bug 502 - Labels may disappear if partly before time zero
  *  8b14ac0 - Bug 718 - On dual monitors the splash screen is
    positioned incorrectly
  *  349b66b - Bug 1584 - Pinned / Unpinned tool tip inconsistency
  *  a0ea5d6 - Bug 1469 - Shift key does not modify Play/Record buttons
    when Karaoke view has focus
  *  4be26f5 - Bug 1552 - Record button greyed out while playback paused
  *  83d3864 - Bug 1583 - "Pinned" play head preference requires restart
  *  a532d99 - Add Midi Prefs and Libraries Prefs help pages
  *  e16f6f9 - Add small help button to Prefs pages
  *  b196c7d - Bug 1541 - Skip to Start/End buttons don't show that they
    respect SHIFT usage
  *  a9c4178 - Bug 509 - Soloing/unsoloing in Mixer Board does not
    repaint waveform colour until window or Track Panel refresh
  *  18cec36 - Bug 1607 - 2nd Screen issue with MixerBoard and Karaoke
    Window
  *  c8b2cc9 - Bug 641 - ASSERT when adding recording not at start of
    track.
  *  2f10c1c - Bug 1532 - Toolbars fail to arrange correctly when
    maximizing or restoring main window size
  *  6478895 - Bug 1565 - Windows: Toolbars don't show tooltips when
    button is disabled
  *  cc38ba3 - Bug 1607 - Some dialogs appear on primary monitor when
    Audacity is running on secondary monitor
  *  4c3455c - Bug 1523 - OK in Preferences changes language from
    "System" to the specific system locale

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 28 May 2017 17:50:46 +0300

audacity (1:2.1.3+git6698-07ce602-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/audacity/audacity.git
  * Branch: master
  * Commit: 07ce60218c31dd32757a525c86a681ef0aa0f54f
  * Date: 1494701437
  * git changelog:
  *  07ce602 - Reinstate 48x48 Logo (for Linux/Mac use)
  *  978f09b - Lose unused images from theme.
  *  0ac2d90 - SelectAllIfNone now selects all time if none, and all
    tracks if none.
  *  c42a111 - Add accelerator keys for Ext-&Bar and Ext-Co&mmand
  *  e66028d - Eliminate "Average RMS" redundancy in messages from
    Contrast...
  *  35fe313 - Smarter SelectAllIfNone
  *  ddb8db8 - Modify the screen reader messages of some of the keyboard
    clip commands
  *  495755b - Fix for keyboard clip commands
  *  6c0e8c7 - Change default setting of "move selection with tracks" to
    be "off"
  *  b2d8f36 - Fix for bugs in keyboard clip commands due to rounding
    errors
  *  85e984d - More envelope fixes, including some for 1643, 1644
  *  327e5d8 - Correct envelope update for Join that includes a gap
    between clips
  *  a9160cf - Envelope::InsertSpace preserves limiting values of the
    split point
  *  8c4dc38 - WaveTrack::SplitAt no longer needs to insert envelope
    points...
  *  aba52bc - Update envelope properly for TimeTrack and WaveTrack
    editing...
  *  2d84c65 - When Envelope domain is shortened, evaluation inside
    won't change...
  *  945e411 - Partial range copy of Envelope will not leave coincident
    points
  *  f5a7e4c - Define private Envelope evaluator functions taking
    relative time...
  *  01b99f2 - Remove pointer back to Envelope from EnvPoint
  *  2e7f806 - Fix EqualRange for case of zero tolerance
  *  a26b79d - Merge branch 'master' into HEAD
  *  ebd1de4 - Interim fixes for envelopes
  *  f859bf6 - Remember Start/Center setting on SelectionToolbar
  *  52509d4 - Add option of Start/Center to SelectionBar
  *  94c4377 - Bug 1641 - Don't use the 'space trick' on Linux/Mac
    menus.
  *  5b36f5d - Fix missing access keys
  *  5dfb471 - Interim fixes for Envelopes
  *  09607c2 - Fix position of wxASSERTs
  *  927c500 - Bug 1626 - Preview of non-RTP effects fails if all the
    track is selected
  *  b6d43e4 - Various fixes involving Envelope.  More to come later.
  *  d2acf1f - Bug842: rescale clip offsets, envelope times when setting
    track rate
  *  e36070e - Small fix to envelope operations in Equalization user
    interface
  *  7ad910c - Simplify envelope binary search and uses of it
  *  30e67bc - some reindentation
  *  26c4d65 - Public Envelope methods all take & return ABSOLUTE time
    values...
  *  9c683a4 - Rename some member functions of Envelope
  *  4be1912 - Better constructors for Envelope
  *  3ba1ebc - Remove unused members of Envelope
  *  f0bdfc1 - Move record-new-track option
  *  6a33e83 - Bug 1641 - Follow up.  NUMPAD_ENTER, Backspace, Delete
  *  6e65596 - Bug 1641 - Panel navigation accelerators don't appear in
    the menus

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 14 May 2017 12:11:55 +0300

audacity (1:2.1.3+git6657-6491aed-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/audacity/audacity.git
  * Branch: master
  * Commit: 6491aed13cb9fb7e94ed8a0a79a441194905e873
  * Date: 1493932731
  * git changelog:
  *  6491aed - Fix build failure from absent gettext
  *  c0f835b - Add border around theme Images.  Do fixups.
  *  ef62bd7 - Bug 1637 - Keyboard interaction with many controls in
    toolbars broken
  *  e7f95e2 - A small step towards HiDPI
  *  a2ba221 - Bug 1640 - Reset Toolbars reduces Selection Toolbar to a
    stub
  *  78135d2 - Use blue for negative Numbers
  *  a53e301 - Tooltips for unmodified Play and Record.
  *  d4726c2 - Revert "Enable EXPERIMENTAL_MIDI_OUT for all
    platforms..."
  *  f51e4d8 - Some MIDI editing and display enhancements, not dependent
    on playback
  *  77db2e7 - Transpose notes even when channel isn't visible
  *  3de3e7c - Add call to MakeParentModifyState for note track controls
  *  1daf22c - Fix Fit to Height not resizing note tracks
  *  298bb3f - NoteTrack: Implement Silence and InsertSilence
  *  e707f6a - Use static_cast instead of c-style casts for the velocity
    sliders
  *  8db7e65 - Get rid of SetStyle for sliders
  *  a76ad22 - Fix midi channel toggling
  *  c07caad - Enable EXPERIMENTAL_MIDI_OUT for all platforms...
  *  7c9c74d - Remove logging left in by mistake.
  *  b9b5e0c - Fix mac build
  *  43ff84b - Preserve toolbar size when theming.
  *  cd69bf0 - Add shortcut hint to shift-record tooltip.
  *  57b2008 - Bug 1639 - Left and Right arrow keys don't work in docked
    toolbars, if bound to some action.
  *  ae24cab - Remove 'TODO's for completed documentation
  *  9d501f6 - Add preference for Record being to new track.
  *  623d0f2 - Bug 1639 - Revert fix.
  *  8bfe4cc - Fix more cases of Wave and Note track editing wrongly
    throwing
  *  baf46c1 - Update to Select Previous/Next clip commands
  *  ce1d067 - Update to Clip Boundary commands
  *  0b942d0 - Move scrub ruler line down 1px
  *  5e28e3f - Line to mark off scrub ruler.
  *  5088881 - Bug 1639 - Left and Right arrow keys no longer work in
    docked toolbars
  *  5dd6a35 - Use #ifdef not #if in two places
  *  05badc2 - simplify some conditional compilation
  *  b2b9708 - Fix possible assertion violations for cut, paste, trim
  *  615a505 - Include Experimental.h
  *  a3b9dbd - Remove unused variable
  *  74ac96e - Only move Nyquist prompt to nyquist IF EXPERIMENTAL_DA
  *  6102c77 - Bug 1630 - Accessibility of the length/end radio buttons
  *  47c6ac3 - Theme the spectrogram.
  *  ff3ed65 - Draw TimeTrack Background in unselected colour.
  *  c918376 - Repaint resizer section of toolbar, if required, after an
    UpdatePrefs.
  *  51517fa - Fix Mac build
  *  66cc6ba - Add Track Behaviors preference files
  *  5165700 - Add preference option for Stem Plot
  *  53a6475 - Stem Plot option when displaying samples
  *  7f98672 - MIDI_OUT on by default on windows.
  *  60a53d5 - Ensure colours of rulers and TimeTrack background update
    after a theme change.
  *  7661d17 - Send size event after repopulating MeterToolbar buttons.
  *  7e2a7aa - Correct default colour for rulers.
  *  d9e25bf - Add themed background for time track
  *  1114d5f - Add theming for NoteTrack
  *  354b173 - Add back units have coloured backgrounds.
  *  2a043c0 - Add settable ruler colouring.
  *  f0db511 - Add rotated pip
  *  603b5a8 - Update the 4 Themes.
  *  e08ceaf - Add background to numbers on meter, IF meter bar and
    number colour is too similar.
  *  6bcbe41 - Make SelectionBar end/length radio buttons behave
    normally
  *  2cc39d7 - Option so (theme) developers can work with Mac buttons on
    PC (and vice versa)
  *  de798b1 - Fix: Swap Stereo sets pan to far right.
  *  93b5456 - Rotate pip on vertical slider.
  *  621f01a - Draw diagonal grabber and background in themed colours.
  *  03af773 - Button and hover effect for microphone/speaker on meter
    bar.
  *  d0bafeb - Fix posterisation.  Add blend themes option.
  *  94d8c2c - fix the previous
  *  967e1fc - More exception safety for selection states of tracks
  *  972f747 - Fix progress bar in Normalize
  *  8184ae5 - Update HiContrast Theme
  *  dfe423f - Rearrange toolbar order in menus.
  *  3aff330 - Fix compilation of EXPERIMENTAL_OUTPUT_DISPLAY; fix a
    warning in it
  *  218f2eb - Fix two more 'select' commands which expected to be
    activated by a keyboard event.
  *  a68f7fc - Fix activation of certain 'select' commands via menu.
  *  e7007c1 - Remove unwanted period
  *  083d123 - Don't update checkmarks of occult menu items.
  *  6d36168 - Add Show/Hide Extra menus preference.
  *  031f841 - Organise the occult commands in the Preferences Key View.
  *  5924530 - Removed zoom presets
  *  db3ec50 - Fix missing or conflicted access keys
  *  649e52d - Improved logging of command list.
  *  e9df6cb - Move Nyquist Prompt into plug-ins
  *  6f38298 - Show default checked checkboxes (only) in menu listing.
  *  24c2c6e - Bug 1633 - Spectral Selection Toolbar incorrect above 100
    kHz
  *  80928bf - Increase upper limit for KHz format in spectral selection
    toolbar.
  *  795cbe0 - Improve menu listing from screenshot tool
  *  7192470 - Fix build broken by debug casting.
  *  c1c6a91 - Move pixel-to zoom items under zoom.
  *  96534c0 - Tweak menu screenshot code (show check/submenu options)
  *  c4484a4 - Rename Size as 'Reclaimable Space" for now
  *  22d4482 - Fix: Metadata editor menu item should be available
    always.
  *  a868d0c - Add Hi-Contrast Theme
  *  0681668 - Recolour light theme if system theme  clashes.
  *  82a7778 - Merge pull request #193 from walisser/clang
  *  6e44005 - Cleaner code to pop non toggle buttons up.
  *  ffdba2e - Add missing access key for new menu item
  *  8fdc60f - Time Configure and Make (in Travis)
  *  54b26f1 - Make light theme lighter/bluer/crisper.
  *  bcb723f - Improve DarkTheme buttons on mac.
  *  b3d6186 - Bug 1629 - Edit Toolbar buttons work once only.
  *  03f6efb - Speed up Travis build by using more cores.
  *  05662ac - Wiki Wording issue: capitalise 'Speed'

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 05 May 2017 09:38:11 +0300

audacity (1:2.1.3+git6553-c44e5a2-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/audacity/audacity.git
  * Branch: master
  * Commit: c44e5a281a9532cd4a712a7d48bb9acbb3b20dd4
  * Date: 1491665163
  * git changelog:
  *  c44e5a2 - Add missing include.
  *  53e6d95 - Tweak Theme Colours.  Smaller L & R on Linux.
  *  f508439 - Recolour Classic theme to wxSYS_COLOUR_3DFACE
  *  221b027 - Bug 1628 - Tracks > Align items two submenus deep
  *  5f9e8ef - Update Chinese Translation by dingpengyu
  *  8f7d0a9 - Update Catalan Translation by Robert Antoni
  *  ae95bc6 - Remove Sync-Lock Button
  *  5d75b79 - Change 'Set' to 'Zoom'
  *  431308d - Make Light Theme more like Classic.
  *  caca4d2 - Zoom presets: wording change
  *  3651d0a - Update logo used in program.
  *  8ad2e59 - Tweak Theming.  Reticules, Down buttons; Selected
    buttons.
  *  ce37650 - Theme to be a drop-down
  *  b8fcbd1 - Faster CI builds (Travis)
  *  5416c21 - Bug 1625 - Mute/Unmute All Tracks in "None" Solo Button
    Mode
  *  fc2628d - Removed ZoomInfo::GetZoom() which I added in my previous
    commit
  *  1fa97a4 - Added zoom presets
  *  c1592d2 - Move more on/off options lower in menus.
  *  715da2b - On/Off options to end of menus, where possible.
  *  f5e67f5 - Use logo background to fill splash and about box.
  *  fae1089 - Fix positioning of Mute/Solo button when clicked on.
  *  1c1191e - Fix dark Mute/Solo buttons on Light theme.
  *  fefc856 - Update slider in tracks on theme change.
  *  419b790 - Make monitoring work after a theme change
  *  c8f58c9 - Bug 1624: mute/unmute all commands do not adjust solo
    buttons
  *  fa62d80 - Add numbers on ruler back (if not DA)
  *  b3ae505 - Use RecordBeside for identifier for Record in 2.2.0
  *  c17a7f5 - Improve repainting after a theme change.
  *  017990f - Added prefix std:: to my uses of find_if in recent
    commits
  *  d417acd - Complete the exception handling project, enable the
    throws
  *  5543924 - All the catches are in place for BlockFile and other
    errors, now throw.
  *  b62bddf - Merge branch 'master' into HEAD
  *  da28a45 - User visible message when there are errors importing
    labels
  *  52f0f75 - Add Tracks->Pan->Left/Right/Center
  *  c9b03b5 - Merge branch 'darkmerge'
  *  ebff4db - Reinstate SplitStereoToMono for non DA builds.
  *  d091163 - Select SubMenu made into a full top level menu.
  *  a7a4a70 - Two commands added, neither on a menu: Clip Left Clip
    Right
  *  c382139 - New commands for selecting clips using the keyboard
  *  a519e6f - New commands for clip boundaries using the keyboard
  *  8c8f380 - Make default theme depend on EXPERIMENTAL_DA #define.
  *  0e3f4ce - Fix for windows build
  *  ae48ac2 - Strong guarantee, void return from all mutating methods
    of Sequence
  *  fc0f093 - Sequence::Append* give strong guarantee
  *  63cf80d - Sequence::Delete gives strong guarantee
  *  06f6953 - Sequence::SetSamples, ::SetSilence give strong guarantee
  *  73e6159 - Sequence::ConvertToSampleFormat gives strong guarantee
  *  3c65731 - Sequence::InsertSilence gives strong guarantee
  *  160d846 - Sequence::Paste gives strong guarantee
  *  2ba6065 - Sequence consistency check throws; new unused commit
    functions use it
  *  6b0c5c0 - WaveClip::Flush returns void, throws on error
  *  ec3a4f5 - Merge branch 'master' into HEAD
  *  5e42fe8 - Merge branch 'master' into darkaudacity
  *  028ed19 - Sync with DarkAudacity
  *  0fc04fd - Complete DA/Classic conditionals
  *  48821a0 - Merge branch 'master' into darkaudacity
  *  ff40b95 - Make without-DA be more like Classic.
  *  e633dc0 - Document guarantees of now void-returning WaveTrack,
    WaveClip methods
  *  5963f27 - void returns from many WaveClip methods, comment safety
    guarantees
  *  aa83c4c - Implement the more than weak guarantees needed for
    recording...
  *  e3d4a8d - Comment the strength of guarantees of some WaveTrack
    methods
  *  3db132f - Fix WaveTrack::SplitAt
  *  9cdbd18 - Merge branch 'master' into HEAD
  *  46fc789 - Apply theme preference at start
  *  35a4f1a - Move Sync-Lock renaming to internationalisation.
  *  9ec2bdb - Comments on the DA conditionals.
  *  bd364ea - Merge branch 'master' into darkaudacity
  *  1525f14 - Update Greek Translation by Dimitris Spingos
  *  08e57f3 - MIDI play changes for TrackPanel, MixerBoard;
    conditionally compiled
  *  1c93198 - Re-implement note tracks in MixerBoard
  *  59d740a - Use a dedicated velocity slider for note tracks
  *  1f0e01b - Merge branch 'master' into HEAD
  *  7195f9a - fix windows build
  *  2c84657 - Exception handling: most "TO DO: Actually handle this"
    comments gone
  *  0d72505 - Other methods of WaveTrack return void, will throw on
    failure instead
  *  e1473df - void return, not boolean success, from some Track virtual
    functions...
  *  71dd75a - More exception handling; incidentally implement TimeTrack
    copy/paste
  *  a23d6e2 - More exception handling; incidentally implement TimeTrack
    copy/paste
  *  6b84dc1 - Factory methods will return non-NULL or throw
  *  f1b354b - More pure virtuals in Track, supply Note and Time
    overrides
  *  ad34145 - Clarify paste logic, throw to rollback on error, keep
    TimeTrack unique...
  *  608dcc9 - Reimplement prohibitions on moving clips by throwing
    exceptions...
  *  8e2e4a5 - Define SimpleMessageBoxException
  *  d1cbac4 - more finally, more const, remove unused, fix warnings
  *  699b9d0 - Merge branch 'master' into head
  *  a1b88fe - Fix assertion in MIDI prefs when there are no devices
  *  8928bd4 - Correct MixerTrackCluster::GetRight()
  *  a936aed - Another use of type AudioTrack
  *  a9879bd - Refactor clipfix.ny to fix multiple problems
  *  23dc35a - Bug1614: fix crash duplicating a clip
  *  7bda40f - Common functions read and write mute and solo in Wave and
    Note
  *  1a86819 - Fixes for clang build with 64 bit unsigned long
  *  82f909f - Again, fix compilation without USE_MIDI
  *  64a6fa6 - pacovila PR 183 verb to noun
  *  930e834 - Mark Young PR 192 (modified)
  *  8c796e2 - Some preliminaries for playable MIDI tracks
  *  d109142 - Make mute and solo of NoteTrack persistent, if
    EXPERIMENTAL_MIDI_OUT
  *  6c4cf46 - Move mute and solo state into PlayableTrack
  *  ed00884 - Remove MixerTrackClusters right to left, remove assertion
  *  b2ab9b5 - Simplify MixerBoard.cpp using the PlayableTrack type
  *  f1bec85 - use AudioTrack
  *  c391a8f - Define AudioTrack and PlayableTrack as common bases for
    Wave and Note
  *  80984c9 - From Pokechu22: Rename gain to velocity on note tracks
  *  c20a352 - Update Chinese Translation by zhangmin
  *  9dadc5a - Revert "Needed to compile Pokechu22's fix-midi-output on
    Mac"
  *  5badb91 - Needed to compile Pokechu22's fix-midi-output on Mac
  *  2d912f3 - Replace assert calls with wxASSERT
  *  0ce9598 - Fix midi-related compile problems in AudioIO and
    NoteTrack
  *  bdb0790 - Fix compiling when USE_MIDI not is defined
  *  e2a7282 - Fix wording issues reported on Wiki

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 08 Apr 2017 21:14:00 +0300

audacity (1:2.1.3+git6327-78149bc-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/audacity/audacity.git
  * Branch: master
  * Commit: 78149bc3da4a7d18c0487baf7002b23759a814c3
  * Date: 1490294880
  * git changelog:
  *  78149bc - Disable command-list capture code, by default.
  *  3ffcc29 - Add code to capture command List
  *  a07bf9c - Rearrange 'Skip to' menu
  *  f4ac5c2 - Update Ukranian Translation by Yuri Chonoivan
  *  7a2b199 - Fix Italian Translation Typos by Lorenzo Pini
  *  260044b - Ffix wx assert in debug build
  *  def0d2b - Fix Linux build
  *  f62062a - Update Catalan Translation by Robert Gelonch
  *  ebfca79 - Update Russian Translation by Alexander Gvaramiya
  *  1dce830 - Record on same track is now the default.
  *  5f6a013 - Fix windows build
  *  5aefa78 - More of the exception safety project...
  *  1b00c87 - Where reading a WaveTrack, specify whether to allow
    exceptions...
  *  38b8e57 - Specify whether to throw on bad read in Mixer and
    WaveTrackCache...
  *  987b038 - Exception safety in overrides of WriteSummary
  *  39b8d99 - WaveTrack::Get, WaveClip::GetSamples take a mayThrow=true
    argument...
  *  834a141 - More of the exception safety project, no new throws yet
  *  98d1468 - BlockFile::ReadData overrides: on failure, pad with 0s or
    throw...
  *  70d9e4b - GetMinMax, GetRMS functions take a mayThrow argument,
    return numbers
  *  dcac878 - Safeties where block file read/write exceptions need to
    propagate...
  *  1552ff1 - When opening a file into a new project, delete the
    project on failure
  *  2626f6c - Exception safety in: subclasses of ImportFileHandle
  *  ed6f2ea - Exception safety in: locking of BlockFile for read
  *  f5fe928 - Strong safety guarantee for removing file dependencies
  *  7159966 - Comment that cache-filling should be no-fail (we don't
    use it anyway)
  *  54c1b0c - Exception safety in: opening and saving of projects
  *  4d4cd91 - Hoist, and delay, the saving of import tag while opening
    the file...
  *  22a12c6 - Exception safety in: some effects and generators...
  *  1fad629 - Exception safety in: overrides of ShowInterface
  *  79c3bef - Exception safety in: general effect performing functions
  *  2cbdd1c - Exception safety in: ControlToolBar & Ruler functions...
  *  0bb6a3d - Exception safety in: importing functions...
  *  0c8bedc - Exception safety in: subclasses of ExportPlugin; and more
    error checking
  *  4845940 - Exception safety in: general exporting routines
  *  464828d - Exception safety in: batch processing
  *  abbe927 - Exception safety in: CommandManager
  *  40aa70a - Exception safety for Edit toolbar button presses
  *  664974d - Exception safety in: ondemand
  *  195732f - Exception safety in: BatchCommands
  *  1a90b7d - TimerRecordDialog:  comment why nothing need be done for
    exceptions
  *  63e44e2 - Rearrange a few things in time shift button up...
  *  68c7269 - If exception in cut/copy, leave clipboard clear (no
    partial results)
  *  41f1ebf - Commit resampling of tracks to undo history one track at
    a time
  *  82dd754 - Reviewed uses of release(); prefer Destroy_ptr to hold
    window objects
  *  7927fe0 - Fix move constructors and assignments of
    AudacityException classes
  *  e9a4fc8 - fix the XML writer -- don't throw if target path did not
    previously exist.
  *  d812b7f - Merge branch 'master' into HEAD
  *  12e3d1d - Small correction to parsing of LOF file
  *  5e3a4fa - Name Record Beside menu option correctly.
  *  715758d - Small improvements in Sequence and BlockFile
  *  52fd607 - Sequence::AppendBlock and Sequence::Blockify  are static
  *  2677796 - Zero and return false for all failures to read block file
    summary...
  *  7b7ad75 - Remove Sequence::CopyWrite and needless file reads in
    Sequence::Set
  *  c6b4e2f - Add code to capture menus
  *  8795794 - Fix for bug 1611: after select none, temporary in-
    correctness
  *  ec7fe2d - Fix for bug 613: menu key deselects track.
  *  5b9ae95 - Bug 1610 - Unable to save projects
  *  8f71aa6 - Allow same command more than once in the menus.
  *  148fc40 - Restore menu items removed for DarkAudacity.
  *  d85ee24 - Merge branch 'menus'
  *  5c1f4d2 - Menu rearrangement merged from DarkAudacity
  *  d38dde2 - Revert "Fix compilation of EXPERIMENTAL_EFFECTS_RACK"
  *  9842d07 - Fix compilation of EXPERIMENTAL_EFFECTS_RACK
  *  e78d209 - GPL v2 and CC BY 3.0
  *  439edae - Update source files.
  *  748e718 - Workaround for FLAC__MAX_METADATA_TYPE not defined.
  *  7b6b6ef - Update .pot and .po files to 2.2.0
  *  90051c7 - To 2.2.0 in .pot file.
  *  47fb879 - Don't translate the empty string.
  *  2bc9497 - %d to %s in cs.po
  *  fbf8970 - Update Polish Translation by Pavel Fric
  *  e94fa1d - Fix compilation on MSVC2013 Express.
  *  864d0b2 - Start of exception safety project; NEW SOURCE FILES
  *  ce7b467 - Exception safety in all uses of XML writing functions
  *  3bb0424 - Strong exception safety in all uses of XMLFileWriter...
  *  b81cdee - Comment where xml writing functions may throw
  *  e3355c3 - Stops of possible file i/o exceptions in most places
    needing it...
  *  e9a0876 - TrackPanel aborts any dragging action when an exception
    escapes
  *  006aeda - Use SafelyProcessEvent
  *  8e5975b - Report read exceptions met in SBSMS and Nyquist callbacks
    to user...
  *  a8a2598 - Intercept exceptions in command script, report failure.
  *  d11027c - Allow exceptions from BlockFile::Recover, handle them in
    ProjectFSCK
  *  f508493 - more guarded calls
  *  01c5f25 - Rewrite one try-catch with GuardedCall so we can show the
    user errors
  *  6525bb1 - Translate exceptions to error codes in callback
    functions...
  *  576d3e3 - Don't let the catch-all block in Effect intercept the new
    exception
  *  87e7517 - Guarded calls in batch processing
  *  eeb301e - Gracefully handle disk exhaustion exceptions during
    recording
  *  f4e2fb5 - AudioIO::StopStream stops exceptions in many non-editing
    actions
  *  a1bc694 - Define application-level exception handler of last
    resort.
  *  40e73cd - Define classes and functions for exception handling
    framework
  *  9fde752 - Define an AudacityException subclass for unready on-
    demand data
  *  acf3c01 - Define an AudacityException subclass for user
    cancellation of progress
  *  195509a - Define an AudacityException subclass for file errors
  *  f1cce8a - Define an AudacityException subclass for assertion
    violations
  *  df077d1 - Exception framework: define AudacityException and
    GuardedCall...
  *  26f917b - On-demand tasks check for i/o errors, and if so, make no
    false progress
  *  1c91c2b - ODDecodeTask makes progress unless there is an exception
  *  1a32126 - ODComputeSummaryTask is safe for exceptions; makes no
    progress then
  *  5de19dc - ODDecode task checks blockfile error, making no progress
    if so...
  *  a399d4e - No naked malloc (calloc, strup, ...) and free!
  *  1126925 - Remove naked malloc (or similar) and free in: various
  *  cab99f7 - Remove naked malloc (or similar) and free in: other
    effects
  *  0c7e467 - Remove naked malloc (or similar) and free in: reverb
  *  0380953 - Remove naked malloc (or similar) and free in:
    Equalization48x
  *  1614db9 - Remove naked malloc (or similar) and free in: export
  *  9314fe0 - Remove naked malloc (or similar) and free in: import
  *  48d951d - Remove naked malloc (or similar) and free in:
    RawAudioGuess.cpp
  *  53b9869 - Remove naked malloc (or similar) and free in: FFmpeg
  *  58574f2 - Redo type HFFT as a smart pointer, remove malloc and free
  *  c5007d8 - No naked array new!
  *  6ca89c2 - Remove naked new[] in: builtin effects
  *  f858d97 - Remove naked new[] in: linear algebra functions for
    Repair
  *  cb05476 - Remove naked new[] in: effects plug-ins
  *  a4c7d37 - Remove naked new[] in: effects framework
  *  692a033 - Remove naked new[] in: various
  *  ce2e154 - Remove naked new[] in: Benchmark
  *  18be1bd - Remove naked new[] in: tracks
  *  2b23667 - Remove naked new[] in: AudioIO
  *  e6db1a5 - Remove naked new[] in: blockfile and commands
  *  88cac8c - Remove naked new[] in: import
  *  9bdc7b2 - Remove naked new[] in: export
  *  ea05fac - Remove naked new[] in: mixer
  *  0113e6f - Remove naked new[] in: ondemand, toolbars, widgets
  *  089e696 - More utilities in MemoryX.h
  *  5ca8766 - define freer
  *  1eff721 - Define some useful type aliases for arrays of floats and
    doubles
  *  aebaaf4 - require unsigned arguments for Array(s)Of::reinit
  *  ef2b747 - Define ValueRestorer for a frequent kind of RAII action
  *  a74ea83 - Last loose ends in removal of all naked scalar new
  *  bb5dc07 - Fix one scalar naked new that crept back in
  *  38236a8 - More new -> NEW, delete -> DELETE in comments
  *  ec0297e - more safenew
  *  9119d70 - Wave track duplication: don't append empty clips, do copy
    cutlines
  *  b4734ff - Duplicate command copies cutlines
  *  934a505 - Changes in WaveClip construction...
  *  25619fb - Don't create placeholder clips in Duplicate command ...
  *  65c722b - Comment: resample, reformat of WaveClip needs no
    recursion for cutlines
  *  3d29ba1 - Various precautions, efficiencies, fixes of unreported
    bugs
  *  ac246d0 - Fix bug 1566 differently (signed/unsigned comparison)
  *  4744f5c - OD tasks store weak pointers to block files...
  *  aee45d9 - Fix bogus error dialog when append-recording with no
    waves...
  *  0be6629 - Sort labels after warping time, just in case...
  *  37e7b57 - a null check
  *  d9be2be - Restore selected status of tracks correctly in export
    multiple
  *  7b073cd - Fix naming of right channel of mix-and-render results
  *  0e43079 - Further precautions for the corrupt .wav bug...
  *  2c0cdda - Fix dangling pointer bug in lv2 effects
  *  87775d3 - null pointer checks on all uses of WaveTrackCache::Get
  *  31832b2 - fix WaveTrackCache, again...
  *  4065124 - Benchmark::OnRun: clarify, simplify, avoid possible
    divide by 0
  *  6a57987 - safer use of weak pointer
  *  509f974 - Consistently use delete[] not free for NoteTrack
    serialization...
  *  7dbb946 - Propagate progress bar cancellation correctly in
    Normalize
  *  97fd8f5 - Certain short-lived things don't need to persist as
    member variables...
  *  08b99c5 - Remove Effect::mWarper, and stack-allocate warpers
    instead
  *  b9e4aa0 - Simplify Normalize by removing needless member variables
  *  0af9b46 - Move many fields out of Envelope that are needed only
    during editing
  *  3c4a15f - Remove some unused members
  *  790ade7 - Some simplifications and un-duplications
  *  5fdd9fe - Remove TrackList::GetLink
  *  9eaa406 - Utility for track editing leaves fewer direct calls to
    GetLinked()
  *  54aea4b - Rewrite TrackPanel::FindTrack as FindCell ...
  *  8ddbc1d - Assume number of spectrogram bins = 1/2 FFT window in
    fewer places...
  *  d831318 - simplify SpectrogramSettings::GetScale; abstract
    frequency-to-bin...
  *  a4a9df5 - One function for the common parts of BlockFile::ReadData
    overrides
  *  a86cc1c - Stylistic changes
  *  004df48 - Make Effect::mTracks private
  *  aa0d55a - Use enum class ProgressResult, don't interconvert with
    int or bool
  *  5036583 - Fewer inclusions of AudacityApp.h
  *  a9396b9 - Change required to compile certain uses of finally, I
    don't know why
  *  d174099 - Disallow copy of Sequence
  *  b019e28 - remove unused variable
  *  c55d838 - Clarify operator precedence
  *  3e51fd5 - fix some comments
  *  6665370 - Fix spelling in a function name
  *  9af53f9 - un-confused editor indenting
  *  81285ee - More const and override
  *  9ddb5bb - more use of size_t
  *  12a78f9 - Some maintenance of experimental branches, mostly
    compilation
  *  4913b12 - Correct the argument passed to OnEffect by EffectRack
  *  cde1e1e - Remove some duplication, fix EXPERIMENTAL_OUTPUT_DISPLAY
    and Esc key
  *  64d163e - Make EXPERIMENTAL_OUTPUT_DISPLAY compile
  *  ed8c7fd - Make EXPERIMENTAL_MIDI_OUT compile, but it fails to link
  *  1e8f0e5 - EXPERIMENTAL_VOICE_DETECTION: compile, use const, more
    careful casts
  *  4c6306e - Fix compilation of old NoiseRemoval
  *  e7c0862 - Fix compilation of EXPERIMENTAL_OD_FFMPEG
  *  463e7d9 - Make EXPERIMENTAL_FIND_NOTES work again
  *  dbb2f04 - Incomplete fixes for compilation of
    EXPERIMENTAL_EQ_SSE_THREADED
  *  f061b0b - Prepare for 2.2.0 Release Cycle.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 25 Mar 2017 09:41:25 +0300

audacity (1:2.1.2+git6137-2fef7f3-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/audacity/audacity.git
  * Branch: master
  * Commit: 2fef7f34b82e1a14af4c4b27f486ce9d13fe3086
  * Date: 1489438941
  * git changelog:
  *  2fef7f3 - No longer force local FFMPEG and LIBFLAC
  *  ffe4aae - IS_ALPHA to 0
  *  95dc322 - CXXFLAGS IS still required.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 17 Mar 2017 16:30:19 +0300

audacity (1:2.1.2+git6134-0efe931-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/audacity/audacity.git
  * Branch: master
  * Commit: 0efe931df26da43198b03972ed50b4c3c88b2662
  * Date: 1488569237
  * git changelog:
  *  0efe931 - Bug 290 - (Mac) LAME: Audacity looks for LAME in a
    restricted folder that Mac no longer supports
  *  2efd4ee - Bug 1599 - Amelioration.  Don't require TrackExists to
    paste.
  *  a5f7dc6 - Alpha welcome screen help hyperlinks to alpha manual.
  *  4576ccb - HasFiles and HasSubDirs require a successfully opened
    directory.
  *  d1b4995 - Two Initialisations (Valgrind)
  *  a3d20c8 - Don't invert 24 or 32 bit PCM files when reimported via
    FFmpeg libs
  *  b66675d - Restore legacy Nyquist plug-in PEAK-LEVEL property
  *  f19b79f - Consistency: 'plug-in' not 'plugin'
  *  a4136f5 - Bug 1427 - Summary: Wording Issues - Metadata Tags
  *  95861bf - Bug 1567 - Amelioration.  Delete EMPTY temp dirs on close
    in multiproject
  *  fc42fd9 - Bug 1597 - Tweak: make version check on welcome user-
    initiated.
  *  95e5d37 - CXXFLAGS on ./configure no longer required.
  *  facaeb9 - Enable version checking (from build info) in release
    versions.
  *  f26478f - Typo Comit -> Commit
  *  bf7799e - Bug 1412 - (partial workaround for) modeless real/empty
    "Help on the Internet" pair.
  *  9cb68a6 - Always include build date/time in CheckUpdate
  *  c53e2db - Bug 1597 - Enh: Greater clarity over status of versions
    needed
  *  4329168 - Bug 1401 - Wait for window visibility before starting
    timer
  *  ebd767f - Change NyqBench Shortcut Letters (fr.po)
  *  0a0a9f6 - Bug 1528 - Linux: Mod-script-pipe can't be built
  *  ad24fee - configure: add check for gcc 4.9.0 up-front
  *  7517b26 - Set minimum size of EditCurvesDialog (bug 470)
  *  a80556d - Bug 1574 - Built-in generators may generate wrong length
  *  d9f7b36 - Bug 1576 - Assert when New Length is zero in Change Speed
    effect
  *  67810d3 - Bug 1573 - Multi-line SAL scripts fail in Nyquist Prompt
  *  81dd23b - Bug 1566 - Incorrect error message if Nyquist returns
    mono sound as an array
  *  1a5a025 - Update Nyquist v4 property lists and comments
  *  73b421a - Bug 1591 - Windows: Click Track not removed from previous
    installation
  *  f4bfe1f - Bug 1599 - Cannot paste clipboard text into label unless
    content already on Audacity clipboard
  *  1ffe736 - Comment about missing/broken ERR_HANDLING.
  *  2a47947 - Merge remote-tracking branch 'dave/metadatacancel'
  *  06dc907 - Fix for bug 1550 - metadata editor: esc does not cancel
  *  72d2aaa - Merge remote-tracking branch 'paul/bug451'
  *  5d76e66 - Merge remote-tracking branch 'paul/AUbug'
  *  9234973 - Merge pull request #175 from
    cannam/mp3_fix_truncated_import
  *  9e7756c - Set IS_ALPHA to 1
  *  7808033 - Fix crash opening menu in some AU effects
  *  79c07bd - Bug451 re-fix: When file open fails, don't erase
    blockfiles
  *  e8ac121 - Tweak Polish Translation by Michał Trzebiatowski
  *  89c44f9 - Add fileSpec to CleanDir, so can be selective about files
    to delete.
  *  0a518b6 - Don't follow symlinks in RecursivelyEnumerate
  *  085c260 - Typo in README.txt
  *  4286124 - New section about duplicate plugins
  *  630fc59 - Tweak all-in-one text
  *  b7cd1f4 - Update Installer DMG background.png
  *  a239a13 - Update README.txt and mac/Install.txt
  *  8a100a1 - Update Greek Translation by Dimitris Spingos
  *  04e9989 - Update Polish Translation by Michał Trzebiatowski
  *  c81c4d4 - Update Slovenian Translation by Martin Srebotnjak
  *  1370dda - Tweak Ukranian Translation by Yuri Chornoivan
  *  cf4e07a - Tweak Brazilian Portuguese Translation by Lucas Teixeira
  *  a6b3811 - Tweak French Translation by Intv0id (missing strings)
  *  5b10c38 - Bug1594, 1567: Don't destroy source project when saving-
    as!

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 04 Mar 2017 19:13:09 +0300

audacity (2.1.2+git6080-0ceae62-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/audacity/audacity.git
  * Branch: master
  * Commit: 0ceae629648d900dc11967328ad32630f7f3f99f
  * Date: 1487002542
  * git changelog:
  *  0ceae62 - Add UTF-8 BOM to audacity.iss so that Unicode is right in
    installer.
  *  77ceb6a - Linux Build Settings.
  *  cf68891 - Merge pull request #180 from walisser/issues
  *  11cfe75 - Add missing template instantiation
  *  085489f - Don't scan AudioUnits in fast check of plug-in validity.
  *  5809499 - Bug 1580 - Residual
  *  e84a5b6 - Fix Mac build after commit
    e4260e9581facc288be40d9ca84f98d52ec724b1
  *  ec12bc3 - Bug 1580 - Enh: New default directory for Save and Export
    .../Documents/Audacity
  *  e4260e9 - Bug 1587 - Mac: Ghost duplicate Nyquist effects after
    upgrade

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 18 Feb 2017 10:33:19 +0300

audacity (2.1.2+git6071-31df61f-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/audacity/audacity.git
  * Branch: master
  * Commit: 31df61f5375dd9761a2e6782070d53edc6cd1d8a
  * Date: 1485965376
  * git changelog:
  *  31df61f - Set IS_ALPHA to 0.
  *  92bef0f - Updated README.txt
  *  856dfef - More accurate comments, after foregoing bug1567 fixes.
  *  5392fee - Bug1521 residual: Save new project, still must remove
    project* folder
  *  0cb89a8 - Remember Save/SaveAs Path.
  *  5a5a285 - Update German Translation by Joachim Huffer
  *  7075526 - Update Greek Translation by Dimitris Spingos
  *  6b65375 - Bug1521, bug1567 Mac: wipe .DS_Store in temp folder when
    saving too
  *  3ebf9fc - Remove a sleep that does not help bug1567
  *  dd836f4 - Bug1567 Residual - Use wxDIR_HIDDEN in recursive delete.
  *  04c3a7c - wxRmDir() diagnostics
  *  62cfeea - Unless on Windows, don't remove directories like files...
  *  53c3adf - Bug 1577 - Application configuration file location
    incorrect on Linux/case-sensitive Macs
  *  a05d039 - Bug1567: intermittent failure to load libraries, plugins
    on Sierra...

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 04 Feb 2017 00:08:02 +0300

audacity (2.1.2+git6057-97bf72d-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/audacity/audacity.git
  * Branch: master
  * Commit: 97bf72ddb4136cc15a7d1aa03085989c128e881b
  * Date: 1484749146

 -- Alexander Pozdnyakov <almipo@mail.ru>  Tue, 24 Jan 2017 21:07:27 +0300

audacity (2.1.2-2) unstable; urgency=medium

  [ Mateusz Łukasik ]
  * Team upload.
  * debian/patches:
    - fix-gcc6-ftbfs.patch - Add to fix FTBFS with gcc-6. (Closes: #811671)
  * debian/control:
    - Bump Standards-Version to 3.9.8. (no changes needed)
  * debian/watch: Update to github.

  [ Free Ekanayaka ]
  * Add travis.debian.net configuration

 -- Free Ekanayaka <freee@debian.org>  Thu, 24 Nov 2016 20:20:12 +0000

audacity (2.1.2-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

  [ Sebastian Ramacher ]
  * New upstream release.
  * debian/audacity.menu: Removed since audacity comes with a desktop file.
  * debian/control:
    - Remove Build-Conflicts. libwxbase2.6-dev and wx2.6-headers
      are only available in squeeze.
    - Update Vcs-*.

  [ Benjamin Drung]
  * Sort configure flags alphabetical.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 29 Jan 2016 19:31:05 +0100

audacity (2.1.2~rc2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release candidate.
  * Migrate to automatic dbg packages
  * debian/control:
    - Remove obsolete Breaks+Replaces.
    - Remove no longer existing ffmpeg -dev packages from B-D.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 12 Jan 2016 22:27:03 +0100

audacity (2.1.2~rc1-1) experimental; urgency=medium

  * New upstream release candidate. (Closes: #764075, #806185)
    - Add wxWidgets 3.0 support.
  * Enable LV2 support. (Closes: #673616, #767882)
    - debian/control: Add lv2-dev, liblilv-dev and libsuil-dev to
      Build-Depends.
    - debian/rules: Build with --with-lv2=system.
  * debian/patches:
    - wxWidgets-3.0.patch, clang-ftbfs.patch,
      fix-cursor-recapturing-sliders.patch,
      wxwidgets-clipboard-reenetry-workaround.patch,
      wxwidgets-effect-dialogs-segfault.patch: Removed (applied upstream).
    - workaround-wxwidgets-fit-recovery.patch: Refreshed.
  * debian/rules: Force system copy of portsmf.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 07 Dec 2015 20:27:06 +0100

audacity (2.0.6-2) unstable; urgency=medium

  [ Martin Steghöfer ]
  * Workaround for wx bug causing layout problems in recovery dialog.
  * Fix effect dialog segfault due to events before initialization and
    add workaround for wxWidgets bug "Reentry in clipboard". (Closes: #765341)
  * Fix cursor recapturing in track panel sliders. (Closes: #765779)

 -- Benjamin Drung <bdrung@debian.org>  Sat, 25 Oct 2014 23:42:05 +0200

audacity (2.0.6-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/watch to point to FossHub.
  * Bump Standards-Version to 3.9.6 (no changes required)
  * Drop all patches (all included in new upstream release) and the
    libnyquist autoreconf workaround
  * Disable tests (they fail to build, because they are bitrotten)
  * Fix autoreconf for the minimal audacity source tarball.
  * Compile audacity against wxWidgets 3.0. Thanks to Martin Steghöfer for
    this enormous patch (Closes: #749659)
  * Fix FTBFS with clang. Thanks to Arthur Marble. (Closes: #757531)

 -- Benjamin Drung <bdrung@debian.org>  Tue, 14 Oct 2014 01:28:54 +0200

audacity (2.0.5-2) unstable; urgency=medium

  * Add support for recent FFmpeg/libav versions. Thanks to Michael Niedermayer
    for the porting work. (Closes: #740755, LP: #1076928)
  * Fix default LADSPA search paths on Linux. (Closes: #724836, LP: #1261654)
  * Fix build failure caused by undefined PATH_MAX.
  * Bump Standards-Version to 3.9.5 (no changes needed).
  * Remove -Wstrict-prototypes build flag from libnyquist.

 -- Benjamin Drung <bdrung@debian.org>  Sat, 31 May 2014 22:02:54 +0200

audacity (2.0.5-1) unstable; urgency=low

  * New upstream release.
  * Add distclean.patch to make dh_auto_clean work again.

 -- Benjamin Drung <bdrung@debian.org>  Tue, 22 Oct 2013 12:53:52 +0200

audacity (2.0.4-1) unstable; urgency=low

  * Team upload.

  [ Petr Vorel ]
  * debian/watch: Check for xz compressed tarballs. (Closes: #722133)

  [ Sebastian Ramacher ]
  * New upstream release.
  * debian/patches/bp-docdir-fix.patch: Removed (applied upstream).
  * Disable libav support. (Closes: #692809)
    audacity is not yet compatible with libav 9 and needs to be ported first.
    Until audacity has been ported, support for some audio formats (AC3, M4A,
    MP4, WMA) is not available.
    - debian/control: Remove libav{codec,format,util}-dev build dependencies.
    - debian/rules: Build with --without-ffmpeg.
  * Use dh-autoreconf to clean up generated auto* files.
  * Bump debhelper compat to 9.
    - Decreases the Installed-Size of audacity-dbg by a large amount since
      dh_strip now uses compressed debugging symbol files.
    - {C,CXX,LD,CPP}FLAGS are automatically exported.
    - Bump debhelper build dependency to >= 9. We at least need 8.1 to
      support Standards-Version 3.9.4 (binary-{arch,indep} targets).
  * debian/rules: Override dh_auto_clean since it gets confused by the output
    of 'make clean' and 'make distclean' and does not detect that the targets
    are available.
  * debian/control: Remove useless zip build-dependency.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 14 Sep 2013 18:19:36 +0200

audacity (2.0.3-1) unstable; urgency=low

  * New upstream release (LP: #1107520).
    - Add keyboard shortcut for export (LP: #651499)
  * Drop disable-dynamic-ffmpeg.patch (accepted upstream).
  * Replace libsamplerate by libsoxr, which is faster and produces better
    resampling results.
  * Bump Standard-Version to 3.9.4 (no changes needed).
  * Use canonical URI for VCS-* fields.
  * Fix docdir path.

 -- Benjamin Drung <bdrung@debian.org>  Sat, 06 Apr 2013 14:28:29 +0200

audacity (2.0.2-1) unstable; urgency=low

  * New upstream release.
  * Drop additional-mime-types.patch (accepted upstream).
  * Refresh disable-dynamic-ffmpeg.patch.

 -- Benjamin Drung <bdrung@debian.org>  Fri, 24 Aug 2012 11:39:19 +0200

audacity (2.0.1-1) unstable; urgency=low

  * New upstream release.
  * Update patches.

 -- Benjamin Drung <bdrung@debian.org>  Sat, 30 Jun 2012 00:45:22 +0200

audacity (2.0.1~rc2-1) unstable; urgency=low

  * New upstream release.
  * Drop four patches that were applied upstream.
  * Refresh remaining patches.

 -- Benjamin Drung <bdrung@debian.org>  Wed, 27 Jun 2012 12:44:13 +0200

audacity (2.0.1~rc1-2) unstable; urgency=low

  * Allow opening files with Audacity with your file manager. (LP: #1006610)

 -- Benjamin Drung <bdrung@debian.org>  Mon, 25 Jun 2012 02:06:15 +0200

audacity (2.0.1~rc1-1) unstable; urgency=low

  * New upstream release.
  * Build against system libsbsms.
  * Refresh patches.

 -- Benjamin Drung <bdrung@debian.org>  Sat, 23 Jun 2012 23:50:34 +0200

audacity (2.0.0-1) unstable; urgency=low

  * New upstream release.
  * Drop fix-glib-include-error.patch (fixed upstream).
  * Use build flags from the environment for portmixer.
    Thanks to Simon Ruderich <simon@ruderich.org> (Closes: #663275)

 -- Benjamin Drung <bdrung@debian.org>  Wed, 14 Mar 2012 14:43:28 +0100

audacity (2.0.0~rc8-1) unstable; urgency=low

  * New upstream release.
  * Enable hardened build flags through dpkg-buildflags.
  * debian/watch: Show 1000 entries instead of only 100.
  * Register FLAC file type in .desktop file. (Closes: #661921)
  * Fix build failure with Glib 2.31.20.

 -- Benjamin Drung <bdrung@debian.org>  Thu, 08 Mar 2012 17:10:05 +0100

audacity (2.0.0~rc6-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.3, no changes needed.

 -- Benjamin Drung <bdrung@debian.org>  Wed, 29 Feb 2012 01:26:22 +0100

audacity (2.0.0~rc4-1) unstable; urgency=low

  * New upstream release.

 -- Benjamin Drung <bdrung@debian.org>  Thu, 23 Feb 2012 15:58:54 +0100

audacity (2.0.0~rc1-1) unstable; urgency=low

  * New upstream release.
  * Update debian/watch file.
  * Drop FFmpeg/libav patches (they were accepted upstream).
  * Improve label-region-relation.patch.

 -- Benjamin Drung <bdrung@debian.org>  Sat, 18 Feb 2012 12:55:34 +0100

audacity (1.3.14-3) unstable; urgency=low

  * Change the behavior of point labels to behave like region labels.

 -- Benjamin Drung <bdrung@debian.org>  Fri, 20 Jan 2012 18:12:51 +0100

audacity (1.3.14-2) unstable; urgency=low

  * Add missing include to support building Audacity with libav 0.8.
    (Closes: #654212)

 -- Benjamin Drung <bdrung@debian.org>  Sat, 14 Jan 2012 13:49:00 +0100

audacity (1.3.14-1) unstable; urgency=low

  * New upstream release (Closes: #651949).
  * Drop backported patches and refresh remaining patches.
  * Replace libav-0.7.patch by ffmpeg-2.patch from upstream.

 -- Benjamin Drung <bdrung@debian.org>  Thu, 22 Dec 2011 23:35:29 +0100

audacity (1.3.13-5) unstable; urgency=low

  * Use linux-any instead of hardcoded list of non-Linux architectures.
    (Closes: #634303)
  * Build against libmp3lame. (Closes: #600747)

 -- Benjamin Drung <bdrung@debian.org>  Fri, 29 Jul 2011 18:06:22 +0200

audacity (1.3.13-4) unstable; urgency=low

  * libav-0.7.patch: Unbreak compilation against libav 0.7.
    Thanks to Reinhard Tartler for the patch (Closes: #628201)
  * Bump required libav version to 0.6 (Closes: #628138)

 -- Benjamin Drung <bdrung@debian.org>  Sat, 28 May 2011 13:41:09 +0200

audacity (1.3.13-3) unstable; urgency=low

  * Apply followup commits for fixing upstream bug #367.
  * Apply upstream fix for upstream bug #137.

 -- Benjamin Drung <bdrung@debian.org>  Sat, 23 Apr 2011 11:43:42 +0200

audacity (1.3.13-2) unstable; urgency=low

  * Apply two upstream fixes for the upstream bugs #350 and #367.

 -- Benjamin Drung <bdrung@debian.org>  Sun, 17 Apr 2011 18:43:04 +0200

audacity (1.3.13-1) unstable; urgency=low

  * New upstream release (LP: #608948, #690226, #694778, #713584, #753323).
  * Drop 13 upstream applied patches.
  * Refresh disable dynamic loading patches.
  * Drop configure.patch and run ./autogen.sh on build time instead.
  * Use local sbsms due to an API change.

 -- Benjamin Drung <bdrung@debian.org>  Wed, 13 Apr 2011 01:43:29 +0200

audacity (1.3.12-17) unstable; urgency=low

  * Drop article from the description synopsis.
  * Add Applied-Upstream tag to patches.
  * Build against portSMF.
  * Build against libsbsms.
  * Bump Standards-Version to 3.9.2 (no changes required).

 -- Benjamin Drung <bdrung@debian.org>  Sat, 09 Apr 2011 18:25:32 +0200

audacity (1.3.12-16) unstable; urgency=low

  * Split and update disable-dynamic-loading.patch.
  * Add support to disable dynamic loading of LAME.

 -- Benjamin Drung <bdrung@debian.org>  Fri, 11 Mar 2011 17:10:04 +0100

audacity (1.3.12-15) unstable; urgency=low

  * Fix crash on WMA export (LP: #695648).

 -- Benjamin Drung <bdrung@debian.org>  Wed, 09 Mar 2011 12:09:51 +0100

audacity (1.3.12-14) unstable; urgency=low

  [ Fabian Greffrath ]
  * Remove myself from Uploaders.

  [ Benjamin Drung ]
  * Soundtouch >= 1.5 uses soundtouch.pc and not soundtouch-1.4.pc

 -- Benjamin Drung <bdrung@debian.org>  Mon, 28 Feb 2011 15:04:39 +0100

audacity (1.3.12-13) unstable; urgency=low

  * Compile against system portAudio (Closes: #323711).

 -- Benjamin Drung <bdrung@debian.org>  Sat, 26 Feb 2011 23:02:54 +0100

audacity (1.3.12-12) unstable; urgency=low

  * Rebuild against the newest soundtouch.

 -- Benjamin Drung <bdrung@debian.org>  Sat, 19 Feb 2011 15:06:35 +0100

audacity (1.3.12-11) unstable; urgency=low

  * Tighten build dependencies.
  * Add portsmf-configure.patch to support using system portSMF.
  * Fix char to const char conversion in src/TrackArtist.cpp.

 -- Benjamin Drung <bdrung@debian.org>  Thu, 17 Feb 2011 21:08:58 +0100

audacity (1.3.12-9) unstable; urgency=low

  * Drop ffmpeg-av-match-ext.patch in favor of disable-dynamic-loading.patch.
  * Update my email address.
  * Drop DM-Upload-Allowed from debian/control.

 -- Benjamin Drung <bdrung@debian.org>  Thu, 06 Jan 2011 22:04:37 +0100

audacity (1.3.12-8) experimental; urgency=low

  * Pick up upstream improvements to the slider background color patch.

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 25 Nov 2010 23:02:25 +0100

audacity (1.3.12-7) experimental; urgency=low

  * Fix interchanged bug numbers from previous upload.
  * Support FFmpeg >= 0.6 (Closes: #593162, LP: #602934).

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 22 Sep 2010 02:37:52 +0200

audacity (1.3.12-6) unstable; urgency=low

  * Build with jack on all architectures (Due to a bug, jack was already
    enabled on all architectures except on i386, amd64, powerpc).
  * Fix build failure with GCC 4.5 (Closes: #564865, LP: #629955).

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 21 Sep 2010 22:47:19 +0200

audacity (1.3.12-5) unstable; urgency=low

  * Fix missing content in debug package.
  * Bump Standards-Version to 3.9.1 (no changes required).

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 05 Aug 2010 12:53:38 +0200

audacity (1.3.12-4) unstable; urgency=low

  [ Fabian Greffrath ]
  * Fix debian/watch to consult sourceforge again, as googlecode changed
    their download page link format.
  * Update my e-mail address.

  [ Benjamin Drung ]
  * Switch from CDBS to dh 7.
  * Convert versioned Conflicts into Breaks.
  * Simplify debian/rules.
  * Bump Standards-Version to 3.9.0 (no changes required).
  * Add open-mixer.patch to fix segfault with multiple ALSA devices.
    (Closes: #584605) - thanks to Dave Witbrodt <dawitbro@sbcglobal.net>

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 30 Jun 2010 01:09:55 +0200

audacity (1.3.12-3) unstable; urgency=high

  * Do not install audacity.xpm (Closes: #578509).

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 26 Apr 2010 01:20:30 +0200

audacity (1.3.12-2) unstable; urgency=low

  * Add fix-slider-background-color.patch to fix background color of
    sliders.

 -- Benjamin Drung <bdrung@ubuntu.com>  Sun, 04 Apr 2010 17:54:47 +0200

audacity (1.3.12-1) unstable; urgency=low

  * New upstream release.
  * Remove all patches (they are applied upstream).
  * Remove all images from debian directory (they are now included in
    the upstrem tarball).
  * Update debian/*.install files.
  * Enable the feature to link audio tracks to a label track.
  * Update watch file.
  * Drop unused libtag1-dev from Build-Depends.

 -- Benjamin Drung <bdrung@ubuntu.com>  Sat, 03 Apr 2010 01:43:27 +0200

audacity (1.3.11-2) unstable; urgency=low

  * Fix export by track bug in export-multiple.patch.
  * Update meta data of patches.
  * Bump Standards-Version to 3.8.4 (no changes required).
  * Add trailing blank line to debian/NEWS.

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 03 Feb 2010 14:02:14 +0100

audacity (1.3.11-1) unstable; urgency=low

  * New upstream release.
    - builds with binutils-gold (Closes: #553969)
    - builds with upcoming gcc 4.5 (gcc-snapshot 20100117-1) (Closes: #564865)
    - Click Track and other Nyquist plugins work on amd64 (LP: #454859)
  * Drop hurd.patch (accepted upstream).
  * Remove asterisk from debian/NEWS.

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 19 Jan 2010 23:42:22 +0100

audacity (1.3.10-2) unstable; urgency=low

  * Build against system libvamp and taglib.
  * Add hurd.patch to fix missing NOFILE on GNU/Hurd.

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 31 Dec 2009 01:16:47 +0100

audacity (1.3.10-1) unstable; urgency=low

  * New upstream release.
  * Drop patches, which are accepted or applied upstream:
    - closing-2nd-while-recording-in-1st.patch
    - crash-on-get-default-device.patch
    - ffmpeg-0.5-compatibility.diff
    - gsocket.patch
    - labeltrack-crash.patch
    - stopstream-on-close.patch
  * Refresh remaining patches.
  * Switch to new source format 3.0 (quilt).
  * debian/rules: Use autotools class instead of gnome class.
  * Bump debhelper version to 7.

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 02 Dec 2009 01:45:30 +0100

audacity (1.3.9-7) unstable; urgency=low

  [ David Henningsson ]
  * Avoid crash in GetDefaultPlayDevice (LP: #475277)
  * Fixed crash on start recording, then open and close a project window 
  * Update my email address
  * Add apport hook for better bug reports on Ubuntu
  * stopstream-on-close.patch has now been forwarded and committed
    upstream.

  [ Benjamin Drung ]
  * Add Applied-Upstream meta data to patch.

 -- Benjamin Drung <bdrung@ubuntu.com>  Sat, 28 Nov 2009 13:43:20 +0100

audacity (1.3.9-6) unstable; urgency=low

  [ David Henningsson ]
  * Add myself to uploaders
  * Avoid that Audacity leaves autosave files behind, if quitted with
    monitoring enabled (LP: #455990)
  * prevent crashes when undoing label track changes (picked from
    upstream CVS). (LP: #385538)

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 22 Oct 2009 00:22:42 +0200

audacity (1.3.9-5) unstable; urgency=low

  * Add debian/patches/disk-full-on-export.patch to show an error message if
    the disk gets full on PCM export; thanks to David Henningsson for the patch
    (LP: #259798).

 -- Benjamin Drung <bdrung@ubuntu.com>  Sun, 11 Oct 2009 17:52:06 +0200

audacity (1.3.9-4) unstable; urgency=low

  * Add debian/patches/switch-hostapi-crash.patch to prevent crash when
    selecting sound card driver; thanks to David Henningsson for the patch
    (LP: #436990).

 -- Benjamin Drung <bdrung@ubuntu.com>  Sat, 26 Sep 2009 15:58:39 +0200

audacity (1.3.9-3) unstable; urgency=low

  * Add debian/patches/gsocket.patch to fix conflicting GSocket definition.

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 11 Sep 2009 10:39:31 +0200

audacity (1.3.9-2) unstable; urgency=low

  * Respect locales/$LANG (Closes: #481424, LP: #292168).
    - Add debian/patches/lang.patch
  * Drop CVE-2007-6061.patch and remove notice from NEWS file. The
    security issue is fixed since version 1.3.5 and /tmp can be used as
    temporary directory again.
  * Remove resolved news item from experimental (Closes: #545402).

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 08 Sep 2009 17:05:00 +0200

audacity (1.3.9-1) unstable; urgency=low

  * New upstream release.
  * Drop 10-kFreeBSD.patch and 20-autoconf.patch (accepted by upstream).
  * Drop debian/patches/dont-create-help-directory-on-runtime.patch.
  * Add debian/patches/ffmpeg-0.5-compatibility.diff to make audacity
    compatible to the ffmpeg 0.5 series.
  * Rename recommended "unstripped" to "extra" ffmpeg variants.
  * Add meta-information to all patch files according to the DEP-3.
  * Do not link against unused libraries (make dpkg-shlibdeps happy).

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 01 Sep 2009 02:17:01 +0200

audacity (1.3.8-1) experimental; urgency=low

  [ Benjamin Drung ]
  * New upstream release.
  * Drop patches that are applied or adopted upstream:
    - curly-brace-before-preprocessor-endif.patch
    - desktop_file.patch
    - make-distclean.patch
    - pulseaudio.patch
  * Drop portaudio.patch, it does not apply anymore and audacity was
    never build against portaudio.
  * debian/NEWS: Fix typo (thanks to Lintian).
  * Bump Standards-Version to 3.8.3 (no changes).
  * Drop debian/source.lintian-overrides, not needed any longer.
  * Update debian/watch file to search on Google Code.
  * Do not create help directory on runtime (backport patch from upstream)
    - Add debian/patches/dont-create-help-directory-on-runtime.patch
  * Add debian/patches/export-multiple.patch (LP: #276043).
  * Add debian/patches/10-kFreeBSD.patch and debian/patches/20-autoconf.patch
    to fix FTBFS on GNU/kFreeBSD; thanks to Petr Salinger for the patch
    (Closes: #542765).
  * Allow uploads done by Debian Maintainers.
  * This release is not compatible to the ffmpeg 0.5 series. Left a
    notice in debian/NEWS.

  [ Reinhard Tartler ]
  * Build against system taglib

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 25 Aug 2009 03:28:39 +0200

audacity (1.3.7-3) unstable; urgency=low

  [ Fabian Greffrath ]
  * Remove Matt Brubeck <mbrubeck@debian.org> from Uploaders (Closes: #521481).

  [ Reinhard Tartler ]
  * Recommend alternatively on the "unstripped" ffmpeg variants (LP: #344061).

  [ Benjamin Drung ]
  * debian/control:
    + Update my e-mail address.
    + Move audacity-dbg to section debug.
  * Bumped Standards-Version to 3.8.1.
  * Update make-distclean.patch to also remove lib-src/libportmixer.a.
  * Add debian/source.lintian-overrides to suppress ancient-libtool warning.
  * Add Audacity SVG icon; thanks to Aaron Spike (LP: #157828).

 -- Benjamin Drung <bdrung@ubuntu.com>  Sun, 14 Jun 2009 23:17:41 +0200

audacity (1.3.7-2) unstable; urgency=low

  * Build against system FFmpeg for import and export support
    (Closes: #512278, #5143333).
  * Build-Depend on recent versions of the ffmpeg headers and recommend ffmpeg
    shared libraries with recent sonames to make sure the ffmpeg packages are
    new enough for audacity.
  * Recent ffmpeg packages have Speex support enabled, so audacity can also
    benefit from this feature (Closes: #329802).
  * Re-enable PortMixer, as recommended upstream:
    <http://sourceforge.net/mailarchive/message.php?msg_name=1234719213.4602.23.camel%40delph>

 -- Fabian Greffrath <fabian@debian-unofficial.org>  Tue, 17 Feb 2009 10:27:17 +0100

audacity (1.3.7-1) experimental; urgency=low

  [ Benjamin Drung ]
  * New upstream release.
    + Fixes error on second build (Closes: #442497, #486155).
  * Dropped hyphen-used-as-minus-sign.patch (applied upstream).
  * Added curly-brace-before-preprocessor-endif.patch to fix compile error.
  * Added myself to Uploaders.
  * Added make-distclean.patch.
  * Updated watch file.
  * Removed Ubuntu changelog entries.

  [ Fabian Greffrath ]
  * Removed spurious "DEB_COMPRESS_EXCLUDE := *.htb" from debian/rules.
    There isn't even one file of this name in the packages.

 -- Benjamin Drung <benjamin.drung@gmail.com>  Wed, 04 Feb 2009 20:16:48 +0100

audacity (1.3.6-3) unstable; urgency=low

  * Added myself to Uploaders.
  * Wrapped Uploaders and Build-Depends fields.
  * Ordered and cleaned up Build-Depends, added autotools-dev.
  * Bumped Standards-Version to 3.8.0.
  * Moved Homepage from package description to Source stanza.
  * Added ${misc:Depends} to Depends.
  * Added MP2-support via libtwolame (Closes: #448762, #481338).
  * Removed obsolete audacity.dirs and blank lines in
    debian/audacity.install and debian/rules.
  * Use Applications/Sound in audacity.menu.
  * Use sf.net redirector in debian/watch.
  * Fixed syntax errors in architecture checks in debian/rules
    (Closes: #486147).
  * Removed redundant debhelper calls from debian/rules and force remove
    of the license file.
  * Added patch to fix hyphen-used-as-minus-sign, thanks lintian.
  * Added an audacity-dbg debug package.
  * Versioned Build-Depends on libsoundtouch1-dev (>= 1.3.1-2) and
    explicitely enable it in the configure flags (Closes: #459198).
  * Added advice to also remove '~/.audacity' to debian/NEWS (Closes: #463955).
  * Added Build-Conflicts against libwxbase2.6-dev and wx2.6-headers
    (Closes: #405623).
  * Explicitely built against the system libsamplerate, effectively disabling
    the internal libresample. This may break support for proprietary VST
    plug-ins! Left a notice in debian/NEWS.
  * Reordered configure flags in debian/rules and renamed
    T1_DEB_CONFIGURE_EXTRA_FLAGS to the more descriptive WITH_JACK_CONFFLAG.
  * Audacity suggests libmp3lame0.
  * Added an arch:all audacity-data package that contains most of the
    architecture-independent content of the '/usr/share' directory.
  * Fixed faulty confflags --with-libid3tag and --with-libvorbis.
  * Remove the redundant LICENSE.txt file immediately after the install rule.
  * Do not manually remove lib-src/libpormixer.a in the clean rule. We build
    --without-portmixer anyway.

 -- Fabian Greffrath <fabian@debian-unofficial.org>  Tue, 20 Jan 2009 15:45:00 +0100

audacity (1.3.6-2) unstable; urgency=low

  * Set Maintainer to pkg-multimedia-maintainers
  * Add Vcs-Git and Vcs-Browser URLs

 -- Free Ekanayaka <freee@debian.org>  Mon, 12 Jan 2009 08:30:59 +0000

audacity (1.3.6-1) unstable; urgency=low

  * New upstream version
  * Drop ratefix patch, merged upstream
  * Add pulseaudio patch (thanks to David Henningsson)
  * Build depend on libwxgtk2.8-dev instead of libwxgtk2.6-dev
  * Set Maintainer to pkg-multimedia-maintainers
  * Add Vcs-Git and Vcs-Browser URLs

 -- Free Ekanayaka <freee@debian.org>  Sun, 11 Jan 2009 23:54:44 +0000

audacity (1.3.5-2) unstable; urgency=low

  * Applied ratefix.patch which fixes a project rate issue when 
    exporting to wav (Closes: #481641), thanks to Paul Martin

 -- Free Ekanayaka <freee@debian.org>  Mon, 19 May 2008 11:51:25 +0100

audacity (1.3.5-1) unstable; urgency=low

  * New upstream release
  * Included patches from Ubuntu (thanks to Bruno Barrera Yever):
    - debian/patches/desktop_file.patch:
      - removed deprecated Encoding field
      - removed deprecated Application value from Categories
      - updated Name fields
      - updated Icon field
  * Removed liblame patch, included upstream

 -- Free Ekanayaka <freee@debian.org>  Wed, 14 May 2008 13:54:33 +0100

audacity (1.3.4-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC 4.3 (Closes: #455635).
  * Reenable JACK on amd64 (Closes: #469325).

 -- Luk Claes <luk@debian.org>  Sat, 22 Mar 2008 10:50:11 +0000

audacity (1.3.4-1.1) unstable; urgency=high

  * Non-maintainer upload by security team.
  * Fix insecure directory creation in /tmp by moving the directory
    to the users home directory (CVE-2007-6061; Closes: #453283).
  * Adding NEWS file to advise the user to change the tmp path
    in his config file so there is a notification for users who
    are already vulnerable.

 -- Nico Golde <nion@debian.org>  Mon, 21 Jan 2008 19:08:54 +0100

audacity (1.3.4-1) unstable; urgency=low

  [ Joost Yervante Damad ]
  * Survived the library transition (Closes: #426636)
  * Disable portmixer as recommended (Closes: #454241)
  * only enable jack on i386 and powerpc (See also #406754)

  [ Free Ekanayaka ]
  * New upstream release
  * Force removal of lib-src/libportmixer.a when cleaning (Closes #442497)
  * Fixed watch file (Closes: #449637)
  * Dropped no more needed desktop, kfreebsd and see patches

 -- Free Ekanayaka <freee@debian.org>  Tue, 18 Dec 2007 21:15:12 +0000

audacity (1.3.3-1) unstable; urgency=low

  * New upstream release
  * Added watch file
  * debian/patches:
     - updated libmp3lame patch
  * debian/control:
     - as suggested upstream, depend on libgtk2.0-dev, otherwise 
       the code fails to build

 -- Free Ekanayaka <freee@debian.org>  Fri, 18 May 2007 12:11:05 +0200

audacity (1.3.2-4) unstable; urgency=low

  * debian/patches:
     - desktop_file.patch: fixed broken Category entry
  * debian/audacity.mime:
     - added entry for application/x-audacity-project

 -- Free Ekanayaka <freee@debian.org>  Thu, 17 May 2007 02:36:41 +0200

audacity (1.3.2-3) unstable; urgency=low

  [ Joost Yervante Damad ]
  * Add patch by Joo Martin <bugs@joomart.de> to fix installation of
    the locales (Closes: #416864, #422338)
  * Add patch based on work by Mikael Magnusson <mikma@users.sourceforge.net>
    that enables usage of the portaudio library on the system, however it
    doesn't work, because portmixer doesn't compile against it, soo we're
    not using it yet.
  * Apply changes from #423477 (Closes: #423477)
      - transparent background for icons
      - /usr/share/audacity => /usr/share/pixmaps
  * Look for libmp3lame.so.0 iso libmp3lame.so (Closes: #410516)
  [ Free Ekanayaka ]
  * Add icon for .aup files

 -- Joost Yervante Damad <andete@debian.org>  Sat, 12 May 2007 13:09:13 +0200

audacity (1.3.2-2) unstable; urgency=high

  [Joost Yervante Damad]
  * audacity - FTBFS: error: unrecognized command line option "-msse"
    (Closes: #409255)
    Fixed by building the sse file only with -msse on i386 and amd64 archs
  [ Free Ekanayaka ]
  * FTBFS on GNU/kFreeBSD (Closes: #409260)

 -- Joost Yervante Damad <andete@debian.org>  Fri, 23 Mar 2007 11:00:39 +0100

audacity (1.3.2-1) unstable; urgency=low

  [ Michael Biebl ]
  * New upstream release for GTK2 and ALSA.
  * debian/control
    - Add build-dep on libexpat1-dev, libjack0.100.0-dev, libasound2-dev.
    - Build against libwxgtk2.6-dev. (Closes: #340409, #379616)
  * debian/rules
    - Enable portaudio v19 (ALSA). (Closes: #249157)
    - Enable unicode. (Closes: #298548)
    - Use system expat library.
  * Ship the desktop file provided by upstream, drop
    debian/audacity.desktop.
  * Use debhelper v5 compat mode.
  * Update FSF address in debian/copyright.
  * Update to Standards-Version 3.7.2, no further changes required.

  [ Free Ekanayaka ]
  * Depend on libjack-dev rather that libjack0.100.0-dev, which is now
    obsolete
  * Set Maintainer to Debian Multimedia Team
  * Added Matt and myself to Uploaders

 -- Free Ekanayaka <freee@debian.org>  Tue, 16 Jan 2007 15:53:30 +0100

audacity (1.2.4b-2.1) unstable; urgency=low

  * NMU as part of the GCC 4.1 transition.
  * Remove extra qualification from C++ header file (closes: #357056).

 -- Martin Michlmayr <tbm@cyrius.com>  Fri, 26 May 2006 12:26:18 +0200

audacity (1.2.4b-2) unstable; urgency=low

  * src/effects/Silence.cpp: Fix bug that caused Generate Silence to affect
    all tracks instead of just the selected ones.
  * debian/copyright: Update FSF address.
  * de.po: Fix translation mistakes (closes: #313667).  Patch from Jens
    Seidel.
  * Fix build on GNU/kFreeBSD (closes: #345201).  Patch from Aurelien Jarno.

 -- Matt Brubeck <mbrubeck@debian.org>  Fri, 13 Jan 2006 20:08:04 -0800

audacity (1.2.4b-1) unstable; urgency=low

  * New upstream release
    - Fixed encoding error in French localization.
  * debian/control: Updated my email address.

 -- Matt Brubeck <mbrubeck@debian.org>  Mon, 19 Dec 2005 17:46:43 -0800

audacity (1.2.4-1) unstable; urgency=low

  * New upstream release
    - debian/rules, debian/control, debian/audacity.mime:
      Build new FLAC import support (closes: #329801, #329824).
  * debian/control:
    - Update Standards-Version to 3.6.2.
    - Add Build-Conflicts with libwxgtk2.6-dev.
  * debian/audacity.mime: Reduce priorities (closes: #327234).
  * debian/patches/001-allegro-gcc4.diff: Removed (merged upstream).

 -- Matt Brubeck <mbrubeck@cs.hmc.edu>  Sat, 26 Nov 2005 18:38:48 -0800

audacity (1.2.3-2) unstable; urgency=low

  * Build against libwxgtk2.4-1 (closes: #320995).
  * 001-allegro-gcc4.diff (from Andreas Jochens) -
    Fix AMD64/gcc4 compilation error (closes: #285481).
  * debian/control: Add Build-Conflicts with libwxgtk2.5-dev.
  * debian/copyright: Refer to specific versions of (L)GPL from
    common-licenses.  Remove extraneous characters from SoundTouch
    license notice.  (Thanks to Marc 'HE' Brockschmidt.)

 -- Matt Brubeck <mbrubeck@cs.hmc.edu>  Tue,  2 Aug 2005 20:53:09 -0700

audacity (1.2.3-1) unstable; urgency=low

  * New upstream release
    - Fall back to default help file path if custom path is wrong
      (closes: #275345).

 -- Matt Brubeck <mbrubeck@cs.hmc.edu>  Fri, 19 Nov 2004 11:53:04 -0800

audacity (1.2.2-2) unstable; urgency=low

  * debian/copyright: Add copyright information and original licenses
    for other libraries included in the Audacity source package.
  * debian/audacity.desktop: Add a .desktop file (closes: #281193).
  * debian/rules, debian/control: Run dh_desktop; Build-Depends on debhelper
    (>=4.2.21).

 -- Matt Brubeck <mbrubeck@cs.hmc.edu>  Sat, 16 Oct 2004 10:35:44 -0700

audacity (1.2.2-1) unstable; urgency=low

  * New upstream release (closes: #268360).

 -- Matt Brubeck <mbrubeck@cs.hmc.edu>  Wed,  1 Sep 2004 22:29:13 -0700

audacity (1.2.1.91-1) unstable; urgency=low

  * New upstream pre-release.

 -- Matt Brubeck <mbrubeck@cs.hmc.edu>  Mon,  9 Aug 2004 20:24:38 -0700

audacity (1.2.1-4) unstable; urgency=low

  * Really install audacity.mime.

 -- Matt Brubeck <mbrubeck@cs.hmc.edu>  Sun, 18 Jul 2004 19:28:41 -0700

audacity (1.2.1-3) unstable; urgency=low

  * debian/copyright: Update maintainer information.
  * Use dh_install to install menu icons.
  * Don't gzip the HTB (online help) file, which is already compressed
    (closes: #256562).
  * Remove extra file LICENSE.txt in debian/rules instead of
    patching upstream Makefile.

 -- Matt Brubeck <mbrubeck@cs.hmc.edu>  Sun, 11 Jul 2004 17:14:51 -0700

audacity (1.2.1-2) unstable; urgency=low

  * debian/patches/dirmanager-hash.diff: Fix a dataloss bug when editing
    a saved project file with duplicated data (patch from upstream CVS).
  * locale/ru.po: Fix character encoding of Russian translation by reverting
    to file from 1.2.0.
  * Add "icon" line to menu file (closes: #252853).
  * Register as a MIME handler (closes: #255893).

 -- Matt Brubeck <mbrubeck@cs.hmc.edu>  Fri, 25 Jun 2004 13:54:27 -0700

audacity (1.2.1-1) unstable; urgency=low

  * New upstream release
    - Removes debugging output from Import Raw (closes: #245665).
    - Fixes crash when Equalization window is too small (closes: #243767).

 -- Matt Brubeck <mbrubeck@cs.hmc.edu>  Sat,  8 May 2004 12:19:48 -0700

audacity (1.2.0-3) unstable; urgency=low

  * Fix nyquist build on MIPS, and re-enable nyquist on all platforms.
    Patch from Stephen Gildea (closes: #241488).
  * Use smaller image as window icon (closes: #242856).
  * Update autotools helper files config.guess and config.sub.
  * Add Suggests: ladspa-plugin.
  * Add a menu icon.

 -- Matt Brubeck <mbrubeck@cs.hmc.edu>  Sat, 10 Apr 2004 10:36:34 -0700

audacity (1.2.0-2) unstable; urgency=low

  * Fix endianness problem on PowerPC (closes: #232972).

 -- Matt Brubeck <mbrubeck@cs.hmc.edu>  Sat, 27 Mar 2004 11:11:11 -0800

